2001-02-12 07:17  taniwha

	* configure.in, include/win32/version.h: rev for 0.3.0 release

2001-02-11 23:32  deek

	* source/dga_check.c: Extra paranoia for the XDGA_MAJOR_VERSION
	#define

2001-02-11 23:15  taniwha

	* source/dga_check.c: XDGA_MAJOR_VERSION is XF86DGA_MAJOR_VERSION
	in 3.3.5 (6?)

2001-02-11 23:07  deek

	* source/dga_check.c: Be paranoid about the DGA extension as well.

2001-02-11 22:59  taniwha

	* source/dga_check.c: compile fixes

2001-02-11 22:17  deek

	* source/dga_check.c: VidMode detection changes.

2001-02-11 22:11  taniwha

	* source/dga_check.c: fix version number for 3.3.5 this MIGHT cause
	problems for 3.3.6, dunno.

2001-02-11 16:05  deek

	* source/: context_x11.c, dga_check.c: context_x11.c: whitespace. 
	dga_check.c: Make sure that the version of the VidMode extension at
	runtime is the same version we compiled with, to deal with a
	structure change that occurred between VidMode extension versions 1
	and 2. If a version 3 is developed, this will have to be fixed
	again.

2001-02-11 07:49  taniwha

	* source/pmovetst.c: revert my sticky corners fix. sticky corsers
	are better than getting suck so it's impossible to move.

2001-02-11 07:19  taniwha

	* source/pmove.c: clean out dead code

2001-02-11 07:15  taniwha

	* source/cl_main.c: add cvar to control config.cfg writing (from
	Adam Olsen <adamolsen@technologist.com>)

2001-02-11 05:33  taniwha

	* source/cl_pred.c: remove unused function

2001-02-11 03:49  taniwha

	* source/pmovetst.c: slap some grease on those corners. This fixes
	the sticking on angled corners bug. The DIST_EPSILON shifts have
	been removed from PM_RecursiveHullCheck and only one DIST_EPSILON
	shift is done in PM_PlayerMove now. This might even give a very
	slight speedup.

2001-02-11 03:36  taniwha

	* source/sv_pr_cmds.c: whitespace in a comment

2001-02-10 10:53  lordhavoc

	* source/vid_wgl.c: whitespace cleanup (spaces -> tabs) after
	dabb's assault with Edit.

2001-02-10 10:05  taniwha

	* source/pmovetst.c: whitespace and comment cleanups

2001-02-10 07:00  taniwha

	* source/sv_user.c: white space

2001-02-10 05:08  taniwha

	* source/context_x11.c: fix the failure mode for vid_fullscreen 1

2001-02-10 00:40  taniwha

	* acconfig.h, configure.in, include/win32/mingw/config.h,
	include/win32/vc/config.h, source/cl_main.c, source/cmd.c,
	source/sv_main.c: add fs_usercfg. defaults to "" (nothing) in
	oldstyle, or "~/.PACKAGErc" in newstyle.

2001-02-10 00:31  deek

	* source/cvar.c: D'oh! Make the setrom command actually do
	something useful, like set the cvar to be read-only. :)

2001-02-09 23:00  dabb

	* source/vid_wgl.c: Add some comment about fix so it wont get
	removed as "unneeded"

2001-02-09 22:51  dabb

	* source/vid_wgl.c: Fix for alt-tab problem on nvidia cards. Thanks
	go to Tim for figuring this out.

2001-02-09 22:36  deek

	* source/context_x11.c: Even more VidMode paranoia: We now save the
	mode we started with and explicitly go back to that mode instead of
	the first in the list.

2001-02-09 22:24  taniwha

	* source/: dga_check.c, in_x11.c: dga_check.c:	fix dga checking.
	just because the dga queries succeed doesn't mean it's	     
	actually there.  in_x11.c:	whitespace

2001-02-09 21:50  deek

	* source/context_x11.c: Update XFree86 VidMode extension handling.
	We no longer try to go fullscreen if the video mode we want isn't
	known to X.

2001-02-09 19:15  taniwha

	* source/gl_draw.c: force console alpha to 1 if not rendering the
	world

2001-02-09 02:53  taniwha

	* source/: checksum.c, cl_cmd.c, cl_demo.c, cl_ents.c, cl_input.c,
	cl_parse.c, cl_pred.c, cl_sys_sdl.c, cl_sys_unix.c, cl_sys_win.c,
	cmd.c, com.c, console.c, cvar.c, d_edge.c, d_fill.c, d_init.c,
	d_modech.c, d_part.c, d_polyse.c, d_scan.c, d_sky.c, d_sprite.c,
	d_surf.c, d_zpoint.c, draw.c, gl_dyn_part.c, gl_mesh.c,
	gl_model_alias.c, gl_model_brush.c, gl_model_sprite.c, gl_ngraph.c,
	gl_rlight.c, gl_rmain.c, gl_rmisc.c, gl_rsurf.c, gl_screen.c,
	gl_view.c, gl_warp.c, in_fbdev.c, in_null.c, in_sdl.c, in_win.c,
	info.c, joy_win.c, keys.c, mathlib.c, menu.c, model.c,
	model_alias.c, model_brush.c, model_sprite.c, msg.c, net_chan.c,
	net_udp.c, net_udp6.c, nonintel.c, pmove.c, pmovetst.c, pr_edict.c,
	qargs.c, qendian.c, quakefs.c, r_aclip.c, r_alias.c, r_bsp.c,
	r_draw.c, r_edge.c, r_efrag.c, r_light.c, r_main.c, r_misc.c,
	r_part.c, r_sky.c, r_sprite.c, r_surf.c, r_view.c, sbar.c,
	screen.c, snd_alsa_0_5.c, snd_alsa_0_6.c, snd_disk.c, snd_dma.c,
	snd_mem.c, snd_mix.c, snd_oss.c, snd_sgi.c, snd_sun.c, snd_win.c,
	sv_ccmds.c, sv_ents.c, sv_init.c, sv_move.c, sv_phys.c,
	sv_pr_cmds.c, sv_send.c, sv_sys_unix.c, sv_sys_win.c, sv_user.c,
	sw_model_alias.c, sw_model_brush.c, sw_model_sprite.c, sw_view.c,
	sys_null.c, sys_unix.c, sys_win.c, tga.c, vid.c, vid_3dfxsvga.c,
	vid_common_gl.c, vid_fbdev.c, vid_glx.c, vid_mgl.c, vid_null.c,
	vid_sdl.c, vid_svgalib.c, vid_wgl.c, vid_x11.c, wad.c, world.c,
	zone.c: function header audit.

2001-02-09 00:07  despair

	* source/gl_dyn_part.c: Don't test for alpha death on particles
	that aren't alpha fading over time.

2001-02-08 20:56  taniwha

	* source/cl_main.c: fix a broken fix for sun's model_t type. (got
	broken during the header audit)

2001-02-08 20:55  taniwha

	* configure.in: improve the ZERO_LENGTH_ARRAY test and fall back to
	using [1] if neither [0] nor [] work.

2001-02-08 20:19  taniwha

	* source/fbset_modes_l.l: fix a compile error when using lex

2001-02-08 19:41  taniwha

	* source/: sv_sys_unix.c, sv_sys_win.c: shrink the default heap for
	the server from 16 to 8 meg

2001-02-08 19:24  taniwha

	* include/server.h, source/cl_sys_sdl.c, source/cl_sys_unix.c,
	source/cl_sys_win.c, source/quakefs.c, source/sv_sys_unix.c,
	source/sv_sys_win.c, source/sys_unix.c, source/sys_win.c: amputate
	an 8M cacerous growth from the memory footprint of the clients

2001-02-08 17:43  deek

	* include/cl_main.h, source/cl_ents.c, source/cl_main.c: Clear
	packet entities when they are removed. This fixes a bug in particle
	trails, and possibly others as well.
	
	Eliminate cl_oldvisedicts and cl_visedicts_list, change
	cl_visedicts's definition to compensate. It isn't used any more, so
	they just waste memory.

2001-02-08 17:38  deek

	* source/cl_sys_unix.c: Add forward definition so that Unix clients
	can build with packet logging.

2001-02-08 12:08  deek

	* README: Fix SVGAlib-X interaction description

2001-02-08 11:57  deek

	* README: Update README.

2001-02-08 10:57  dabb

	* source/vid_wgl.c: Added -brokenpopup to allow alt-tabbing with
	some broken video drivers, until I've found a way to avoid the bug.
	 Also, fixed one crash, so instead of crashing, we notify user that
	its time to upgrade drivers :-)

2001-02-08 00:20  taniwha

	* source/sv_phys.c: link movetype_none entitities into the world
	after doing the think

2001-02-08 00:08  taniwha

	* source/cl_main.c: reduce minimum timescale to 0 to allow pausing
	the demo

2001-02-08 00:02  mercury

	* source/cl_main.c: Tweaked some of the bounds.

2001-02-07 20:31  lordhavoc

	* source/gl_dyn_part.c: removed unused 'next' field in particle
	struct

2001-02-07 20:15  taniwha

	* include/host.h, source/cl_main.c: cl_demospeed cvar. 1 = normal
	speed, < 1 = slow-mo, > 1 = timelaps.  host.h:	      remove
	Host_SimulationTime prototype cl_main.c:	 cl_demospeed
	stuff. Host_SimulationTime was resurected because of gcc   warnings
	about setjmp clobbering vars. It's made static inline so its  
	resurection doesn't cost fps.

2001-02-07 19:36  taniwha

	* source/quakefs.c: make a private copy of the map name while doing
	maplist. Fixes the mangled map names in directories with lots of
	maps.

2001-02-07 18:33  taniwha

	* source/sv_user.c: don't redirect output for the pause command

2001-02-07 18:27  taniwha

	* source/r_main.c: remove the fov test from the view model drawing
	test. ie, you can see your weapon with fov > 90

2001-02-07 08:14  lordhavoc

	* source/gl_dyn_part.c: Fix for a rare particle bug Despair was
	trying to figure out, minor consistency cleanup, and some comments
	added.

2001-02-07 05:45  despair

	* include/anorms.h, include/asm_i386.h, include/bothdefs.h,
	include/compat.h, include/fbset.h, include/gcc_attr.h,
	include/host.h, include/info.h, include/mathlib.h,
	include/mdfour.h, include/qendian.h, include/qfgl_ext.h,
	include/quakeio.h, include/sv_pr_cmds.h, include/texture.h,
	include/uint32.h, include/winquake.h, include/win32/fnmatch.h,
	include/win32/bc/borland.c, include/win32/bc/config.h,
	include/win32/mingw/config.h, include/win32/resources/resource.h,
	include/win32/vc/config.h, source/cd_sdl.c, source/cd_win.c,
	source/checksum.c, source/cl_cam.c, source/cl_cmd.c,
	source/cl_slist.c, source/cl_sys_sdl.c, source/cl_sys_win.c,
	source/cl_tent.c, source/cmd.c, source/console.c,
	source/context_x11.c, source/cvar.c, source/d_surf.c,
	source/dga_check.c, source/draw.c, source/fnmatch.c,
	source/fractalnoise.c, source/gl_mesh.c, source/gl_rsurf.c,
	source/in_fbdev.c, source/in_sdl.c, source/in_svgalib.c,
	source/in_win.c, source/in_x11.c, source/info.c, source/joy_win.c,
	source/keys.c, source/locs.c, source/menu.c, source/model_brush.c,
	source/msg.c, source/net_chan.c, source/net_udp.c,
	source/net_udp6.c, source/pcx.c, source/pr_edict.c, source/qargs.c,
	source/qfgl_ext.c, source/quakefs.c, source/quakeio.c,
	source/r_sprite.c, source/sbar.c, source/screen.c,
	source/sizebuf.c, source/snd_alsa_0_5.c, source/snd_disk.c,
	source/snd_dma.c, source/snd_mem.c, source/snd_mix.c,
	source/snd_sdl.c, source/snd_sun.c, source/sv_ccmds.c,
	source/sv_ents.c, source/sv_init.c, source/sv_main.c,
	source/sv_nchan.c, source/sv_pr_cmds.c, source/sv_send.c,
	source/sv_sys_unix.c, source/teamplay.c, source/tga.c,
	source/vid_fbdev.c, source/vid_sgl.c, source/vid_win.c,
	source/world.c, source/zone.c: More whitespace than you can shake a
	shambler at.

2001-02-07 04:57  taniwha

	* include/keys.h: forgot to commit this with in_x11.c

2001-02-07 04:06  taniwha

	* source/in_x11.c: fix the *nix x11 keyboard repeat issues

2001-02-06 21:13  deek

	* source/sw_view.c: whitespace.

2001-02-06 19:54  taniwha

	* include/win32/mingw/config.h: add HAVE_WINSOCK_H

2001-02-06 19:53  taniwha

	* source/: vid_mgl.c, vid_svgalib.c, vid_wgl.c: hopefully the last
	of the " gaffs

2001-02-06 19:45  taniwha

	* source/cvar.c: fix a missed " fixup

2001-02-06 17:34  taniwha

	* source/: cmd.c, cvar.c: cvars and commands are now ALWAYS sorted.
	This way, cmdlist and cvarlist are more usable. Downside is tab
	completion is affected.

2001-02-06 04:12  taniwha

	* source/cmd.c: change the formatting of cmdlist <args> a bit

2001-02-06 02:56  taniwha

	* source/: cd_dos.c, cd_linux.c, cd_sdl.c, cd_sgi.c, cd_win.c,
	cl_cmd.c, cl_input.c, cl_main.c, cmd.c, com.c, console.c, cvar.c,
	gl_rmisc.c, gl_screen.c, in_svgalib.c, in_win.c, in_x11.c,
	joy_win.c, keys.c, menu.c, quakefs.c, r_main.c, r_view.c, sbar.c,
	screen.c, skin.c, snd_dma.c, sv_ccmds.c, sv_main.c, sv_progs.c,
	vid_mgl.c, vid_svgalib.c, vid_wgl.c, vid_x11.c, zone.c: command
	docs patch from Misty-chan because his access hasn't completely
	come through yet.

2001-02-06 01:44  wildcode

	* source/vid_3dfxsvga.c: adding brighten support

2001-02-06 01:12  misty-chan

	* source/cd_dos.c: This patch adds documentation to MOST of the
	commands in quakeforge, however some commands I wasn't sure about,
	and others the docs are just plain missing. I've also changed cvars
	with missing/incomplete documentation so that we can find them more
	easily with just one grep.  To find all commands and cvars with
	bogus/missing documentation grep for 'No Description'
	
	Let me know if I've screwed something up.
	
	Misty-chan
	
	PS: Deek do NOT commit the patch I sent to you, this obsoletes it.

2001-02-06 00:29  taniwha

	* configure.in, include/win32/version.h: rev version for beta7

2001-02-06 00:23  taniwha

	* include/Makefile.am, source/Makefile.am: fix make dist

2001-02-05 23:17  deek

	* source/: pcx.c, screen.c: whitespace, small opt in pcx.c

2001-02-05 23:06  taniwha

	* source/: .gdbinit, cl_main.c: .gdbinit:	add -nosound again
	cl_main.c:   clean up function headers

2001-02-04 22:47  taniwha

	* source/skin.c: this SHOULD take care of skin crashes on a
	permanent basis. The problem in beta6 was caused by the player skin
	being set to 0 when it shouldn't be on any userinfo change, and
	thus even changing rate would cause the client to seg.	Now, the
	player skin gets set to 0 only when the skin changes, and while
	there still seems to be an opening for a segfault (which this patch
	closes), I still couldn't get the client to seg with recent code.

2001-02-04 22:34  despair

	* source/gl_rmain.c: Kill some commented out dead code.

2001-02-04 08:59  despair

	* source/: gl_rmain.c, gl_rmisc.c: Remove gl_cull cvar. Workaround
	for a speed issue/bug in a very early windows minigl.

2001-02-04 04:56  despair

	* source/gl_dyn_part.c: Tweak teleport effect a little. Particles
	not so absurdly large.

2001-02-03 07:39  despair

	* source/: gl_rmisc.c, mathlib.c, mdfour.c, model.c, model_alias.c,
	r_light.c, r_main.c, skin.c, wad.c, world.c: Whitespace and typos.

2001-02-03 06:57  despair

	* source/gl_draw.c: Fix mipmap method selection bug in
	GL_Upload8_EXT.

2001-02-03 06:47  taniwha

	* acinclude.m4: work around a bug in automake that caused configure
	to fall over if both flex and lex were not on the system.

2001-02-03 04:23  despair

	* source/sw_view.c: New effect for sw. Quad + Pent glow purple.

2001-02-03 04:04  taniwha

	* include/screen.h, source/gl_draw.c: fix gl_conalpha/scr_consize
	interaction

2001-02-03 04:02  despair

	* source/: gl_rlight.c, gl_view.c: Restore old cshift powerup
	behavior for quad and invuln when using polyblends. Flicker was
	simply unbearable otherwise.

2001-02-02 23:40  taniwha

	* source/: gl_screen.c, screen.c: bring scr_consize over from
	quakeforge-old

2001-02-02 21:22  taniwha

	* include/progs.h, source/pr_edict.c, source/pr_exec.c,
	source/sv_ccmds.c, source/sv_ents.c, source/sv_init.c,
	source/sv_main.c, source/sv_move.c, source/sv_phys.c,
	source/sv_pr_cmds.c, source/sv_send.c, source/sv_user.c,
	source/world.c: make edict_t.v a union of entvars_t and pr_type_t[]

2001-02-02 20:47  despair

	* source/gl_rlight.c: Comment typo fix.

2001-02-02 16:31  taniwha

	* acconfig.h, configure.in, source/fbset.c: autoconfiscate
	FB_AUX_VGA_PLANES_VGA4, FB_AUX_VGA_PLANES_CFB4 and
	FB_AUX_VGA_PLANES_CFB8

2001-02-02 05:56  taniwha

	* configure.in, include/fbset.h, include/vid.h, source/.cvsignore,
	source/Makefile.am, source/fbset.c, source/fbset_modes_l.l,
	source/fbset_modes_y.y, source/in_fbdev.c, source/vid_fbdev.c:
	Linux frame buffer support from Ryan Nielsen
	<ran@gondolin.fortyoz.org> (thank you). While not yet fully
	functional, it compiles and runs to the point of failing to find a
	mode (probably my fault, that:), but there's no mouse support yet
	and the keyboard input isn't playable.

2001-02-02 05:42  taniwha

	* source/context_x11.c: fix the shifting window problem in
	fullscreen (thanks, zinx)

2001-02-01 21:06  despair

	* source/gl_rmisc.c: Fix default for dynamic lightmap updates.

2001-02-01 19:53  despair

	* include/glquake.h, source/cl_parse.c, source/gl_rlight.c,
	source/gl_rmain.c, source/gl_rmisc.c, source/gl_rsurf.c,
	source/gl_view.c, source/r_main.c, source/r_view.c,
	source/sw_view.c: Cvar cleanup.  gl_smooth is now gl_dlight_smooth
	gl_smoothdlights was redundant, is now gone gl_flashblend is now
	gl_dlight_polyblend gl_lightmap added to enable/disable lightmap
	updates independently of use of gl_dlight_polyblend

2001-02-01 08:38  taniwha

	* include/progs.h, source/pr_edict.c, source/sv_pr_cmds.c: clean up
	the #define mess in progs.h. While I doubt this will fix the null
	function crashes, at least the code is easier to read.

2001-02-01 07:07  taniwha

	* source/cl_parse.c: remove the commented out versions of the
	modellist etc code

2001-01-31 07:52  despair

	* source/: gl_dyn_part.c, gl_dyn_textures.c, gl_screen.c,
	gl_view.c, quakefs.c: Whitespace, and a very minor tweak to dynamic
	texture generation.

2001-01-30 21:40  taniwha

	* source/gl_draw.c: apply an axe to the gl scraps code

2001-01-30 06:54  taniwha

	* source/quakefs.c: remove the non-hashtable lookup code from
	_COM_FOpenFile. While it seemed the linear search was just slightly
	faster even for mega2k (~0.3s / 22.5) this is probably partly due
	to the cost of initializing the hash tables in the first place and
	thus gains might be noticed on subsequent map changes. Also, the
	new hash code is much simpler and easier to read/maintain. Enough
	of a boon right there :)

2001-01-29 19:41  taniwha

	* source/quakefs.c: pak files now use hash tables for searching.
	Doesn't seem to be much of a gain for bare qw, but might help with
	tf (my tf setup is borked @work, so I can't check for certain until
	later). However, if nothing else, it tidies up the code a bit.

2001-01-29 16:10  taniwha

	* source/sv_ents.c: white space

2001-01-29 07:39  taniwha

	* source/cl_ents.c: cleanup dlight creation for entity effects. the
	color, radius etc are now all set in the one place, rather than
	two. Should also be more easily extended.

2001-01-29 06:23  taniwha

	* source/cl_ents.c: remove the no-longer needed test to determine
	whether dlights should be added to a player

2001-01-29 05:58  taniwha

	* source/cl_ents.c: extend a comment

2001-01-29 04:03  taniwha

	* source/gl_draw.c: function header comment cleanup

2001-01-29 00:13  despair

	* include/glquake.h, source/gl_dyn_part.c, source/gl_rmain.c,
	source/gl_rmisc.c, source/r_main.c, source/r_part.c: Rename
	gl_particles to r_particles, and allow software to disable
	particles as well. Thanks sergio!

2001-01-29 00:01  taniwha

	* source/sv_ccmds.c: fix a nasty buffer overflow

2001-01-28 23:27  taniwha

	* include/progs.h, include/server.h, source/pr_edict.c,
	source/sv_ccmds.c, source/sv_ents.c, source/sv_init.c,
	source/sv_main.c, source/sv_move.c, source/sv_phys.c,
	source/sv_progs.c, source/sv_send.c, source/sv_user.c,
	source/world.c: progs modularity improvements. what WAS sv_progs is
	now sv_pr_state, qwprog is now sv_progs and the progs loading code
	no longer falls back to qwprogs.dat or progs.dat. Also, call
	SV_Progs_Init_Cvars (forgot to do this earlier)

2001-01-28 22:06  taniwha

	* source/sv_main.c: call SV_Progs_Init_Cvars to get r_skyname back

2001-01-28 22:03  mercury

	* source/gl_dyn_part.c: Slight tweak to the particle code.

2001-01-28 10:15  mercury

	* source/cl_ents.c: Better fix for the rocket trail problem, was my
	mistake.  (^ is xor, not power of.)

2001-01-28 03:20  despair

	* source/gl_draw.c: Dim crosshair fix, maybe.

2001-01-28 02:23  despair

	* source/gl_draw.c: Crosshair 2 fix.

2001-01-27 23:34  despair

	* source/cl_ents.c: Hack to fix particles.

2001-01-27 23:14  despair

	* source/gl_draw.c: Whitespace.

2001-01-27 21:50  taniwha

	* source/gl_sky_clip.c: remove the seams from the skybox

2001-01-27 12:18  despair

	* source/gl_draw.c: Fix mipmapping default. Oops. :P

2001-01-27 11:01  despair

	* source/: gl_draw.c, vid_common_gl.c: Fix crosshair blurring,
	while maintaining gl_texturemode handling.

2001-01-27 07:23  despair

	* source/: gl_draw.c, gl_rmain.c: Fix blurred cursor when picmip,
	and a minor include cleanup.

2001-01-27 06:16  taniwha

	* source/gl_sky_clip.c: oh, just a 4 x speedup for q1dm17 wih
	gl_sky_clip 1 and gl_sky_divide 1 :)

2001-01-27 06:01  deek

	* source/gl_rmain.c: Performance tweaks to Alias model rendering in
	GL. I get 0.5fps out of it in overkill, but every little bit
	counts. :)

2001-01-27 04:58  mercury

	* include/mathlib.h, source/cl_ents.c, source/cmd.c,
	source/gl_rmisc.c: Cleaned up a lot of fixmes.

2001-01-27 04:37  taniwha

	* source/net_udp.c: fix for bsd

2001-01-27 03:01  despair

	* include/client.h, include/glquake.h, source/cl_ents.c,
	source/gl_draw.c, source/gl_dyn_fires.c, source/gl_dyn_textures.c,
	source/gl_rlight.c, source/gl_rmain.c: Minor lighting cleanup, plus
	fix minor bug (loss of color on nearby dlights).

2001-01-27 02:59  despair

	* include/pmove.h: Remove unused #define.

2001-01-27 02:56  despair

	* source/: cl_sys_unix.c, gl_model_alias.c, gl_model_brush.c,
	gl_model_sprite.c, gl_ngraph.c, in_sdl.c, pmove.c, pmovetst.c,
	sv_phys.c, sv_user.c, wad.c, world.c: Mostly whitespace, typo
	fixes. Tweak mouse scaling in sdl more inline with other clients.

2001-01-27 02:11  despair

	* source/zone.c: Whitespace.

2001-01-26 06:10  despair

	* source/gl_sky_clip.c: Whitespace.

2001-01-26 05:50  despair

	* source/gl_sky.c: Optimize skydome rendering. Moves 4 multiplies
	from inner loop to outer loop. Saves 448 multiplies per pass.

2001-01-25 21:16  coderjoe

	* include/win32/vc/config.h, source/cl_main.c, source/makefile.mgw,
	source/qw_client.dsp: qw_client.dsp and makefile.mgw:	  remove
	vid_win.c from the projects. no longer needed after taniwha's	 
	cl_main changes.
	
	cl_main.c:     remove #include "winquake.h", which is not needed
	
	vc/config.h:	 add #define HAVE_WINSOCK_H

2001-01-25 06:08  taniwha

	* source/cl_main.c: remove the win32 windows tomfoolery. if someone
	complains, we'll cross that bridge when we get to it (unless we
	burn it first:)

2001-01-25 04:56  coderjoe

	* source/: cl_main.c, makefile.mgw, qw_client.dsp: get it building
	on windows again.
	
	cl_main.c:     added #include "winquake.h" back in, since ming and
	msvc	 wouldn't build without it
	
	qw_client.dsp and makefile.mgw:     added vid_win.c	(need to
	rename qw_*.dsp to qf_*.dsp one of these days...)

2001-01-25 04:13  mercury

	* source/gl_dyn_textures.c: Switch GL_RGBA to GL_LUMINANCE_ALPHA,
	possibily a slight speed gain.
	
	More to the point, should cut texture memory usage for the textures
	in question in HALF.

2001-01-25 01:33  despair

	* source/gl_dyn_part.c: Tune blood trail length for speed again.
	*sigh*

2001-01-24 20:17  taniwha

	* .cvsignore, include/.cvsignore: add .vimrc

2001-01-24 19:42  taniwha

	* source/vid_win.c: forgot about this

2001-01-24 19:25  dabb

	* include/win32/bc/config.h: Add HAVE_WINSOCK_H

2001-01-24 18:27  despair

	* source/gl_dyn_textures.c: Brighten particles a touch. New blended
	particles are on average a little less bright anyways.

2001-01-24 18:26  despair

	* source/gl_dyn_part.c: Whitespace.

2001-01-24 17:41  taniwha

	* acconfig.h, configure.in, include/vid.h, source/cl_main.c,
	source/cl_pred.c, source/menu.c, source/net_udp.c,
	source/net_udp6.c: server builds (and works, thanks for the test,
	Dabb) and an sdl client attempts to link.

2001-01-24 09:53  despair

	* source/gl_dyn_part.c: Make blood and slight blood different, like
	original quakeworld, again.

2001-01-24 07:36  despair

	* source/gl_dyn_textures.c: Dynamically generate particle texture.
	Even better looking, too!

2001-01-24 06:22  despair

	* source/gl_dyn_textures.c: Upped particle texture from 4*4 mono
	blotch to 16*16 grayscale circle. Looks dramatically better, and
	actually seems a hair faster here.

2001-01-24 00:06  taniwha

	* configure.in, include/sound.h, include/vid.h,
	source/cl_sys_win.c, source/dirent.c, source/joy_win.c,
	source/net_udp.c, source/sys_win.c: partial fixes for
	cross-compiling using mingw32. MIGHT break normal builds

2001-01-24 00:02  taniwha

	* source/skin.c: add a FIXME comment

2001-01-23 23:59  taniwha

	* source/: teamplay.c, gl_dyn_part.c: remove an unused variable

2001-01-23 14:48  mercury

	* include/locs.h, source/locs.c, source/teamplay.c: More fixes for
	the loc code.

2001-01-23 14:42  mercury

	* source/gl_dyn_part.c: Oops, forgot a few commas.

2001-01-23 14:36  mercury

	* include/locs.h, source/gl_dyn_part.c, source/locs.c,
	source/teamplay.c: locs and teamplay: Minor cleanup. (locisgz!?
	Gone!) gl_dyn_part.c: Minor cleanup.

2001-01-23 04:15  deek

	* configure.in: configure typo fixed.

2001-01-23 04:12  deek

	* source/vid_3dfxsvga.c: whitespace.

2001-01-23 04:12  deek

	* source/gl_rmain.c: Whitespace.

2001-01-23 04:11  deek

	* configure.in: Remove the checks for SDL headers. They weren't
	right anyway, and it's covered by the SDL check anyway. :)

2001-01-23 04:06  deek

	* source/qfgl_ext.c: Remove special handling for the WGL extension
	list. It was broken, and nobody on win32 fixed it. This made _all_
	Windows GL binaries not work.

2001-01-22 23:23  wildcode

	* include/locs.h, source/locs.c, source/teamplay.c: tidied up locs
	code and changed loc commands to loc <args>

2001-01-22 23:11  despair

	* source/: Makefile.am, in_ggi.c, vid_ggi.c: Split in_ggi.c off
	from vid_ggi.c

2001-01-22 23:03  despair

	* source/in_x11.c: Remove unnecessary include of vid.h

2001-01-22 23:01  despair

	* source/vid_x11.c: remove unneeded input.h and keys.h

2001-01-22 22:50  despair

	* source/vid_x11.c: Remove redundant include of input.h

2001-01-22 22:48  taniwha

	* source/vid_3dfxsvga.c: another missing )

2001-01-22 22:48  taniwha

	* source/cl_main.c: check for an error openning the download file
	(this is what I intended to commit previously, but wasn't finished)

2001-01-22 22:43  taniwha

	* source/cl_main.c: back out an accidental commit

2001-01-22 22:40  taniwha

	* source/: cl_main.c, vid_3dfxsvga.c: fix a missing )

2001-01-22 18:26  deek

	* source/vid_3dfxsvga.c: Oops, screwed up the paren placement. :)

2001-01-22 18:21  deek

	* source/vid_3dfxsvga.c: Handle 3DFX_set_dither_mode extension
	properly.

2001-01-22 18:14  deek

	* Makefile.am: Fix dist properly for bzip2 archives.

2001-01-21 02:55  taniwha

	* source/cl_main.c: fix a compile bug for some systems

2001-01-20 22:08  taniwha

	* source/vid_x11.c: while this is probably not the correct fix, it
	seems X shm needs to be completely updated each frame

2001-01-20 20:55  taniwha

	* source/: skin.c, sv_user.c: skin.c:	skins must always be loaded
	into a 320x200 buffer sv_user.c:    disable redirect for kill

2001-01-20 10:28  taniwha

	* source/cl_ents.c: fix while dead players

2001-01-20 10:19  taniwha

	* source/gl_rmain.c: clean up skin selection code a little

2001-01-20 07:47  taniwha

	* source/gl_skin.c: fix black skins with fullbrights

2001-01-20 06:47  taniwha

	* include/model.h, include/skin.h, source/gl_model_fullbright.c,
	source/gl_rmain.c, source/gl_skin.c, source/r_alias.c,
	source/skin.c: fullbrights on player skins now work properly
	instead of using the fb skin of the player model.

2001-01-20 05:13  mercury

	* source/Makefile.am: locs.c should be compiled into all client
	targets, but NOT the server.  (oops)

2001-01-20 04:56  taniwha

	* source/quakefs.c: make fs_skinbase default to fs_basegame when
	using newstyle

2001-01-20 04:10  taniwha

	* include/: client.h, skin.h: move the definition of skin_t from
	client.h to skin.h

2001-01-20 01:45  lordhavoc

	* include/win32/: bc/config.h, mingw/config.h, vc/config.h: added
	SKINBASE to win32 config.h files

2001-01-19 21:45  taniwha

	* source/sv_init.c: fix a server crash on attempting to checksum a
	model that isn't there

2001-01-19 06:16  taniwha

	* include/glquake.h, include/skin.h, source/gl_rmain.c,
	source/gl_rmisc.c, source/skin.c: reserve some texture numbers for
	player skin fullbrights

2001-01-19 06:09  taniwha

	* configure.in: fix the description of --with-newstyle

2001-01-19 04:10  taniwha

	* source/sw_skin.c: damn, I REALLY hate it when I accidently commit
	un-finnished work

2001-01-19 04:01  taniwha

	* include/skin.h: better put this one in while I'm at it with that
	overcommit before

2001-01-19 04:00  taniwha

	* source/: gl_skin.c, quakefs.c, skin.c, sw_skin.c: d'oh, forgot to
	remove the == 0

2001-01-19 03:36  taniwha

	* acconfig.h, configure.in, include/quakefs.h, source/cl_parse.c,
	source/quakefs.c: remove the hardcoding of qw from all but the
	default server gamedir. This should take care of skin downloads
	when using --with-newstyle

2001-01-18 22:16  taniwha

	* source/: in_x11.c, quakefs.c: add force_centerview command to x11
	targets

2001-01-18 19:09  taniwha

	* source/: pcx.c, skin.c: pcx.c:	forgot to close the skin
	file.  skin.c:	       seeking within a file inside a pak does NOT
	work for SEEK_SET and SEEK_END	    so load the whole file at once
	into memory and change processing	 accordingly. The
	Hunk_*Alloc calls work nicely because the file is loaded       into
	the lower hunk space while the tex is allocated from the temp space
	       which is in the high hunk space.

2001-01-18 10:41  taniwha

	* source/sv_user.c: don't redirect for the download command

2001-01-18 10:20  taniwha

	* include/pcx.h, include/texture.h, source/pcx.c, source/skin.c:
	skin.c:        Rip out the pcx loading code and use LoadPCX
	instead.  pcx.h:   remove the data field from pcx_t: it was messing
	with gcc's idea of the	       structure size. also, update
	LoadPCX's prototype pcx.c:	   change LoadPCX to return tex_t
	(new type in texture.h) and take a new	 param: convert. LoadPCX
	will now wither load raw 8 bit or convert to	rgba on loading
	depending on convert. Also, make LoadPCX WORK and use  
	Hunk_TempAlloc to store the resulting texture.	texture.h:     
	define tex_t. defines an in-memory texture (either 8 or 32 bit,
	depending	on the presense of a palette). Data comes
	immediately after the sturcture.      eg tex_t *tex =
	Hunk_TempAlloc (sizeof (tex_t) + count)

2001-01-18 04:28  taniwha

	* source/cl_main.c: remove double command execution for 99.9% of
	the cases

2001-01-17 19:44  dabb

	* source/cl_main.c: Fixed skin command bug. Win32 guys want skins
	too!

2001-01-17 17:08  dabb

	* source/vid_wgl.c: Nuked -no8bit and added vid_use8bit CVAR, ROM.
	Also, 8bit is now off by default.

2001-01-17 16:51  mercury

	* source/gl_skin.c: Fixed error on the translate code for 32 bit
	uploads.  Will try and be clever with it next time.

2001-01-17 09:36  taniwha

	* source/gl_skin.c: skin code cleanup complete

2001-01-17 08:43  taniwha

	* include/skin.h, source/gl_model_alias.c, source/gl_skin.c,
	source/skin.c, source/sw_skin.c: more skin cleanups

2001-01-17 07:28  taniwha

	* include/skin.h, source/cl_main.c, source/gl_skin.c,
	source/skin.c: second step of skins re-work

2001-01-17 04:48  taniwha

	* source/: Makefile.am, cl_trans.c, gl_rmain.c, gl_rmisc.c,
	gl_skin.c, gl_trans.c, makefile.mgw, qf-client-sdl.mak,
	qf-client-sgl.mak, qf-client-wgl.mak, qf-client-win.mak,
	qw_client.dsp, sw_skin.c: rename cl_trans.c to sw_skin.c and
	gl_trans.c to gl_skin.c also, remove R_TranslatePlayerSkin placing
	it's contents into gl_skin.c

2001-01-16 23:26  taniwha

	* source/: cl_trans.c, gl_rmisc.c: correct the skin change
	detection logic

2001-01-16 23:11  taniwha

	* include/progs.h: white space

2001-01-16 19:59  taniwha

	* source/in_x11.c: remove some debug info

2001-01-16 18:03  dabb

	* source/: cl_sys_unix.c, cl_sys_win.c: Close packetlog file on
	exit...

2001-01-16 03:29  taniwha

	* include/server.h: bump MAX_STUFFTEXT from 256 to 512 so pox will
	run

2001-01-16 03:15  taniwha

	* include/progs.h, source/pr_edict.c, source/pr_exec.c,
	source/sv_pr_cmds.c: fix a segmentation fault in PR_PrintStatement
	caused by bogus prototypes

2001-01-16 00:09  taniwha

	* source/teamplay.c: remove unnessecary strncasecmp calls

2001-01-15 23:28  taniwha

	* source/teamplay.c: missed several places for Cmd_Argv (1) ->
	Cmd_Args ()

2001-01-15 23:10  taniwha

	* source/teamplay.c: make markloc a little nicer to use. "" no
	longer needed and can now be used in the description

2001-01-15 19:31  dabb

	* source/net_packetlog.c: minor thing.

2001-01-15 19:28  taniwha

	* source/net_packetlog.c: s/QFPACKET.LOG/qfpacket.log/ save in
	$fs_userpath instead of .

2001-01-15 19:11  taniwha

	* source/in_x11.c: don't try to turn off dga if dga isn't available
	:)

2001-01-15 18:22  mercury

	* source/sv_user.c: Frogot to zap an unused var.

2001-01-15 18:14  mercury

	* source/: cl_ents.c, cl_parse.c, pr_edict.c, sv_user.c: cl_ents.c:
	Killed an unused variable which gcc did not catch.
	
	cl_parse.c: Fixed the white body issue taniwha found, finally!
	
	pr_edict.c: From misty, server cvar qwprogs, use it to set the
	qwprogs.dat to something else.
	
	sv_user.c: Don't send the r_skyname command, the clients pickup the
	info line.

2001-01-15 17:07  taniwha

	* include/cmd.h, source/cd_dos.c, source/cd_linux.c,
	source/cd_sdl.c, source/cd_sgi.c, source/cd_win.c, source/cl_cmd.c,
	source/cl_input.c, source/cl_main.c, source/cmd.c, source/com.c,
	source/console.c, source/cvar.c, source/gl_draw.c,
	source/gl_rmisc.c, source/gl_screen.c, source/in_svgalib.c,
	source/in_win.c, source/joy_win.c, source/keys.c, source/menu.c,
	source/quakefs.c, source/r_main.c, source/r_view.c, source/sbar.c,
	source/screen.c, source/snd_dma.c, source/sv_ccmds.c,
	source/sv_main.c, source/sv_progs.c, source/teamplay.c,
	source/vid_mgl.c, source/vid_svgalib.c, source/vid_wgl.c,
	source/vid_x11.c, source/zone.c: commands now sport descriptions
	(currently "No Description", but then I'm a lazy bastard:)

2001-01-15 16:56  dabb

	* source/Makefile.am: Added --enable-packetlog.

2001-01-15 16:55  dabb

	* include/net.h: Function defs for packet logging.

2001-01-15 16:55  dabb

	* acconfig.h, configure.in: Added --enable-packetlog to allow easy
	use of built-in packet logger.	Note: EXPERIMENTAL - meant for bug
	hunting.

2001-01-15 16:53  dabb

	* source/net_packetlog.c: Fix stupid crash.

2001-01-15 15:57  dabb

	* source/net_packetlog.c: QSG stuffs, packetentities parsing.

2001-01-15 14:15  dabb

	* source/net_packetlog.c: Allow packet logging for clients too.

2001-01-15 14:12  dabb

	* source/cl_main.c: Add packet logging / parsing for demo playback
	too.

2001-01-15 07:42  taniwha

	* source/: cl_parse.c, skin.c: "Checking ..." messages will now be
	seen immediately rather than after the next message.

2001-01-15 07:27  taniwha

	* source/gl_mesh.c: fix the segfault caused by corrupt meshes

2001-01-15 07:14  taniwha

	* source/gl_mesh.c: fix a potentially nasty situation with meshes
	that need to be re-meshed

2001-01-15 06:50  taniwha

	* include/mdfour.h, source/.gdbinit, source/gl_mesh.c,
	source/model_alias.c, source/sw_model_alias.c: GL alias model
	meshes are now doubly protected from corruption and model mismatch.
	First, the md4 checksum is stored in the mesh, and the md4 checksum
	of the mesh and the model checksum are also stored. If, on loading,
	either checksum fails, the model is re-meshed.
	
	include/mdfour.h:	Add define for MDFOUR_DIGEST_BYTES
	source/.gdbinit      setrom _windowed_mouse 0 so mods don't make
	debugging difficult source/model_alias.c:   pass original model
	data and size to GL_MakeAliasModelDisplayLists
	source/sw_model_alias.c:     GL_MakeAliasModelDisplayLists take
	(but ignore) new params source/gl_mesh.c:    do md4 checksums on
	the model and mesh

2001-01-15 04:09  taniwha

	* include/net.h, configure.in, source/Makefile.am,
	source/net_udp6.c: ipv6 support. TOTALLY untested except for
	compile time.

2001-01-14 03:22  taniwha

	* source/joy_linux.c: bump up supported js buttons to 16

2001-01-14 03:17  taniwha

	* configure.in: correct zlib search (#128670)

2001-01-14 01:39  tonik

	* source/sv_user.c: If you stufftext() something to the client,
	don't forget to terminate them with \n !

2001-01-13 06:26  taniwha

	* source/gl_rmain.c: bring location lights up to scratch with the
	new dlight defaults

2001-01-13 05:35  taniwha

	* configure.in: forgot about cpp and args

2001-01-13 05:28  taniwha

	* configure.in: test for the evil spawn of satan (gcc 2.96) and try
	to cope

2001-01-12 13:31  dabb

	* source/gl_sky_clip.c: Fix for borland famous alloca-bug.

2001-01-12 05:29  taniwha

	* configure.in: if we include it, test for it (except X11/* GL/*)
	in the main header test block

2001-01-12 05:23  despair

	* source/cd_linux.c: Follow CodingStyle some more.

2001-01-11 10:21  deek

	* source/Makefile.am: Whoops, forgot to add joy_win.c to
	EXTRA_libqfjs_a_SOURCES :)

2001-01-11 10:07  deek

	* configure.in, debian/Makefile.am, doc/Makefile.am,
	doc/man/Makefile.am, doc/texinfo/Makefile.am, include/Makefile.am,
	source/Makefile.am: Getting ready for 0.2.99beta6...

2001-01-11 10:05  mercury

	* source/cl_ents.c: Minor cleanup of dlights.  (On init they are
	now white, instead of black.)

2001-01-11 10:04  mercury

	* configure.in: Cleaned up the x86 compiler setting stuff.

2001-01-11 08:51  taniwha

	* configure.in, include/win32/version.h: use a saver version number
	:/

2001-01-11 08:43  coderjoe

	* include/win32/vc/config.h, source/gl_sky_clip.c,
	source/qw_client.dsp, source/qw_server.dsp: get MSVC back up and
	running again.

2001-01-11 07:41  taniwha

	* source/quakefs.c: fix for solaris

2001-01-10 22:13  taniwha

	* source/net_chan.c: fix a header snafu

2001-01-10 04:02  deek

	* configure.in: Fix joystick detection on Linux

2001-01-10 03:36  taniwha

	* include/win32/version.h: updated

2001-01-10 02:39  taniwha

	* source/gl_rmisc.c: doc fixes from Misty

2001-01-09 23:51  taniwha

	* tools/zpak: fix usage

2001-01-09 23:07  taniwha

	* source/keys.c: newlines in cvar descriptions don't work well

2001-01-09 04:49  taniwha

	* source/gl_rmisc.c: doc fix from misty

2001-01-09 02:53  taniwha

	* source/: cl_demo.c, cl_ents.c, cl_input.c, gl_rmain.c, hash.c,
	pr_exec.c, sw_model_brush.c, sw_model_sprite.c: fix mising #include
	<string*.h>

2001-01-09 00:45  deek

	* source/: gl_rmain.c, gl_rmisc.c, gl_rsurf.c: The gl_texsort cvar
	is gone. It did not do anything but disable multitexture, so I
	replaced it with a gl_multitexture cvar. It defaults off. Set
	gl_multitexture nonzero to enable it, but be warned that
	multitexturing and sorted textures are currently incompatible; this
	means that if you enable texturing, your textures will not be
	sorted and you may or may not get better performance.
	
	Made the following Cvars archived in GL: r_shadows,
	gl_affinemodels, gl_cull, gl_flashblend, gl_keeptjunctions,
	gl_multitexture, gl_particles, gl_sky_clip, gl_skymultipass,
	gl_smoothdlights.

2001-01-09 00:25  deek

	* include/: glquake.h, qfgl_ext.h: glquake.h: Whitespace, a new
	convenience check #define for multitexturing.
	
	qfgl_ext.h: Add protection against multiple includes of extensions
	from different files.  Add defs for GL_EXT_paletted_texture. 
	Change the #ifndef conditional for shared palettes to
	GL_EXT_shared_texture_palette.

2001-01-09 00:15  deek

	* source/console.c: Whitespace.

2001-01-09 00:14  deek

	* configure.in: Add --with-amd argument to optimize for AMD
	processors on x86. Does nothing elsewhere, of course.

2001-01-09 00:03  deek

	* source/: vid.c, vid_3dfxsvga.c, vid_ggi.c, vid_glx.c, vid_sdl.c,
	vid_sgl.c, vid_svgalib.c, vid_x11.c: The first messages on the
	console now wrap like they should, to the window width instead of
	to 40 characters.

2001-01-08 22:10  taniwha

	* source/gl_sky.c: bring constant brightness skys to non-clip skys

2001-01-08 19:59  taniwha

	* source/: sv_main.c, sv_send.c: fix the server info string output
	on the console. kludgy, but it works :)

2001-01-08 18:04  taniwha

	* configure.in: rev version number for release

2001-01-08 17:52  taniwha

	* source/net_udp.c: fix for *nix

2001-01-08 17:47  dabb

	* source/net_udp.c: Drop packets from ports under <1024 (server
	only). Also drop packets with invalid source address (broadcast and
	any).

2001-01-08 07:31  taniwha

	* source/cl_main.c: move CL_Ents_Init to the right place

2001-01-08 07:31  taniwha

	* source/quakefs.c: fix a possible oob condition

2001-01-08 07:07  taniwha

	* include/cl_ents.h, include/cvar.h, source/cl_ents.c,
	source/cl_main.c, source/cvar.c, source/gl_dyn_fires.c,
	source/gl_rmisc.c: flickering rocket/lava lights are dead and cvars
	now support vectors (archiving broken atm).

2001-01-08 06:23  taniwha

	* source/sv_user.c: take care of repeated output for begin as well
	as say and say team. As this list is likely to keep growing, I've
	re-written SV_ExecuteUserCommand to check a flag in the user
	command entry to see wheter output should be redirected or not.
	Also, the ucmds table is now qsorted on init and bsearched in
	SV_ExecuteUserCommand for both speed and code cleanliness.

2001-01-08 03:16  taniwha

	* source/: cd_linux.c, gl_sky_clip.c: cd_linux.c:	fix silly
	#include booboo (Thanks, Scottie Shore) gl_sky_clip.c:	      bring
	in brighness the right way

2001-01-07 12:19  taniwha

	* source/gl_sky_clip.c: skys are no longer brighted with brightness
	(they saturate way too fast)

2001-01-07 12:15  taniwha

	* source/sv_pr_cmds.c: rework PF_stuffcmd so it can't lose chars

2001-01-07 12:07  taniwha

	* source/sv_main.c: add a tab to the beginning of the logged rcon
	command

2001-01-06 08:12  dabb

	* include/qfgl_ext.h: Added GL_SHARED_TEXTURE_PALETTE_EXT.

2001-01-06 08:09  dabb

	* source/qf-client-wgl.mak: Added glext thingy.

2001-01-06 08:03  deek

	* source/cl_parse.c: Recover gracefully from TF server cycling
	problem that sometimes doesn't send the new map name, resulting in
	a crash. We now disconnect and go back to console.

2001-01-06 07:52  deek

	* source/console.c: Whitespace, lose a != NULL

2001-01-06 07:32  taniwha

	* source/: gl_rmain.c, r_main.c: viewable nearest loc support (sw
	and gl) (r_drawentities 0 to turn on)
	
	(from WildCode)

2001-01-06 07:29  deek

	* include/glquake.h, include/qfgl_ext.h, include/win32/vc/config.h,
	source/gl_rsurf.c, source/gl_screen.c, source/vid_common_gl.c,
	source/vid_wgl.c: Cleanup of extensions, they are no longer defined
	in glquake.h. In addition, removed support (for now) for SGIS and
	EXT multitexture. It allowed me to enhance support for ARB
	multitexture, which is better anyway (especially for Radeon, but
	that won't get special support yet until we need a third texture
	pass).
	
	Updated the Unix 8-bit GL code to be more like the Windows version,
	which may work better. It still defaults off, because many drivers
	have bugs in their handling of the shared texture palette
	extension.

2001-01-06 07:26  taniwha

	* source/r_main.c: r_drawentities bug in sw fix (from WildCode)

2001-01-06 07:24  taniwha

	* source/teamplay.c: locs_search created for use by locs_moveloc,
	locs_delloc, locs_editloc locs_moveloc created for moving nearest
	location marker editloc seperated from locs_delloc and placed into
	locs_edit locs_delloc cleaned up
	
	Chris Ison

2001-01-06 07:21  deek

	* include/bspfile.h: Include qtypes.h, caused a problem here

2001-01-06 07:15  taniwha

	* source/sv_user.c: don't redirect for the say command

2001-01-06 06:50  taniwha

	* source/sv_main.c: sv_phs doc fix from Misty

2001-01-06 04:19  taniwha

	* configure.in: non-cvs trees would not make after configure using
	./configure && make due to the last command returning non-zero.
	Also, check for CVS in $srcdir rather than .

2001-01-05 21:10  taniwha

	* include/win32/vc/config.h, source/snd_win.c, source/teamplay.c:
	some compile fixes for vc (hopefully)

2001-01-05 19:52  taniwha

	* source/: cl_sys_sdl.c, cl_sys_unix.c, d_surf.c, quakefs.c,
	sizebuf.c, sv_main.c, sv_send.c, sv_user.c: various printf,
	Sys_Printf, Con_Printf cleanups. Con_Printf now ALWAYS prints to
	consol/logfile whether output is recirected or not. Also,
	Con_Printf will not print the time stamp if the last char of the
	previous print wasn't \n

2001-01-05 16:37  dabb

	* source/makefile.mgw: pr_cmds -> sv_pr_cmds

2001-01-05 16:31  dabb

	* source/vid_wgl.c: Nuked some leftovers from Havoc.

2001-01-05 16:10  dabb

	* README.WIN: Added more ""instructions"" for mingw.

2001-01-05 15:46  dabb

	* include/win32/mingw/config.h: Added #define ZERO_ARRAY_LENGTH

2001-01-05 15:45  dabb

	* source/makefile.mgw: Added hash.c

2001-01-05 15:25  dabb

	* include/win32/bc/config.h: Added #define ZERO_ARRAY_LENGTH

2001-01-05 15:24  dabb

	* source/: qf-client-sdl.mak, qf-client-sgl.mak, qf-client-wgl.mak,
	qf-client-win.mak, qf-server.mak: Added hash.c

2001-01-05 00:25  taniwha

	* tools/cvar_doc.py: no longer needed and it died a while back
	anyway

2001-01-04 20:51  taniwha

	* include/cmd.h, source/cl_main.c, source/cmd.c, source/sv_main.c:
	commands and aliases now use hash tables

2001-01-04 20:43  despair

	* source/cl_main.c: CodingStyle.

2001-01-04 19:57  despair

	* include/glquake.h: Whitespace, and header sort.

2001-01-04 19:11  taniwha

	* include/Makefile.am: forgot to add hash.h for make dist

2001-01-04 19:10  taniwha

	* acconfig.h, configure.in, include/cvar.h, include/hash.h,
	source/Makefile.am, source/cl_main.c, source/cvar.c, source/hash.c,
	source/sv_main.c: cvars and cvar alias now use a hash table for
	lookups. commands and aliases coming soon :)

2001-01-04 18:38  taniwha

	* source/vid_wgl.c: hopefully fix some mingw compilation issues

2001-01-04 18:25  taniwha

	* include/glquake.h: make mingw compatable

2001-01-04 15:46  taniwha

	* include/Makefile.am: add sv_pr_cmds.h to extra-dist

2001-01-04 06:24  taniwha

	* source/gl_sky_clip.c: replace face related % and / with table
	lookups. gives almost 50% speedup in set_vertex (but it's not
	called that often) and 1/15 speedup in R_DrawSkyBoxPoly

2001-01-04 05:59  taniwha

	* include/sv_pr_cmds.h: forgot the fscking header file, didn't I?

2001-01-04 05:44  taniwha

	* source/sv_move.c, include/progs.h, source/sv_pr_cmds.c: fix a
	crash in progs code caused by a bad prototype

2001-01-04 03:45  despair

	* source/sv_ccmds.c: Correct user/info slip in usage for user.

2001-01-03 17:09  taniwha

	* source/cvar.c: add a flag for CVAR_ROM

2001-01-03 14:36  dabb

	* source/qf-server.mak: Added missing file.

2001-01-03 07:19  taniwha

	* source/d_edge.c: clean up a fixme as recommended by WildCode

2001-01-03 07:08  taniwha

	* include/progs.h, include/server.h, source/pr_edict.c,
	source/sv_progs.c: now progs and server really are separated :)

2001-01-03 05:54  taniwha

	* include/progs.h, include/server.h, source/Makefile.am,
	source/pr_cmds.c, source/pr_edict.c, source/sv_init.c,
	source/sv_pr_cmds.c, source/sv_progs.c: the progs engine and the
	server are now completely independent paving the way for CSQC.

2001-01-03 05:24  taniwha

	* configure.in: fix some silly typoes and ommissions (thanks,
	Scottie)

2001-01-03 04:40  taniwha

	* source/sv_main.c: correct the description of zombie time

2001-01-03 00:23  taniwha

	* ROADMAP: add a couple of items (and a new state). Also, test
	loginfo :)

2001-01-02 22:58  tonik

	* source/sv_ccmds.c: Add the missing \n in
	ClientReliableWrite_String (cl, "cmd snap");

2001-01-02 16:18  taniwha

	* source/cd_linux.c: include unistd.h

2001-01-02 03:22  taniwha

	* include/progs.h, include/server.h, source/pr_cmds.c,
	source/pr_edict.c, source/pr_exec.c, source/sv_init.c,
	source/sv_main.c, source/sv_move.c, source/sv_phys.c,
	source/sv_progs.c, source/sv_send.c, source/sv_user.c,
	source/world.c: now only svs is reverenced where it shouldn't be,
	and that's to set info strings (skybox and *progs). skybox is easy
	to take care of (aditional parse functions), but I haven't yet
	decided what to do with *progs. Also, progs code needs a bit of a
	cleanup, but that will come later.

2001-01-01 18:00  taniwha

	* source/cl_main.c: move the final command line stuff to AFTER all
	the subsystems have been initialised.

2001-01-01 14:16  dabb

	* source/snd_win.c: Win32 sound code cleanup - phase 2.  Removal of
	lpVtbl-> for the sake of readability.

2000-12-31 22:06  taniwha

	* source/cvar.c: when cvarlist has ANY parameters, it will display
	the descriptions of the cvars

2000-12-31 19:27  dabb

	* README.WIN: Added some compile instructions for mingw users.

2000-12-31 19:08  dabb

	* source/makefile.mgw: Makefile for win32 MINGW users. Not fully
	finished yet, MGL doesnt work.
	
	Preferred method will be using autoconf & automake with ./configure
	but that requires single-hosting Mingw which is bit complicated.
	You can also use CYGWIN to compile.

2000-12-31 18:47  taniwha

	* source/cl_cvar.c: use MSG_WriteString instead of SZ_Print

2000-12-31 18:20  taniwha

	* source/: pr_edict.c, pr_exec.c: forgot to fix these

2000-12-31 18:20  dabb

	* source/snd_win.c: Cleanup - removed some commented out stuff.

2000-12-31 15:09  dabb

	* source/snd_win.c: Lockbuffer, return null when fails.

2000-12-31 13:59  dabb

	* source/gl_model_brush.c, source/vid_common_gl.c,
	source/vid_wgl.c, include/glquake.h: Nuked unused "texture_mode" -
	probably leftovers from old stuffs.

2000-12-31 13:51  dabb

	* source/vid_wgl.c: More cleanups, nothing major.

2000-12-31 09:06  dabb

	* source/qf-server.mak: Added sv_progs.c

2000-12-31 09:05  dabb

	* source/: cl_input.c, gl_rmisc.c, net_chan.c, r_main.c, sv_main.c:
	Added " characters to multiline cvar descriptions to avoid
	compilation probs and extra whitespaces in resulting help.

2000-12-31 07:43  taniwha

	* include/progs.h, include/server.h, source/Makefile.am,
	source/pr_cmds.c, source/pr_edict.c, source/pr_exec.c,
	source/pr_offs.c, source/sv_ccmds.c, source/sv_ents.c,
	source/sv_init.c, source/sv_main.c, source/sv_move.c,
	source/sv_phys.c, source/sv_progs.c, source/sv_send.c,
	source/sv_user.c, source/world.c: while not 100% complete (sv is
	still referred to as well as r_skyname), the progs engine no longer
	refers to any global vars. This alows for multiple progs being
	loaded (NOTE: NOT multiple mods, but (eg) for various protocol
	extensions) and, once the last couple of issues are taken care of,
	CSQC.

2000-12-31 04:46  taniwha

	* source/: cl_cam.c, cl_input.c, cl_main.c, cl_pred.c,
	cl_sys_sdl.c, cl_sys_unix.c, cl_sys_win.c, com.c, console.c,
	cvar.c, d_init.c, draw.c, gl_draw.c, gl_rmisc.c, gl_screen.c,
	in_sdl.c, in_svgalib.c, in_win.c, in_x11.c, joy_linux.c, joy_win.c,
	model.c, net_chan.c, r_main.c, r_view.c, screen.c, snd_dma.c,
	snd_null.c, sv_ccmds.c, sv_main.c, sv_sys_unix.c, sv_sys_win.c,
	sv_user.c, teamplay.c, vid_ggi.c, vid_mgl.c, vid_sgl.c,
	vid_svgalib.c, vid_wgl.c: cvar doc patches from Misty

2000-12-30 20:12  despair

	* source/in_sdl.c: Make multipliers consistent for mouse motion.
	One part was using -sdl client version, other -sgl. Now both use
	-sgl. Whee...

2000-12-30 19:23  dabb

	* source/vid_wgl.c: Nuked #include <commctrl.h>

2000-12-30 19:14  dabb

	* source/vid_wgl.c: Fixed compile error after Despair cleanups ;-)

2000-12-30 19:05  despair

	* source/: vid_mgl.c, vid_wgl.c: Minor include sorting/cleanup.

2000-12-30 18:46  dabb

	* source/in_win.c: Mingw compile fix.

2000-12-30 18:45  dabb

	* include/win32/: bc/config.h, mingw/config.h: Added HAVE_STRING_H

2000-12-30 18:26  despair

	* source/: vid_3dfxsvga.c, vid_common_gl.c, vid_ggi.c, vid_glx.c,
	vid_sdl.c, vid_sgl.c, vid_svgalib.c, vid_x11.c: Make ifdef's more
	consistent (and follow CodingStyle), HAVE_* cleanups, make -ggi
	target compile again, little whitespace, and sorted includes.

2000-12-30 14:34  dabb

	* source/: qf-client-sdl.mak, qf-client-win.mak: Small .asm
	changes.

2000-12-30 11:48  dabb

	* include/win32/bc/config.h: Some more defs.

2000-12-30 11:45  dabb

	* source/qf-server.mak: Finally added asms, I forgot to do it
	before :)

2000-12-30 11:20  dabb

	* source/cl_main.c: Added HAVE_NETINET_IN_H

2000-12-30 11:17  dabb

	* source/in_win.c: Oops, forgot IN_Command

2000-12-30 10:58  dabb

	* source/: qf-client-wgl.mak, qf-client-win.mak: Added joy_win.c.

2000-12-30 10:56  dabb

	* source/in_win.c: Moved JOYSTICK code to joy_win.c - still needs
	some cleaning but works.

2000-12-30 10:54  dabb

	* source/joy_win.c: Now you can actually turn joyadvanced on and
	off while playing.

2000-12-30 05:53  taniwha

	* source/: qf-server.mak, world.c: math asm needed

2000-12-30 05:40  taniwha

	* include/info.h: die, borland, die

2000-12-30 05:21  taniwha

	* include/info.h: too early to do that :/

2000-12-30 05:18  taniwha

	* include/bspfile.h, include/cl_cam.h, include/cl_pred.h,
	include/client.h, include/commdef.h, include/context_x11.h,
	include/d_iface.h, include/fractalnoise.h, include/glquake.h,
	include/info.h, source/cl_main.c, source/cl_misc.c,
	source/cl_parse.c, source/cl_sys_unix.c, source/cl_tent.c,
	source/gl_rmain.c, source/menu.c, source/r_edge.c, source/r_main.c,
	source/snd_dma.c, source/teamplay.c, source/world.c: a start on a
	#include audit for the header files and misc fixups for win32

2000-12-30 05:15  taniwha

	* configure.in: shouldn't have taken out the sound headers

2000-12-30 04:52  taniwha

	* source/cd_win.c: should compile now

2000-12-30 03:23  taniwha

	* include/host.h, source/cl_main.c, source/cl_parse.c,
	source/gl_dyn_part.c, source/menu.c, source/sys_unix.c: cleanup the
	includes in host.h

2000-12-30 03:07  taniwha

	* configure.in: every single system header file we currently
	include is now checked for

2000-12-30 03:07  taniwha

	* include/mdfour.h, include/qargs.h, include/quakeio.h,
	include/ver_check.h, source/cd_linux.c, source/cd_sdl.c,
	source/cl_main.c, source/net_packetlog.c: fix up <> vs "" in
	#includes

2000-12-30 02:25  taniwha

	* configure.in, include/cdaudio.h, include/cl_ents.h,
	include/cl_input.h, include/cl_tent.h, include/r_dynamic.h,
	include/teamplay.h: forgot these

2000-12-30 02:16  taniwha

	* source/: buildnum.c, cd_dos.c, cd_linux.c, cd_null.c, cd_sdl.c,
	cd_sgi.c, cd_win.c, checksum.c, cl_cam.c, cl_cmd.c, cl_cvar.c,
	cl_demo.c, cl_ents.c, cl_input.c, cl_main.c, cl_parse.c, cl_pred.c,
	cl_slist.c, cl_tent.c, cl_trans.c, cmd.c, com.c, console.c,
	context_x11.c, crc.c, cvar.c, d_edge.c, d_fill.c, d_init.c,
	d_modech.c, d_part.c, d_polyse.c, d_scan.c, d_sky.c, d_sprite.c,
	d_surf.c, d_zpoint.c, draw.c, gl_draw.c, gl_dyn_fires.c,
	gl_dyn_part.c, gl_dyn_textures.c, gl_mesh.c, gl_model_alias.c,
	gl_model_brush.c, gl_model_fullbright.c, gl_model_sprite.c,
	gl_ngraph.c, gl_rlight.c, gl_rmain.c, gl_rmisc.c, gl_rsurf.c,
	gl_screen.c, gl_sky.c, gl_sky_clip.c, gl_trans.c, gl_view.c,
	in_svgalib.c, in_x11.c, info.c, keys.c, link.c, locs.c, mathlib.c,
	mdfour.c, menu.c, model.c, model_alias.c, model_brush.c,
	net_chan.c, net_com.c, net_packetlog.c, net_udp.c, pcx.c, pmove.c,
	pmovetst.c, pr_edict.c, qargs.c, qendian.c, qfgl_ext.c, quakefs.c,
	quakeio.c, r_aclip.c, r_alias.c, r_bsp.c, r_draw.c, r_edge.c,
	r_efrag.c, r_light.c, r_main.c, r_misc.c, r_part.c, r_sky.c,
	r_sprite.c, r_surf.c, r_view.c, sbar.c, screen.c, skin.c,
	snd_alsa_0_5.c, snd_alsa_0_6.c, snd_disk.c, snd_dma.c, snd_mem.c,
	snd_mix.c, snd_null.c, snd_oss.c, snd_sdl.c, snd_sgi.c, snd_sun.c,
	sv_ccmds.c, sv_cvar.c, sv_ents.c, sv_init.c, sv_main.c, sv_misc.c,
	sv_model.c, sv_move.c, sv_nchan.c, sv_phys.c, sv_send.c,
	sv_sys_unix.c, sv_user.c, sw_model_alias.c, sw_model_sprite.c,
	sys_null.c, sys_unix.c, teamplay.c, tga.c, va.c, vid_3dfxsvga.c,
	vid_ggi.c, vid_glx.c, vid_null.c, vid_sdl.c, vid_sgl.c,
	vid_svgalib.c, vid_x11.c, wad.c, world.c, zone.c: #include audit

2000-12-29 20:08  dabb

	* source/joy_win.c: Joystick code for win32. Mostly contains code
	moved from in_win.c.  NOT FINISHED YET.

2000-12-29 18:52  dabb

	* source/: cl_slist.c, menu.c: Replaced #ifndef WIN32 with #ifdef
	HAVE_UNISTD_H and HAVE_SYS_TIME_H

2000-12-29 16:26  dabb

	* source/: cl_slist.c, menu.c: Are these uninst.h, timeb.h really
	needed here?

2000-12-29 16:20  dabb

	* source/: vid_sdl.c, vid_sgl.c, cl_sys_sdl.c: Brought back evil
	DirectSound hack for SDL/SGL

2000-12-29 16:19  dabb

	* source/pr_exec.c: Put back #include <stdarg.h> or compile fails.

2000-12-29 15:52  dabb

	* source/: qf-client-sdl.mak, qf-client-sgl.mak: Bringing back
	Direct-X sounds for SDL/SGL.  I guess we let SDL sound support
	mature bit more.

2000-12-29 15:20  dabb

	* source/snd_dma.c, source/snd_mix.c, source/snd_win.c,
	include/winquake.h: Win32 sound cleanups - phase1

2000-12-29 07:15  taniwha

	* source/sv_sys_unix.c: make the `dead sleep' optional
	(sys_dead_sleep: defaults to on)

2000-12-29 06:19  taniwha

	* source/sv_sys_unix.c: helps if one groks select semantics :/

2000-12-29 05:32  taniwha

	* include/server.h, source/sv_main.c, source/sv_sys_unix.c: make
	qf-server REALY sleep when there are no clients currently connected

2000-12-29 03:14  taniwha

	* include/cl_slist.h, include/keys.h, include/qtypes.h,
	source/Makefile.am, source/cl_main.c, source/cl_slist.c,
	source/gl_draw.c, source/gl_ngraph.c, source/gl_screen.c,
	source/in_sdl.c, source/keys.c, source/menu.c,
	source/qf-client-sdl.mak, source/qf-client-sgl.mak,
	source/qf-client-wgl.mak, source/qf-client-win.mak,
	source/r_misc.c, source/screen.c, source/vid_mgl.c,
	source/vid_wgl.c, source/vid_x11.c: it was decided the menu code
	should return until release. here it is with the gettimeofday ->
	Sys_DoubleTime change (though I'm having some operational issues
	(non-critial) with the server list).

2000-12-29 01:28  taniwha

	* source/pr_exec.c: white space

2000-12-28 23:26  deek

	* configure.in: Change format of --with-clients= parameters. Used
	to be [example] --with-clients="3dfx glx svga", it's now
	--with-clients=3dfx,glx,svga

2000-12-28 09:34  deek

	* source/cl_main.c: whitespace

2000-12-28 09:33  deek

	* source/cl_parse.c: voids

2000-12-28 09:33  deek

	* source/cl_sys_sdl.c: shrink the heap back down to 8MB on Win32
	-s*l

2000-12-28 09:32  deek

	* source/context_x11.c: more void cleanup

2000-12-28 09:31  deek

	* source/cvar.c: Whitespace

2000-12-28 09:30  deek

	* source/gl_draw.c: more () -> (void) for function defs

2000-12-28 09:29  deek

	* source/gl_dyn_part.c: s/()/(void)/g

2000-12-28 09:27  deek

	* source/: gl_rmisc.c, gl_model_alias.c: whitespace

2000-12-28 09:26  deek

	* source/gl_rsurf.c: Whitespace, some optimizations

2000-12-28 07:49  deek

	* source/gl_screen.c: The GL version of the clock rewrite -- also
	some whitespace

2000-12-28 07:46  deek

	* source/in_svgalib.c: Whitespace, some function name changes

2000-12-28 07:44  deek

	* source/: nonintel.c, locs.c: whitespace

2000-12-28 07:44  deek

	* source/pr_edict.c: whitespace.

2000-12-28 07:43  deek

	* source/pr_offs.c: Whitespace.

2000-12-28 07:38  deek

	* source/quakefs.c: whitespace.

2000-12-28 07:28  deek

	* source/r_edge.c: Whitespace

2000-12-28 07:18  taniwha

	* source/: cl_main.c, sv_main.c: What's GameSpy?

2000-12-28 07:09  deek

	* source/r_sprite.c: Whitespace.

2000-12-28 07:09  deek

	* source/screen.c: Rewrite of the clock code.

2000-12-28 06:58  deek

	* source/skin.c: Whitespace.

2000-12-28 06:54  deek

	* source/snd_oss.c: Add 22050 to the list of sound rates to attempt

2000-12-28 06:49  deek

	* source/sw_model_alias.c: whitespace.

2000-12-28 06:45  deek

	* source/vid_common_gl.c: Use RGB palettes for shared palette
	extension instead of RGBA.

2000-12-28 05:18  taniwha

	* source/: pr_cmds.c, pr_edict.c, pr_exec.c, pr_offs.c: clean up
	the #includes of the progs files

2000-12-27 17:01  dabb

	* source/keys.c: Merc ripped off bit too much - in-game keys
	stopped working. Fixed.

2000-12-27 15:18  dabb

	* include/win32/mingw/config.h: Mingw support for ppl without
	configure :-)

2000-12-26 21:29  despair

	* source/: qf-client-sdl.mak, qf-client-sgl.mak: More menu.c cruft
	chasing.

2000-12-26 21:00  despair

	* source/qf-client-win.mak: Remove cruft leftover from menu
	removal.

2000-12-26 20:58  despair

	* source/qf-client-wgl.mak: remove obsolete menu cruft.

2000-12-26 17:58  dabb

	* README.WIN: Added some mingw stuffs

2000-12-26 17:41  mercury

	* include/cl_slist.h, include/keys.h, include/qtypes.h,
	source/Makefile.am, source/cl_main.c, source/cl_slist.c,
	source/gl_draw.c, source/gl_ngraph.c, source/gl_screen.c,
	source/in_sdl.c, source/keys.c, source/menu.c, source/r_misc.c,
	source/screen.c, source/vid_mgl.c, source/vid_wgl.c,
	source/vid_x11.c: Due to snax's ping stuff not compiling under
	windows, I did a little cleaning.
	
	Specificly, the entire menu system has been completely and utterly
	removed.
	
	Flame me AFTER writing a replacement. <=:]

2000-12-25 03:38  taniwha

	* source/gl_sky_clip.c: put my sky alpha trick into a safe place.
	currently disabled because while it works, it's not the right
	place.

2000-12-25 02:36  snax

	* include/cl_slist.h, source/cl_main.c, source/cl_slist.c,
	source/menu.c: This update changes the server list layout and adds
	server pinging and querying support.  Use 'p' to update pings, 's'
	to update status information, and 'u' to do both at once.  Feel
	free to abuse this and report any bugs that you find.

2000-12-24 23:39  taniwha

	* source/cvar.c: fix a long standing (but only recently discovered)
	but with INFO cvars (USER and SERVER) where they weren't being put
	into the info string if they were never modified from the default.

2000-12-24 05:37  snax

	* source/menu.c: A quick hack so that inserting in the server list
	will use the current server's ip and description if connected.

2000-12-24 04:59  taniwha

	* source/gl_draw.c: don't unroll the resaple loops manually. causes
	segs for < 4 pixel output textures (now 2x2 and 1x1 will work. 0x0
	is just ignored)

2000-12-24 04:43  taniwha

	* source/gl_draw.c: don't resample a texture when the output size
	is 0xN or Nx0

2000-12-23 00:09  snax

	* source/gl_draw.c: Fixed a segfault with null textures by ignoring
	them in GL_Upload32 and removed a 'magic number' as well.

2000-12-22 09:22  mercury

	* source/vid_common_gl.c: The GL_EXT_shared_texture_palette seems
	like an idea which is /almost/ a good idea, but seems to be
	severely broken with many drivers, as such it is disabled.
	
	It should be noted, that a palette object extension as suggested by
	the GL_EXT_shared_texture_palette spec might be a very good idea in
	general.

2000-12-22 05:26  despair

	* source/cl_parse.c: Reenable own muzzle flashblend for
	gl_flashblend users. Anyone have any idea _why_ some madman
	disabled it? *grmbl* :)

2000-12-22 05:23  taniwha

	* source/gl_rmain.c: fix the broken torches

2000-12-22 04:36  taniwha

	* source/cl_ents.c: dlights now work for BOTH software AND gl :)

2000-12-21 20:43  taniwha

	* source/: cl_ents.c, cl_parse.c, cl_tent.c: cl_ents.c: 	fix
	sporadic rocket dlights in software cl_parse.c:     simpify
	CL_ParseStatic cl_tent.c:	misc cleanups

2000-12-21 05:49  taniwha

	* source/cl_ents.c: the spirits shall no longer flee from the
	bodies of the dead :)

2000-12-20 23:38  taniwha

	* source/qw_server.dsp: add sys_x86.S and ver_check.c to the
	project (I hope I didn't `corrupt' the dsp)

2000-12-20 22:03  taniwha

	* source/gl_draw.c: undo some of indent's drainbamage

2000-12-20 21:59  despair

	* source/gl_draw.c: Correct GL_4_BYTES to GLuint. Also some
	whitespace/comment cleanups

2000-12-20 21:31  taniwha

	* source/: locs.c, teamplay.c: fix warnings when zlib is not
	available

2000-12-20 19:39  despair

	* source/gl_draw.c: Fix for memory waste noticed by LordHavoc:
	4*sizeof(unsigned int) (4* needed size!) to GL_4_BYTES (nice
	portable GL types, we should use them everywhere!)

2000-12-20 18:18  dabb

	* include/winquake.h: "Unused" code for startup dialog now has
	#ifdef SPLASH_SCREEN.

2000-12-20 18:18  dabb

	* source/: cl_sys_win.c, vid_mgl.c, vid_wgl.c: More win32 cleanups:
	"Unused" code for startup dialog now has #ifdef SPLASH_SCREEN. 
	Removed extra variables which were not used.

2000-12-20 17:16  taniwha

	* source/net_udp.c: this should fix the unknown error on w2k

2000-12-20 16:42  dabb

	* source/vid_wgl.c: Minor cleanup (dibwindow) and some cosmetic
	changes :)

2000-12-20 06:56  taniwha

	* include/cl_tent.h: forgot to commit this

2000-12-20 06:50  taniwha

	* source/: gl_rmain.c, r_efrag.c: lerp torches. the fast torches
	(the more common ones), look a bit odd due to texturing issues. not
	sure what's wrong there.

2000-12-20 06:43  taniwha

	* source/cl_ents.c: fix a nail related segfault caused by the
	re-write

2000-12-20 06:18  taniwha

	* include/cl_main.h, include/cl_tent.h, include/r_dynamic.h,
	include/render.h, source/cl_ents.c, source/cl_main.c,
	source/cl_tent.c, source/gl_dyn_fires.c, source/gl_dyn_part.c,
	source/gl_rmain.c, source/r_efrag.c, source/r_main.c,
	source/r_part.c: cl_visedict re-write. lerping works MUCH better
	now, and lerping of torches should be possible. client should also
	be microscopicly faster.

2000-12-19 22:48  taniwha

	* source/net_packetlog.c: white space

2000-12-19 21:39  taniwha

	* source/net_packetlog.c: add a $Id tag

2000-12-19 20:33  taniwha

	* source/cl_demo.c: don't seek while backing up over demotime.
	gzipped demos no longer slow down as the demo progresses (this will
	probably also be good for eventual dzip support).

2000-12-19 19:47  taniwha

	* include/locs.h, source/locs.c, source/teamplay.c: This is what I
	have done with this patch
	
	Added editloc to change the description of the closest location
	Added delloc to remove closest location Added dumploc to place locs
	in memory into a .loc file (required for editloc and delloc) Added
	zdumploc to place locs in memory into a .loc.gz file (requred for
	markloc, editloc and delloc) Added loc.gz saving support to
	markloc, editloc and delloc (via zdumploc)
	
	Altered locs_load to use _Com_FOpenFile instead of Com_FOpenFile
	Fixed potentual bug in locs_markloc Fixed bug in Team_ParseSay that
	cause wierd behaviour if $ or % was last charactor in line.
	
	patch created from a development tree via diff -ur ../newtree ./
	newtree and development tree were up-to-date at time of creating
	the patch
	
	Please let me know what you change so I may learn from it
	
	Chris Ison (WildCode)

2000-12-19 19:46  taniwha

	* source/cl_tent.c: forgot to remove j

2000-12-19 19:43  taniwha

	* source/cl_tent.c: remove an inner loop for readabilities sake

2000-12-19 19:02  despair

	* include/asm_i386.h, include/sound.h, source/snd_dma.c,
	source/snd_mix.c: Merge phase separated mixing from nuq. Still has
	bugs, but defaults off.

2000-12-19 15:15  dabb

	* source/: qf-client-sgl.mak, qf-client-wgl.mak: gl_efrag ->
	r_efrag.

2000-12-19 05:42  taniwha

	* source/: Makefile.am, gl_refrag.c: turns out gl_refrag.c just
	isn't really needed

2000-12-19 03:29  taniwha

	* source/: cl_trans.c, gl_trans.c: remove commented out error code.
	it only confused the reader anyway

2000-12-19 03:21  taniwha

	* source/quakeio.c: fix a silly gzio bug

2000-12-19 02:42  deek

	* source/dga_check.c: Add the use of XQueryExtension() to the DGA
	and VidMode checks. The game should no longer crash if the VidMode
	or DGA extensions are not present at runtime.

2000-12-19 00:57  taniwha

	* source/sv_cvar.c: make sure the server doesn't seg if an info
	cvar is set early

2000-12-18 10:53  deek

	* source/gl_rmain.c: Fix the problem with water and sprites acting
	funny with lerping on...stupid, stupid bug.

2000-12-17 22:07  taniwha

	* include/glquake.h, source/gl_rmain.c, source/gl_rmisc.c,
	source/gl_rsurf.c, source/model_brush.c, source/r_main.c,
	source/sv_model.c: subdivided skys are back. it seems some cards
	don't like big polys.  gl_sky_divide (default 1) controls this.

2000-12-17 04:27  taniwha

	* source/sw_model_alias.c: finally, the stupid sw alias model bug
	is fixed! There were several possible symptoms: frozen torches,
	warped models, crashes, amonst others.

2000-12-15 23:24  taniwha

	* source/: cmd.c, gl_dyn_fires.c, pcx.c, sw_model_alias.c, tga.c:
	fix command line parsing when - is embeded in an arg (eg +gamedir
	artifact-rjs)

2000-12-15 12:18  tonik

	* include/client.h, source/cl_pred.c, source/r_view.c: This fixes
	an ugly bug caused by a bug in the ugly netquake step up smoothing
	code :)

2000-12-15 11:02  deek

	* source/cl_ents.c: Fix up a silly bug in interpolation that made
	certain players get "stuck" at a particular frame.

2000-12-15 05:57  taniwha

	* source/: gl_mesh.c, quakeio.c: write out meshed models using gzip
	compression (files will NOT have the .gz extension, but the unix
	file command (and peering at the file when you know what to look
	for) verifies that they are gzip files. This should save a little
	space (files compress by 40-80%)

2000-12-14 22:25  taniwha

	* source/pr_edict.c: hopefully fix the sky
	"/usr/local/share/games/qf" not found bug

2000-12-14 07:46  taniwha

	* source/: sv_main.c, sv_user.c: sv_main.c:	check
	sv_minqfversion->string[0] instead of value sv_user.c:	  white
	space

2000-12-13 23:20  taniwha

	* source/: .gdbinit, snd_alsa_0_6.c: seems to work now :) probably
	needs harder testing

2000-12-13 22:52  dabb

	* doc/net_DoS_protection.txt: Instructions about basic DoS
	tone-down in Quakeforge servers.

2000-12-13 18:55  taniwha

	* source/snd_alsa_0_6.c: doesn't really work after all. Seems to
	kill the channel once XRUNs occur :(

2000-12-13 17:07  taniwha

	* source/snd_alsa_0_6.c: now it actually DOES work for me :/

2000-12-13 16:38  taniwha

	* source/snd_alsa_0_6.c: works again (for me :/)

2000-12-13 09:03  deek

	* source/r_view.c: nuke gl_cshiftpercent

2000-12-13 09:01  deek

	* include/view.h, source/cl_main.c, source/gl_screen.c,
	source/gl_view.c, source/r_view.c: Overhaul of parts of the
	polyblend system. Contrast in GL no longer uses another alpha
	blend, it's set up exactly as another factor in determining the
	final blend. This should help speed up framerates a little.
	
	New cvars: cl_cshift_bonus: Set to 0 to disable bonus flashes. 
	cl_cshift_contents: Set to 0 to disable content blends. 
	cl_cshift_damage: Set to 0 to disable damage blends. 
	cl_cshift_powerup: Set to 0 to disable powerup (quad, pent, etc)
	blends.
	
	All of these cvars work for both GL and software, and all of them
	check the value of the "cshifts" serverinfo. cshifts is a bit
	field, with the following bits defined:
	
	bonus: 1 contents: 2 damage: 4 powerup: 8
	
	An admin can force any of these to be respected by choosing the
	numbers of the cshifts to be enforced, and adding them up.
	
	examples:
	
	serverinfo cshifts 15
	
	turns them all on.
	
	serverinfo cshifts 10
	
	turns on powerup and contents shifts.
	
	also, the gl_cshiftpercent Cvar no longer does anything. I'll
	remove it entirely soon.

2000-12-12 23:38  taniwha

	* source/snd_alsa_0_6.c: now has problems with setting the
	parameters

2000-12-12 19:54  taniwha

	* source/snd_alsa_0_6.c: fix an error message

2000-12-12 19:41  taniwha

	* source/snd_alsa_0_6.c: compiles with latest alsa cvs, but doesn't
	work yet :/

2000-12-12 07:18  taniwha

	* configure.in, source/cl_ents.c: configure.in: 	enable
	-mpentiumpro for i686 source/cl_ents.c:  a tiny abount of
	whites;ace/style

2000-12-12 06:17  taniwha

	* source/: cl_ents.c, cl_sys_unix.c, gl_rmain.c: holy water has
	been sprinkled on the dancing corpses. they dance no more also a
	little whitespace

2000-12-12 02:46  deek

	* include/draw.h, source/cl_ents.c, source/draw.c,
	source/gl_draw.c, source/gl_ngraph.c, source/gl_rmisc.c,
	source/gl_screen.c, source/screen.c: cl_ents.c: misc. tweaks to
	CL_ParsePacketEntities () rest: Myriad stuff.
	
	r_netgraph now recognizes and abides by the cl_hudswap Cvar. 
	show_fps and show_time are on the same line now, and stay out of
	each others' way.
	
	New Draw_ function: Draw_TextBox(). It's like M_DrawTextBox(),
	except it doesn't screw around with the screen coordinates.

2000-12-11 19:40  taniwha

	* include/tga.h: remove un-needed #define _attribute__(x) (there's
	one in gcc_attr.h)

2000-12-11 19:14  lordhavoc

	* include/win32/bc/config.h, include/win32/vc/config.h,
	source/quakeio.c: WIN32 now uses %WINDIR% as the home dir (this
	basically means c:\windows\quakeforge.conf)

2000-12-11 18:59  deek

	* source/: cl_ents.c, gl_rmain.c: Okay, that's it. Model animation
	interpolation is as done as it's going to get with the QW protocol.

2000-12-11 18:20  deek

	* include/tga.h: minor opt in the #define

2000-12-11 17:21  taniwha

	* source/quakefs.c: remove -basedir again

2000-12-11 16:52  deek

	* include/tga.h: Fix Dabb's fix, which killed every compiler that
	wasn't Borland. :)

2000-12-11 15:37  dabb

	* include/tga.h: #pragma pack for Borland C++

2000-12-11 15:35  dabb

	* source/net_packetlog.c: Packet logging support for debugging and
	educational purposes.  Experimental. Note: All parts are not YET
	transferred from quakeforge tree.  Missing detailed and
	nonconnection packet parsing.

2000-12-11 15:30  dabb

	* source/: net_udp.c, sv_main.c, sv_sys_unix.c, sv_sys_win.c:
	Packet logging support for debugging and educational purposes.

2000-12-11 15:29  dabb

	* source/: qf-client-sdl.mak, qf-client-sgl.mak, qf-client-wgl.mak,
	qf-client-win.mak: Added pcx.c

2000-12-11 14:59  lordhavoc

	* include/tga.h: struct packing for MSVC

2000-12-11 14:47  lordhavoc

	* source/quakefs.c: must... have... basedir... to... play...

2000-12-11 14:00  lordhavoc

	* source/: cl_sys_unix.c, sv_sys_unix.c: removed unused BASEDIR
	define

2000-12-11 11:12  deek

	* source/cl_ents.c: Fix up the interpolation case where it made
	dead bodies dance and fall to the floor upon becoming visible.
	Quite funny, actually :)

2000-12-11 09:59  deek

	* include/client.h, include/render.h, source/cl_ents.c,
	source/gl_rmain.c, source/gl_rmisc.c, source/pr_edict.c:
	pr_edict.c: whitespace rest: Implement model animation
	interpolation for alias models. Trying to implement this has been
	an annoyance for some time, but IT WORKS NOW. set gl_lerp_anims to
	zero to disable.

2000-12-11 09:50  deek

	* configure.in, source/Makefile.am, source/cd_null.c,
	source/cd_sdl.c: Add support for SDL CD audio, rename
	--enable-sdlsound to --enable-sdl-audio

2000-12-11 09:46  deek

	* source/snd_oss.c: remove "Error: " from no-mmap message

2000-12-11 06:38  taniwha

	* include/quakefs.h, include/tga.h, source/gl_screen.c,
	source/quakefs.c, source/screen.c, source/tga.c: include/tga.h
	source/tga.c:	 new function WriteTGAfile. Also, put in the tga
	header structure.	NOTE: this is currently broken for non gcc
	ocmilers. you will get a     #error message.  include/quakefs.h
	source/quakefs.c:    new function COM_WriteBuffers. Like
	COM_WriteFile, but scatter/gather   style.  source/gl_screen.c
	source/screen.c:     misc cleanups. differences are getting fewer.
	should be mostly  mergable soon (minus truly sw/gl specific code).

2000-12-11 05:39  taniwha

	* source/r_misc.c: fix r_netgraph 1 fix

2000-12-11 03:30  taniwha

	* include/compat.h, include/pcx.h, include/qdefs.h,
	include/qtypes.h, include/quakefs.h, source/gl_screen.c,
	source/pcx.c, source/quakefs.c, source/screen.c: move WritePCXfile
	to pcx.c, move the screenshot filname creation code to
	COM_NextFilename in quakefs.c and fix up some remote screenshot
	snafus

2000-12-10 23:14  taniwha

	* source/: gl_screen.c, screen.c: remove all pure whitepsace diffs
	between gl_screen.c and screen.c

2000-12-10 10:56  despair

	* source/snd_oss.c: Undo the horrible mistake of paying attention
	to 4Front's documentation.

2000-12-10 10:54  dabb

	* source/: qfgl_ext.c, vid_common_gl.c: Include winquake.h must be
	BEFORE include gl/gl.h or compile WILL fail with win32.

2000-12-10 10:53  dabb

	* source/qf-client-sgl.mak: Added qfgl_ext.c

2000-12-09 23:26  taniwha

	* source/: gl_draw.c, gl_screen.c, screen.c: remove gratuitous
	differences between gl_screen.c and screen.c

2000-12-09 20:46  deek

	* configure.in, source/Makefile.am: SDL sound support.

2000-12-09 18:48  deek

	* include/Makefile.am: Fix up make dist

2000-12-09 18:39  despair

	* source/: cd_audio.c, cd_dos.c: Rename of cd_audio.c to cd_dos.c.
	(cvs needs a move command!)

2000-12-09 18:34  despair

	* source/snd_oss.c: Fixed /dev/dsp open to only open with write.

2000-12-09 05:37  taniwha

	* source/gl_sky_clip.c: finally found the black water bug!!! forgot
	to set the color back to the lighting color

2000-12-08 11:16  deek

	* source/vid_3dfxsvga.c: [grumble]

2000-12-08 11:06  deek

	* source/vid_3dfxsvga.c: Include qfgl_ext.h in 3Dfx...

2000-12-08 07:46  deek

	* configure.in, include/context_x11.h, source/Makefile.am,
	source/cd_sgi.c, source/snd_sgi.c, source/ver_check.c,
	source/vid_common_gl.c: context_x11.h -- didn't mean to commit my
	local changes rest: Apply patches from Michael Weiser
	<michael@weiser.saale-net.de>

2000-12-08 06:51  deek

	* include/context_x11.h, source/buildnum.c, source/cd_audio.c,
	source/cd_linux.c, source/cd_null.c, source/cd_sdl.c,
	source/cd_win.c, source/checksum.c, source/cl_cam.c,
	source/cl_cmd.c, source/cl_cvar.c, source/cl_demo.c,
	source/cl_ents.c, source/cl_input.c, source/cl_main.c,
	source/cl_misc.c, source/cl_parse.c, source/cl_pred.c,
	source/cl_slist.c, source/cl_sys_sdl.c, source/cl_sys_unix.c,
	source/cl_sys_win.c, source/cl_tent.c, source/cl_trans.c,
	source/cmd.c, source/com.c, source/console.c, source/context_x11.c,
	source/crc.c, source/cvar.c, source/d_edge.c, source/d_fill.c,
	source/d_init.c, source/d_modech.c, source/d_part.c,
	source/d_polyse.c, source/d_scan.c, source/d_sky.c,
	source/d_sprite.c, source/d_surf.c, source/d_vars.c,
	source/d_zpoint.c, source/dga_check.c, source/dirent.c,
	source/draw.c, source/fnmatch.c, source/fractalnoise.c,
	source/gl_draw.c, source/gl_dyn_fires.c, source/gl_dyn_part.c,
	source/gl_dyn_textures.c, source/gl_mesh.c,
	source/gl_model_alias.c, source/gl_model_brush.c,
	source/gl_model_fullbright.c, source/gl_model_sprite.c,
	source/gl_ngraph.c, source/gl_refrag.c, source/gl_rlight.c,
	source/gl_rmain.c, source/gl_rmisc.c, source/gl_rsurf.c,
	source/gl_screen.c, source/gl_sky_clip.c, source/gl_trans.c,
	source/gl_view.c, source/gl_warp.c, source/in_null.c,
	source/in_sdl.c, source/in_svgalib.c, source/in_win.c,
	source/in_x11.c, source/info.c, source/joy_linux.c,
	source/joy_null.c, source/keys.c, source/link.c, source/locs.c,
	source/mathlib.c, source/mdfour.c, source/menu.c, source/model.c,
	source/model_alias.c, source/model_brush.c, source/model_sprite.c,
	source/msg.c, source/net_chan.c, source/net_com.c,
	source/net_udp.c, source/nonintel.c, source/pcx.c, source/pmove.c,
	source/pmovetst.c, source/pr_cmds.c, source/pr_edict.c,
	source/pr_exec.c, source/pr_offs.c, source/qargs.c,
	source/qendian.c, source/qfgl_ext.c, source/quakefs.c,
	source/quakeio.c, source/r_aclip.c, source/r_alias.c,
	source/r_bsp.c, source/r_draw.c, source/r_edge.c, source/r_efrag.c,
	source/r_light.c, source/r_main.c, source/r_misc.c,
	source/r_part.c, source/r_sky.c, source/r_sprite.c,
	source/r_surf.c, source/r_vars.c, source/r_view.c, source/sbar.c,
	source/screen.c, source/sizebuf.c, source/skin.c,
	source/snd_alsa_0_5.c, source/snd_alsa_0_6.c, source/snd_disk.c,
	source/snd_dma.c, source/snd_mem.c, source/snd_mix.c,
	source/snd_null.c, source/snd_oss.c, source/snd_sdl.c,
	source/snd_sun.c, source/snd_win.c, source/sv_ccmds.c,
	source/sv_cvar.c, source/sv_ents.c, source/sv_init.c,
	source/sv_main.c, source/sv_misc.c, source/sv_model.c,
	source/sv_move.c, source/sv_nchan.c, source/sv_phys.c,
	source/sv_send.c, source/sv_sys_unix.c, source/sv_sys_win.c,
	source/sv_user.c, source/sw_model_alias.c, source/sw_model_brush.c,
	source/sw_model_sprite.c, source/sw_view.c, source/sys_null.c,
	source/sys_unix.c, source/sys_win.c, source/teamplay.c,
	source/tga.c, source/va.c, source/ver_check.c, source/vid.c,
	source/vid_3dfxsvga.c, source/vid_common_gl.c, source/vid_ggi.c,
	source/vid_glx.c, source/vid_mgl.c, source/vid_null.c,
	source/vid_sdl.c, source/vid_sgl.c, source/vid_svgalib.c,
	source/vid_wgl.c, source/vid_x11.c, source/wad.c, source/world.c,
	source/zone.c: Okay, the big whitespace reformat. There is some
	silliness (case statements, variable declarations), but all in all
	it's not bad.

2000-12-08 06:14  deek

	* source/sv_user.c: Some whitespace, removed the timekick detection
	for slow-mo clients. There are way too many legitimate ways to get
	a too-slow time, unfortunately.

2000-12-08 06:10  deek

	* source/vid_common_gl.c: Remove unnecessary HAVE_DLOPEN check

2000-12-08 04:48  deek

	* source/cd_sdl.c: Nuke SDL/SDL.h include, replace with SDL.h

2000-12-08 04:46  deek

	* acconfig.h: Add HAVE_GLIDE define, lose some unnecessary ones.

2000-12-08 04:45  deek

	* bootstrap: Make all bootstrap commands dependant on the success
	of the previous.

2000-12-08 04:45  deek

	* configure.in: Various and sundry improvements to configure.

2000-12-08 04:42  deek

	* source/cl_sys_sdl.c: Compile fixes, some whitespace. This file
	should be nuked, but I won't do it until the normal system-level
	support for Win32 can support the SDL targets.

2000-12-08 04:40  deek

	* source/snd_oss.c: Largely whitespace, some opts, reverse order in
	which command-line parms and environment variables are used.
	Command-line should ALWAYS override the environment.

2000-12-08 04:36  deek

	* source/vid_3dfxsvga.c: Use QFGL on 3Dfx.

2000-12-07 20:51  taniwha

	* Makefile.am: use UTC dates when generating the changelog

2000-12-07 17:08  taniwha

	* source/: cmd.c, gl_draw.c, menu.c, net_chan.c, pr_edict.c: remove
	possible trigraphs (eww)

2000-12-07 11:34  taniwha

	* source/gl_model_brush.c: add includes lordhavoc forgot

2000-12-07 11:12  taniwha

	* source/: gl_rsurf.c, gl_screen.c, screen.c: first step on the way
	to merged gl_screen.c and screen.c

2000-12-07 08:59  lordhavoc

	* source/gl_model_brush.c: updated .lit loader, forgot to commit
	this a while back

2000-12-07 03:02  taniwha

	* source/: cl_main.c, skin.c: cvar doc patches from Misty

2000-12-07 00:08  taniwha

	* source/: cl_main.c, gl_screen.c, screen.c: comment patches from
	Misty

2000-12-06 19:45  taniwha

	* source/pr_exec.c: style changes

2000-12-06 18:51  taniwha

	* source/pr_exec.c: d'oh, forgot to remove the surrounding
	if(pr_boundscheck) :/

2000-12-06 18:41  taniwha

	* source/pr_exec.c: remove the duplicated progs engine. That would
	have been a maintainence nightmare.

2000-12-06 18:33  dabb

	* README.WIN: Added alternative download sites for borland complier
	& service packs.

2000-12-06 18:27  dabb

	* source/pr_edict.c: First try load qwprogs.dat, then try progs.dat
	and then fail.

2000-12-06 13:54  dabb

	* source/vid_3dfxsvga.c: Added #include "host.h"

2000-12-06 13:23  dabb

	* source/pr_edict.c, source/pr_exec.c, include/progs.h: Brought
	over pr_exec.c and pals from darkplaces.  Improvements include
	bounds checking, 40% less instructions per opcode, support for
	65535 globals. Might even break something.

2000-12-05 20:29  dabb

	* source/: cd_sdl.c, cd_win.c, cl_sys_sdl.c, cl_sys_win.c,
	in_win.c, vid_mgl.c, vid_wgl.c: Added include host.h

2000-12-05 16:59  deek

	* CodingStyle, CodingStyleGuide.txt: Update style guidelines

2000-12-05 16:51  taniwha

	* source/: console.c, gl_screen.c, model_brush.c, quakeio.c,
	r_part.c, screen.c, sv_main.c: sprintf audit.

2000-12-05 16:41  taniwha

	* source/: cl_demo.c, cmd.c, pr_cmds.c, quakefs.c, quakeio.c: char
	*buf; strn.* (..., sizeof(buf) ...) doesn't work so well :/

2000-12-05 16:04  taniwha

	* source/: cl_parse.c, cl_sys_win.c, cmd.c, console.c, gl_mesh.c,
	gl_model_brush.c, gl_rmain.c, keys.c, pr_cmds.c, pr_edict.c,
	qargs.c, quakefs.c, quakeio.c, snd_dma.c, snd_mem.c, sv_ccmds.c,
	sv_main.c, sv_send.c, sv_user.c: strncat parameter audit.
	Unfortunatly, strncat is counter-intutite: the n in strncat is not
	the maximum length of the destination string, but of the SOURCE
	string, thus strncat (dest, src, sizeof (dest)) is incorrect. It
	should be strncat (dest, src, sizeof (text) - strlen (dest)). Even
	then, no terminating nul will be written if src is too long, but at
	least it won't crash the stack:)

2000-12-05 11:08  mercury

	* source/: cl_cam.c, cl_main.c, cl_parse.c, cl_sys_win.c, cmd.c,
	console.c, cvar.c, gl_mesh.c, gl_model_brush.c, gl_ngraph.c,
	gl_screen.c, keys.c, locs.c, model_alias.c, net_udp.c, pr_cmds.c,
	pr_edict.c, qargs.c, quakefs.c, quakeio.c, r_misc.c, sbar.c,
	screen.c, snd_dma.c, snd_mem.c, sv_ccmds.c, sv_main.c, sv_send.c,
	sv_user.c: strcat -> strncat sprintf -> snprintf
	
	AKA, really big buffer overflow security fixes.
	
	More to come, geez we have holes everywhere.

2000-12-05 07:07  deek

	* CodingStyleGuide.txt: Update style guide.

2000-12-05 06:58  deek

	* source/: in_sdl.c, vid_ggi.c, vid_sdl.c, vid_sgl.c: Fix up host.h
	snafu's

2000-12-05 06:57  taniwha

	* source/: gl_screen.c, screen.c: show_time 2 will select 12h clock
	as opposed to 24h (Misty again)

2000-12-05 06:33  taniwha

	* include/context_x11.h, include/dga_check.h, include/host.h,
	include/quakedef.h, source/cd_audio.c, source/cd_null.c,
	source/cd_sdl.c, source/cd_win.c, source/cl_demo.c,
	source/cl_ents.c, source/cl_input.c, source/cl_main.c,
	source/cl_misc.c, source/cl_parse.c, source/cl_sys_sdl.c,
	source/cl_sys_unix.c, source/cl_sys_win.c, source/cl_tent.c,
	source/cl_trans.c, source/d_edge.c, source/d_modech.c,
	source/d_part.c, source/d_polyse.c, source/d_scan.c,
	source/d_sky.c, source/d_sprite.c, source/d_vars.c,
	source/d_zpoint.c, source/dga_check.c, source/gl_dyn_part.c,
	source/gl_refrag.c, source/gl_trans.c, source/in_null.c,
	source/in_sdl.c, source/in_svgalib.c, source/in_win.c,
	source/in_x11.c, source/menu.c, source/nonintel.c,
	source/r_aclip.c, source/r_draw.c, source/r_light.c,
	source/r_misc.c, source/r_part.c, source/r_sky.c, source/r_surf.c,
	source/r_vars.c, source/r_view.c, source/screen.c,
	source/snd_dma.c, source/snd_win.c, source/sw_view.c,
	source/sys_null.c, source/sys_unix.c, source/vid_3dfxsvga.c,
	source/vid_ggi.c, source/vid_glx.c, source/vid_mgl.c,
	source/vid_null.c, source/vid_sdl.c, source/vid_sgl.c,
	source/vid_svgalib.c, source/vid_wgl.c, source/vid_x11.c: rename
	quakedef.h to host.h (I should have done this months ago).  NOTE:
	-{sdl,sgl,3dfx,ggi,wgl,mgl} targets are very likely to be broken if
	any file fails to compile, just put #include "host.h" into it

2000-12-05 05:55  taniwha

	* include/r_local.h, source/gl_screen.c, source/r_view.c,
	source/screen.c: clean up screen.c and gl_screen.c includes remove
	scr_allowsnap from screen.c move crosshair related cvars to
	*screen.c

2000-12-05 04:21  taniwha

	* source/: gl_screen.c, screen.c: Misty's hudswap/fps/time patch to
	put the fps/time on the opposite side of the screen to the hud.

2000-12-05 03:22  taniwha

	* source/: gl_screen.c, screen.c: apply Misty's clock patch part 2

2000-12-05 01:30  taniwha

	* ROADMAP: re-arrange things a bit, make some items clearer and
	correct some spelling errors

2000-12-04 16:07  taniwha

	* source/cl_main.c: make sure com_gamedir exists before writing
	config.cfg

2000-12-04 03:46  taniwha

	* source/: cl_main.c, gl_screen.c: Misty's clock hack. show_clock 1
	displays a clock on the screen for those that need to know the
	current time while playing.

2000-12-03 23:52  taniwha

	* include/locs.h, include/teamplay.h, source/cl_main.c,
	source/teamplay.c: WildCode's location marking code (with a little
	touchup).

2000-12-03 11:06  dabb

	* README.WIN: Replaced my crap with Seth's instructions.

2000-12-03 10:53  dabb

	* source/: vid_sdl.c, vid_sgl.c: Removed evil things. WIN32 SDL/SGL
	now uses (totally crappy) SDL sounds instead of  old directx
	sounds. Its time to pay for "portability".

2000-12-03 10:48  dabb

	* source/: qf-client-sdl.mak, qf-client-sgl.mak: WIN32 SDL/SGL now
	uses (totally crappy) SDL sounds instead of old directx sounds. Its
	time to pay for "portability".

2000-12-03 10:47  dabb

	* source/: snd_dma.c, snd_mix.c: Crappy complier doesn't allow me
	to UNDEF _win32 on command line! So here we have def WIN32SDL until
	I figure out better way to do it. Oh yeah, WIN32 SDL/SGL now uses
	(totally crappy) SDL sounds instead of old directx sounds.

2000-12-03 01:57  taniwha

	* source/cl_parse.c: don't bother downloading sounds if we are
	unable to play them.

2000-12-02 22:19  taniwha

	* source/vid_svgalib.c: -svga now works in background. NOTE: mouse
	and joystick are probably still grabbed by svgalib.

2000-12-02 19:59  taniwha

	* source/snd_disk.c: add thiss before I accidently lose it. It's
	intended use is for when I eventually implement the demo movie
	writer and it will write the sound to a file rather than the
	soundcard.

2000-12-02 19:57  taniwha

	* ROADMAP: a slight update

2000-12-02 08:31  taniwha

	* source/gl_sky_clip.c: fix a stupid bug

2000-12-02 07:41  taniwha

	* source/: gl_rsurf.c, model_brush.c: don't subdivide sky polys. we
	don't need it and it only slows us down

2000-12-02 07:41  taniwha

	* source/gl_sky_clip.c: disable debug output. oops :/

2000-12-02 06:17  deek

	* source/qendian.c: whitespace

2000-12-02 06:14  taniwha

	* doc/skybox.fig: this shows the possible cases for clipping a
	polygon against a cube (from the inside). Hopefully, more skybox
	clipping documentation will be forthcoming :)

2000-12-02 06:09  taniwha

	* source/gl_sky_clip.c: pass though indent, correct a comment and
	change vertexen to vertices

2000-12-02 05:32  taniwha

	* source/gl_sky_clip.c: finally. every condition I've been able to
	produce in start.bsp (quad jump to the top of the map) works well.
	Depth issues have been taken care of as well (sort of: same
	problems as non-clipped skybox, but you don't get sky IN the map
	any more)

2000-12-01 19:57  taniwha

	* source/gl_sky_clip.c: this SHOULD take care of case 5.3. Find out
	when I get home :/

2000-12-01 08:59  deek

	* include/pcx.h, source/pcx.c, source/skin.c: Fix PCX loading on
	big-endian systems

2000-12-01 08:57  deek

	* source/snd_null.c: Fix snd_null crash (Cvars undefined, segfault)

2000-12-01 08:10  taniwha

	* source/gl_sky_clip.c: got case 5.1 sorted out and in the process
	of sorting out 5.3 (just need to decide on the best way to
	translate the information).

2000-12-01 07:30  taniwha

	* source/gl_sky_clip.c: the cases of 6 faces with two vertexen
	(both adjoining and opposing) and 7 faces with 1 vertex are
	implemented, but I have no way of testing them :(ie, I haven't
	found anywhere to test them, there just don't seem to be any sky
	polys of the right shape)

2000-12-01 05:41  taniwha

	* source/gl_sky_clip.c: the case of 5 faces with 3 vertexen is now
	handled. it looks like there might be a bug in my face visiting
	code that's causing process_corners to think some numver of faces <
	5 are being visted when really 5 are. I'll sort that out later (at
	worst causes a little overdraw).

2000-12-01 05:24  taniwha

	* source/gl_sky_clip.c: the case of 5 faces visited with one cube
	vertex enclosed is now handled.

2000-12-01 04:57  taniwha

	* source/gl_sky_clip.c: a major(?) algo change in cubee vertex
	handling. When a polygon goes around a cube vertex, that vertex is
	no longer added immediatly, instead delaying it's addition to the
	poly vertex list until all the sky poly points have been handled
	(this has a side benefit of completely eliminating those two almost
	identical functions: enter_face() and leave_face() :). After the
	sky poly vertexen have been processed, the faces the edges of the
	poly have visted are analysed for all 14 possible cases to
	determine how many and which cube vertexen are to be added to the
	face polys. So far, 9/14 cases are handled properly and 1 seems to
	be mysteriously handled in what seems to be a correct fashion part
	of the time (bloody heisenbugs). The remaining cases are: 5 visited
	faces with 1 vertex and 3 vertexen (the heisenbug); 6 faces and 2
	vertexen (2 variants: neighboring vertexen and opposing vertexen);
	and 7 faces with 1 vertex.

2000-12-01 04:44  taniwha

	* source/gl_draw.c: #ifdef out the 8 bit support functions

2000-11-30 19:53  taniwha

	* source/: cl_main.c, sv_main.c: fix handling of +set on the
	command line so the global config file can be overridden (so long
	as it doesn't use setrom:)

2000-11-29 23:26  taniwha

	* source/: cl_main.c, quakefs.c, sv_main.c: move host_parms from
	quakefs.c to somewhere a little more sensibe.

2000-11-29 23:22  taniwha

	* source/snd_alsa_0_6.c: finally compiles with `recent' alsa cvs.
	Doesn't work though (but fails gracefully).

2000-11-29 05:00  deek

	* include/logos.h: Logos for the X11 clients.

2000-11-29 04:59  deek

	* source/vid_common_gl.c: Make vid_common_gl.c use the new
	extension system.

2000-11-29 04:56  deek

	* include/Makefile.am, source/Makefile.am: Get the makefiles to
	link the new extension system in.

2000-11-29 04:55  deek

	* include/qfgl_ext.h, source/qfgl_ext.c: New functionality:
	QuakeForge now has a general OpenGL extension-loading interface. To
	detect an extension, call QFGL_ExtensionPresent(). To get the
	address of an extension function, call QFGL_ExtensionAddress().
	This function uses the preferred method for finding a function,
	based on whatever OS and windowing system you use.

2000-11-28 18:02  dabb

	* README.WIN: Added Borland C++ Builder 5 to list of supported
	compilers.

2000-11-28 17:53  dabb

	* source/: qf-client-wgl.mak, qf-client-win.mak, qf-server.mak:
	Made sure we can build with C++ Builder 5 too. Fixed TASM compile a
	bit.

2000-11-28 11:25  lordhavoc

	* source/quakefs.c: taniwha removed host_parms, which was necessary
	to compile...

2000-11-27 23:03  taniwha

	* include/commdef.h, source/quakefs.c: basedir is nolonger
	mentioned anywhere in the source. It's gone, gone, gone, gone (and
	it better stay gone).

2000-11-27 15:30  dabb

	* include/server.h: More fun missed by Havoc, SV_Init(void)

2000-11-27 15:29  dabb

	* source/sv_main.c: Well, let's be really strict and put
	SV_Init(void) here..

2000-11-27 15:26  dabb

	* source/cl_main.c: Well, let's be really strict and put
	Host_Init(void) here..

2000-11-27 15:25  dabb

	* include/quakedef.h: Removed Host_Init quakeparam. Havoc missed
	this one ;-)

2000-11-27 13:17  lordhavoc

	* source/: cl_main.c, cl_sys_sdl.c, cl_sys_unix.c, cl_sys_win.c,
	quakefs.c, sv_main.c, sv_sys_unix.c, sv_sys_win.c, sys_null.c:
	quakeparms_t audit.
	
	changed all parms references to directly access host_parms to
	improve readability, and removed unused basedir references. (all
	remaining fields in quakeparms_t deserve to be there)

2000-11-27 11:58  lordhavoc

	* include/qstructs.h: no longer used (or was it ever used in the
	first place?)

2000-11-27 10:55  lordhavoc

	* source/: cl_sys_win.c, quakefs.c, sv_sys_win.c: redid the way
	-basedir works, implemented it in the filesystem init code, and it
	works now (the previous windoze support was broken because the
	basedir parm was not being used anyway)

2000-11-26 12:43  deek

	* source/: sv_main.c, sv_user.c: sv_main.c: Set the client's
	last_check field to -1 on connect. Unless a player connects
	immediately after a timekick sample, their time WILL be off, so
	don't look at them the first sample.
	
	sv_user.c: Another location to enforce sv_maxrate, make sv_timekick
	and friends ignore a user's time if it's -1, and apply double fuzz
	to times lower than we expect -- it's way too sensitive otherwise.
	Also, some whitespace changes.

2000-11-26 12:39  dabb

	* source/qf-server.mak: Added ver_check.c

2000-11-26 09:48  deek

	* include/Makefile.am, include/ver_check.h, source/Makefile.am,
	source/sv_main.c, source/ver_check.c: Stole a proper version
	comparison function from dpkg. Version strings (for
	sv_minqfversion) are no longer compared as floats, so a server
	admin can require client versions with a lot more granularity.
	(e.g. 0.2.99beta5 is greater than 0.2.99beta4, but lower than
	0.3.0)

2000-11-25 14:22  deek

	* source/cl_main.c: Add *qf_version userinfo when connecting to QF
	servers.

2000-11-25 14:20  deek

	* source/: sv_main.c, sv_send.c, sv_user.c: New Cvars:
	sv_minqfversion: Set to the minimum allowable QuakeForge version
	you want to allow on a server. QF clients prior to current CVS
	_will_not_work_ with this cvar, as the QF version was not reported
	previously.
	
	sv_maxrate: Change maximum rate algorithm; if sv_maxrate is
	nonzero, it is the maximum rate allowed by the server. If it is
	unset, the maximum is 10000 like it used to be. The rate is
	silently capped, so it won't kick.
	
	Cvar fixed: sv_timekick and friends; Now kicks on too little time
	passed as well.
	
	Functionality removed: "Last message repeated X times". It causes
	too much trouble.

2000-11-25 01:11  taniwha

	* source/: gl_rmisc.c, r_main.c: make r_drawviewmodel CVAR_ARCHIVE
	so it gets saved

2000-11-25 01:05  deek

	* configure.in: Fix configure notice.

2000-11-24 05:08  mercury

	* configure.in: Added a warning to the configure.in about this
	being a devel tree.

2000-11-23 08:01  deek

	* source/gl_draw.c: Whitespace.

2000-11-23 07:21  deek

	* source/vid_common_gl.c: 8-bit detection updates. No more -no8bit,
	it defaults off anyway. set vid_use8bit 1 to check for 8-bit
	extensions.

2000-11-22 13:05  dabb

	* source/vid_common_gl.c: Added couple more #ifdef DLOPEN and also
	moved #include winquake.h. It must be before #include gl.h, or
	compile will fail.

2000-11-22 07:27  dabb

	* source/: in_win.c, vid_mgl.c, vid_wgl.c: Added Key_Event
	(whatever, -1, whatever). To use that "Internal mess" until someone
	has time to do this "right" ;-)

2000-11-22 02:28  taniwha

	* source/: gl_draw.c, vid_common_gl.c: fix some compile and link
	errors

2000-11-21 09:17  deek

	* source/context_x11.c: whitespace

2000-11-21 09:15  deek

	* source/gl_draw.c: Mostly whitespace.

2000-11-21 09:10  deek

	* source/vid_common_gl.c: Clean up 8-bit handling. It might work
	properly, it might not (not that it worked before), but at least
	it's cleaner.

2000-11-21 07:49  taniwha

	* source/gl_sky_clip.c: fix up some comments (taking a break
	tonight, I guess:)

2000-11-21 07:42  deek

	* source/vid_x11.c: Whitespace, optimizations to VID_Update()

2000-11-21 06:49  taniwha

	* source/: cl_sys_win.c, sv_sys_win.c: fix LordHavoc's spelling
	error.

2000-11-21 05:08  taniwha

	* include/client.h, source/cl_main.c, source/sbar.c: new cvar:
	cl_sbar_separator defaulting to 0. That ugly white vertical line to
	the right of the status bar is now GONE (unless you actually /want/
	it: if so, set cl_sbar_separator to 1)

2000-11-21 00:45  tonik

	* source/sv_user.c: Security fixes (hope it works)

2000-11-20 05:41  taniwha

	* source/gl_sky_clip.c: poly edge crossing FOUR (ouch, that was
	unexpected) cube faces partially taken care of. I have to fill in
	the incomplete faces (hmm, that will be interesting) and figure out
	why one corner in one of my test cases is sometimes set and
	sometimes not. Hmm, might be confused buy the enter/leave info from
	that edge.

2000-11-20 05:26  taniwha

	* source/gl_sky_clip.c: fix a silly bug with framed faces. must
	have been tired

2000-11-19 23:47  lordhavoc

	* source/quakefs.c: __const was not defined on win32

2000-11-19 23:34  lordhavoc

	* source/: cl_sys_win.c, sv_sys_win.c: added back -basedir in a
	different place (win32 only)

2000-11-19 21:34  taniwha

	* source/: draw.c, gl_draw.c, menu.c, sbar.c: removal of
	Draw_TranPic. Thanks, Seth.

2000-11-19 01:18  taniwha

	* source/gl_sky_clip.c: another bites the dust, dn dn dn :)
	
	I think I only have one more clipping case to take care of, and
	it's really a bug in an earlier case.

2000-11-18 15:46  despair

	* source/vid_ggi.c: Make -ggi target compile again. *grmbl*

2000-11-18 06:44  taniwha

	* source/gl_sky_clip.c: framed cube faces work now! :) clockwise
	polygon rules are very convenient (ccw would be just as good, it's
	the rule that counts:)

2000-11-18 04:25  taniwha

	* acconfig.h, configure.in, source/vid_common_gl.c: take care of
	PFNGLCOLORTABLEEXTPROC properly. I just hope the configure test
	works for those that DO have it.

2000-11-17 21:34  taniwha

	* source/: in_sdl.c, in_svgalib.c: in_sdl.c and in_svgalib.c now
	use the new Key_Event api properly

2000-11-17 21:23  mercury

	* include/keys.h, source/cl_input.c, source/context_x11.c,
	source/in_x11.c, source/joy_linux.c, source/keys.c,
	source/quakefs.c: A few compile fixes.	And of course the very
	slight rework of the input system, at least in_x11 gets shifts
	right for different keymaps.
	
	Oh, by the way, ALL other input targets are broken in a very 'will
	not compile' way.

2000-11-17 17:19  taniwha

	* source/vid_common_gl.c: now compiles when glext.h is unavailable

2000-11-17 07:27  taniwha

	* source/.gdbinit: remove the connect to oorodina. I don't imagine
	too many other people have a server runnining on a machine called
	oorodina :)

2000-11-17 07:19  taniwha

	* source/gl_sky_clip.c: add the center points of the sky polys to
	the debug info.

2000-11-17 07:18  deek

	* source/vid_common_gl.c: Okay, ONE MORE TRY...

2000-11-17 07:12  deek

	* source/vid_common_gl.c: Okay, let's see if this fixes the 8-bit
	problems...

2000-11-17 06:02  taniwha

	* source/gl_sky_clip.c: fixed the bogus vector. I wasn't copying
	enough vertexen when doing the insert.	Oops :/

2000-11-17 05:47  taniwha

	* source/gl_sky_clip.c: WOOHOO, framed box face finally works
	(mostly). For some reason, I sometimes get a bogus vector on one of
	the faces, but this is a major improvement :) Almost there to fully
	working skybox clipping.

2000-11-17 03:18  taniwha

	* source/: .gdbinit, gl_sky_clip.c: fix a dumb bug in leave_face()
	caused by the similarity to enter_face

2000-11-17 02:45  taniwha

	* source/cmd.c: remove -basedir handling. wrong idea, bad
	implementation (fixed size MALLOC?!?)

2000-11-16 23:23  deek

	* source/vid_common_gl.c: Okay, one more try.

2000-11-16 23:00  taniwha

	* source/gl_sky_clip.c: use Sys_Error instead of abort

2000-11-16 22:37  deek

	* source/vid_common_gl.c: This _might_ fix the shared palette
	issue.

2000-11-16 20:56  taniwha

	* debian/.cvsignore: add Makefile and Makefile.in

2000-11-16 20:38  taniwha

	* source/menu.c: fix "HUD on left side" menu option

2000-11-16 20:05  taniwha

	* source/gl_sky_clip.c: try to insert the cube vertexen into the
	correct spot in the face poly vertex list.

2000-11-16 15:07  dabb

	* source/vid_common_gl.c: Borland compile fix (one I forgot to
	commit :-). Needs to have winquake.h included for sgl.

2000-11-16 15:05  dabb

	* source/vid_mgl.c: Added -window parameter in addition to good old
	-startwindowed (which I hated to type)

2000-11-16 15:00  dabb

	* README.WIN: Added instructions how to get latest Borland C++
	complier service packs.

2000-11-16 08:31  deek

	* .cvsignore, Makefile.am, bootstrap, configure.in,
	debian/.cvsignore, debian/Makefile.am, debian/control: Add debian
	dir to the dist, fix up bootstrap

2000-11-15 19:38  dabb

	* README.WIN: Kinda updated instructions..

2000-11-15 18:43  taniwha

	* source/gl_sky_clip.c: cleanup and document current code. Also
	catch a couple of possible bugs in the process

2000-11-15 17:20  taniwha

	* include/glquake.h, source/Makefile.am, source/gl_sky.c,
	source/gl_sky_clip.c, source/qf-client-wgl.mak,
	source/qw_client.dsp, source/qw_server.dsp: split gl_sky.c into
	gl_sky.c and gl_sky_clip.c (should have done this in the first
	place, but I didn't realise how much code would go into sky
	clipping).

2000-11-15 14:46  dabb

	* source/qf-client-win.mak: Move MGRAPH_H def (from config.h)

2000-11-15 14:44  dabb

	* source/: qf-client-wgl.mak, qf-server.mak: Removed unneeded
	scitech mgl stuffs.

2000-11-15 14:40  dabb

	* include/win32/bc/config.h: MGRAPH_H def moved to makefile

2000-11-15 06:00  taniwha

	* source/gl_sky.c: very close to having working slipped skybox.
	framed box faces now work, but not the surrounding faces within the
	frame. (frame = sky poly surrounding the face) Also, faces with
	only to vertexes from clipping don't work yet.

2000-11-15 05:52  despair

	* source/vid_ggi.c: Fixes mousewheel to work the same way in GGI
	that it does in other targets.

2000-11-15 05:37  taniwha

	* source/gl_screen.c: remove some debug info

2000-11-15 04:01  taniwha

	* source/in_sdl.c: fix the double wheel events

2000-11-15 03:58  taniwha

	* source/in_x11.c: fix the double mouse wheel events

2000-11-15 00:35  taniwha

	* include/protocol.h: whitespace

2000-11-14 21:45  deek

	* debian/changelog, debian/control, debian/copyright,
	debian/qf-client-3dfx.dirs, debian/qf-client-3dfx.docs,
	debian/qf-client-3dfx.undocumented, debian/qf-client-ggi.dirs,
	debian/qf-client-ggi.docs, debian/qf-client-ggi.undocumented,
	debian/qf-client-glx.dirs, debian/qf-client-glx.docs,
	debian/qf-client-glx.undocumented, debian/qf-client-sdl.dirs,
	debian/qf-client-sdl.docs, debian/qf-client-sdl.undocumented,
	debian/qf-client-sgl.dirs, debian/qf-client-sgl.docs,
	debian/qf-client-sgl.undocumented, debian/qf-client-svga.dirs,
	debian/qf-client-svga.docs, debian/qf-client-svga.undocumented,
	debian/qf-client-x11.dirs, debian/qf-client-x11.docs,
	debian/qf-client-x11.undocumented, debian/qf-server.dirs,
	debian/qf-server.docs, debian/qf-server.undocumented,
	debian/quakeforge-common.conffiles, debian/quakeforge-common.docs,
	debian/quakeforge.conf, debian/quakeforge.files, debian/rules,
	source/.cvsignore, source/vid_common_gl.c: Yaay, Debian package
	updates.

2000-11-14 16:16  taniwha

	* source/sv_main.c: white space cleanup

2000-11-14 06:29  taniwha

	* source/: .gdbinit, gl_sky.c: bah, not working yet, but I don't
	feel like losing my thoughts :/ Doesn't crash at least :)

2000-11-14 04:56  taniwha

	* source/gl_sky.c: fix all texturing/clipping problems for
	currently supported cases. Now to sort out the case where a polygon
	edge goes all the way across a cube face. There's also the case
	where an egde terminates on adjoining faces, but spans a third
	(though this is currently rare, but possible)

2000-11-13 21:10  taniwha

	* source/: Makefile.am, sv_sys_unix.c, sv_sys_win.c: make sv fp
	rounding same as cl. doesn't seem to help with obtuse angles, but
	it doesn't seem to hurt, either.

2000-11-13 19:52  taniwha

	* source/gl_sky.c: this might work a little better :/ I hate
	duplicate code, but making the enter/leave face functions use
	common code would be a pain.

2000-11-13 19:38  taniwha

	* source/gl_sky.c: ok, this should fix the skybox edges

2000-11-13 18:20  taniwha

	* source/gl_sky.c: move the edge rendering code out of the poly
	rendering code to esure all lines have a chance at getting drawn.
	Also, forgot to re-set the enter/leave fields.

2000-11-13 17:07  taniwha

	* source/gl_sky.c: this should take care of the case of a cube
	vertex being enclosed by a sky polygon. If not, oh well, I won't
	know till tonight :/ (at least it compiles)

2000-11-13 16:10  taniwha

	* source/gl_sky.c: forgot to make sure it compiles before
	committing. compiles now, but uses an unitted var (though gcc
	misses that)

2000-11-13 01:43  taniwha

	* source/: gl_rsurf.c, gl_sky.c: not there yet. the lines are debug
	info :)

2000-11-12 16:55  taniwha

	* source/gl_sky.c: bind with the correct sky textures. no more
	dizzyness :)

2000-11-11 06:23  taniwha

	* source/gl_sky.c: getting closer. bings go outside of glBegin, not
	in :/. also, much of my find_intersect was a tad borked. turns out
	no problems in gl_rsurf :) Now just to take care of the wierder
	intersection cases.

2000-11-10 21:58  taniwha

	* source/gl_sky.c: this *should* fix the wonky clipping in
	gl_sky_clip 1 with skybox. won't fix wonky texturing or wonky sky
	rendering yet :(. anyway, can't find out for certain until I get
	home.

2000-11-10 16:26  taniwha

	* source/: gl_rsurf.c, gl_sky.c: gl_sky_clip is getting closer to
	working with skybox. Textures are borked (not sure if I'm doing
	something wrong or if gl is having problems with the scale) and
	clipping is a little wonky, but I know the reason for that:) Also,
	it seems skys aren't always being drawn: probably something wrong
	in gl_rsurf.

2000-11-09 19:31  taniwha

	* source/cl_parse.c: put download status in the application name as
	requested by Mabus. Nifty idea, why didn't we think of it? :)

2000-11-09 17:21  despair

	* source/vid_common_gl.c: Restore missing paren.

2000-11-09 00:56  deek

	* source/context_x11.c: Fix window manager hint.

2000-11-09 00:53  taniwha

	* include/win32/version.h: goofed on this one

2000-11-09 00:41  taniwha

	* configure.in: rev the version number for beta5

2000-11-08 23:57  taniwha

	* Makefile.am: win32 builds from make dist

2000-11-08 22:55  mercury

	* source/locs.c: When loading a .loc file check each line to see if
	it has '#' as the first char, if so the line is a comment.

2000-11-08 16:03  taniwha

	* source/gl_sky.c: forgot how lame blorland c was :/

2000-11-08 08:25  taniwha

	* source/gl_sky.c: getting there with the skybox clipping. DO NOT
	play with gl_sky_clip if you have a skybox loaded unless you're
	prepared to work on the code :)

2000-11-08 06:08  taniwha

	* source/gl_sky.c: so long as you're using skydome, gl_sky_clip is
	now a usefull speadup. it just renders the sky as black (for now)

2000-11-08 06:07  taniwha

	* source/: cl_main.c, sv_ccmds.c, vid_wgl.c: Always use
	COM_CreatPath instead of Sys_mkdir

2000-11-08 03:13  taniwha

	* source/gl_mesh.c: fix a nasty dir creation bug. there's probably
	a few more such spots :/

2000-11-07 23:43  taniwha

	* configure.in, source/vid_common_gl.c: fix a couple of problems
	that came up in SGI

2000-11-07 20:15  taniwha

	* include/Makefile.am, source/Makefile.am: do some fixups for make
	dist before going beta5 :)

2000-11-07 19:23  dabb

	* source/vid_mgl.c: I don't think we want to free vid.buffer under
	win32...

2000-11-07 19:16  dabb

	* source/vid_mgl.c: Oops... forgot to add "return false" - did it
	now.

2000-11-07 18:15  taniwha

	* source/vid_mgl.c: small ws cleanups

2000-11-07 18:09  dabb

	* source/vid_mgl.c: Fix lockup bug in Win32 - cleaned up
	VID_Allocbuffers (copy/paste from *nix counterparts :-)

2000-11-06 03:48  deek

	* include/Makefile.am: Add resources to dist

2000-11-04 08:20  deek

	* quakeforge.lsm.in, source/gl_rmain.c, source/vid.c: gl_rmain.c:
	Fix up brighten cvar/arg properly so it can be setrom'ed vid.c: Get
	rid of the redundancy, much nicer.  quakeforge.lsm.in: Update Linux
	Software Map data file.

2000-11-04 07:42  deek

	* include/compat.h, source/cl_main.c, source/cmd.c, source/cvar.c,
	source/sv_main.c, source/vid.c: compat.h: Add str*equal ()
	convenience macros cl_main.c: Clean up version string a little
	cmd.c: Add setrom parsing to first init phase, clean up includes a
	little cvar.c: setrom command now uses set's semantics. Cvar_Set,
	Cvar_Set_f, Cvar_Setrom_f now do a Con_DPrintf to report attempts
	to set CVAR_ROM cvars.	sv_main.c: Clean up version string a little
	vid.c: -winsize, -width, and -height no longer use Cvar_SetROM. The
	code looks a little uglier, but it's more correct.

2000-11-03 18:29  taniwha

	* source/vid_mgl.c: hopefully fix the surface cache alloc error

2000-11-03 16:55  taniwha

	* source/Makefile.am: do some alpha sorting

2000-11-03 07:41  coderjoe

	* source/: qw_client.dsp, qw_server.dsp: add the win32/resources
	dir to the include paths for vc6

2000-11-02 21:14  taniwha

	* source/quakefs.c: fix a bug where maplist would seg on an empty
	map. d'oh :/

2000-11-02 19:48  dabb

	* source/: qf-client-wgl.mak, qf-client-win.mak: Added
	include\win32\resources to include paths.

2000-11-02 19:47  dabb

	* source/: vid_mgl.c, vid_wgl.c: ICON2 -> ICON1 - LoadIcon works
	now for win32.

2000-11-02 19:18  dabb

	* include/resource.h: Merged two resource.h files into one. This
	one got whacked.

2000-11-02 19:16  dabb

	* include/win32/resources/resource.h: Merged two resource.h files
	into one.

2000-11-02 18:24  dabb

	* source/cl_sys_sdl.c: Two times void Sys_Init(void) - removed
	extra.

2000-11-02 18:17  dabb

	* source/qf-client-win.mak: Um, added Coderjoe's resources and
	stuff.

2000-11-02 18:02  dabb

	* source/qf-client-wgl.mak: Um, added Coderjoe's resources and
	stuff. Compiles again.

2000-11-02 17:57  dabb

	* include/win32/bc/config.h: Added that HAVE_FNMATCH_PROTO thingy

2000-11-02 17:53  dabb

	* include/win32/resources/quakeforge.rc: BC compile fix.

2000-11-02 17:02  deek

	* source/vid_mgl.c: Fix Win32 software crash (null surface cache)

2000-11-02 07:38  coderjoe

	* include/win32/vc/config.h, source/qw_client.dsp,
	source/qw_server.dsp: get vc projects building again

2000-11-02 07:37  coderjoe

	* include/win32/resources/: icon1.ico, quakeforge.rc, resource.h:
	add win32 icon files

2000-11-02 07:35  coderjoe

	* tools/gas2masm/gas2masm.c: make gas2masm drop any "preprocessor"
	directives (any line where the first non-whitespace char is #)

2000-11-01 06:31  taniwha

	* acconfig.h, configure.in, source/quakefs.c: hopefully fix
	Fragman's compilation problems on Mandrake 6.1

2000-11-01 03:54  lordhavoc

	* source/sys_win.c: Fix for insta-crash bug to do with sys_nostdout
	being checked before it was registered (grabbed solution from
	sys_unix.c)

2000-11-01 03:40  lordhavoc

	* source/in_win.c: added #include's for cl_input.h and view.h so it
	will now compile again

2000-11-01 03:09  mercury

	* source/pr_edict.c: r_skyname on the server should be
	CVAR_SERVERINFO, not CVAR_NONE.

2000-10-31 05:48  taniwha

	* source/cl_main.c: fix the missing explosion noises (and other
	impact sounds)

2000-10-31 05:29  taniwha

	* source/: cl_main.c, sv_main.c: oops :/

2000-10-31 05:24  taniwha

	* include/sys.h, source/cl_sys_sdl.c, source/cl_sys_unix.c,
	source/cl_sys_win.c, source/sv_main.c, source/sv_sys_unix.c,
	source/sv_sys_win.c: ok, server now runs without segging on a cvar
	(with simple testing, anyway.  needs fuller bashing).

2000-10-31 04:16  taniwha

	* source/context_x11.c: vid_fullscreen is meant to be CVAR_ROM, not
	CVAR_ARCHIVE
	
	* taniwha programs his black logo logitech wheel mouse with secret
	instructions

2000-10-30 21:16  taniwha

	* configure.in, source/Makefile.am: finally. no more undefined
	symbol "gzgets" :)

2000-10-30 04:10  taniwha

	* source/gl_screen.c: fix the annoying white line at the bottom of
	the world view when viewsize is 90%. This was caused by a rounding
	error when converting from float to int.  Also, viewsize can now
	safely be changed in the console.

2000-10-30 02:56  taniwha

	* source/in_x11.c: fix releasing of the mouse on setting
	_windowed_mouse 0

2000-10-30 00:05  taniwha

	* source/: sv_main.c, tga.c: server now starts without segging and
	fix a compile error in tga.c

2000-10-29 22:49  despair

	* source/: in_sdl.c, vid_ggi.c: Miscellaneous firefighting.
	Everything compiles again.

2000-10-29 22:21  taniwha

	* include/glquake.h, source/gl_rmain.c: forgot the changes to
	glquake.h also, my brighten cvar changes somehow got lost

2000-10-29 22:02  taniwha

	* source/: gl_rmain.c, gl_rmisc.c, gl_rsurf.c, gl_sky.c,
	in_svgalib.c, pr_edict.c, sv_main.c: tree now builds again. Note:
	this includes some of my sky work, but so long as gl_sky_clip is
	not set, it's not working won't affect you :)

2000-10-29 21:29  taniwha

	* include/Makefile.am: seems config.h.in is needed as well

2000-10-29 20:49  lordhavoc

	* source/cl_main.c: added confirm_quit cvar, defaults to on

2000-10-29 15:35  mercury

	* include/cl_cam.h, include/cl_demo.h, include/cl_ents.h,
	include/cl_input.h, include/cl_main.h, include/cl_parse.h,
	include/cl_pred.h, include/cl_tent.h, include/client.h,
	include/console.h, include/context_x11.h, include/d_iface.h,
	include/draw.h, include/input.h, include/joystick.h,
	include/keys.h, include/model.h, include/net.h, include/pmove.h,
	include/qargs.h, include/quakefs.h, include/r_dynamic.h,
	include/render.h, include/screen.h, include/skin.h,
	include/sound.h, include/teamplay.h, include/vid.h, include/view.h,
	source/cl_cam.c, source/cl_demo.c, source/cl_ents.c,
	source/cl_input.c, source/cl_main.c, source/cl_parse.c,
	source/cl_pred.c, source/cl_tent.c, source/cmd.c, source/com.c,
	source/console.c, source/context_x11.c, source/cvar.c,
	source/d_init.c, source/draw.c, source/gl_draw.c,
	source/gl_dyn_fires.c, source/gl_dyn_part.c, source/gl_ngraph.c,
	source/gl_refrag.c, source/gl_rmain.c, source/gl_rmisc.c,
	source/gl_rsurf.c, source/gl_screen.c, source/in_null.c,
	source/in_sdl.c, source/in_svgalib.c, source/in_win.c,
	source/in_x11.c, source/joy_linux.c, source/joy_null.c,
	source/keys.c, source/menu.c, source/model.c, source/model_alias.c,
	source/net_chan.c, source/pmove.c, source/pr_edict.c,
	source/quakefs.c, source/r_alias.c, source/r_efrag.c,
	source/r_main.c, source/r_misc.c, source/r_part.c, source/r_view.c,
	source/sbar.c, source/screen.c, source/skin.c, source/snd_dma.c,
	source/sv_main.c, source/sys_unix.c, source/teamplay.c,
	source/vid_3dfxsvga.c, source/vid_common_gl.c, source/vid_ggi.c,
	source/vid_glx.c, source/vid_mgl.c, source/vid_null.c,
	source/vid_sdl.c, source/vid_sgl.c, source/vid_svgalib.c,
	source/vid_wgl.c, source/vid_x11.c: The init sequence cleanup! Also
	broke up client.h into a lot of smaller headers.  Oh, software
	rendering works again.
	
	And yes, this does hit a hell of a lot of files.

2000-10-29 11:24  despair

	* source/cd_linux.c: Open CD Audio O_NONBLOCK. CD Audio now works
	on my system, and doesn't spew garbage in /var/log/syslog. Whee!

2000-10-29 10:28  deek

	* source/: vid_mgl.c, vid_wgl.c: Backport changes from beta 4.1

2000-10-29 09:48  deek

	* configure.in, include/win32/version.h (release_0_2_99beta4): Rev
	beta 4 to 4.1

2000-10-29 09:39  mercury

	* source/gl_dyn_part.c: Oops, still need to do physics and such on
	particles too close to us.

2000-10-29 08:45  coderjoe

	* source/: vid_mgl.c, vid_wgl.c (release_0_2_99beta4): fix build
	errors in vid_wgl and vid_mgl

2000-10-29 08:38  dabb

	* source/vid_sgl.c: win32 compile fixes

2000-10-29 08:20  dabb

	* source/qf-client-wgl.mak: Compiles again, added files.

2000-10-29 07:58  despair

	* source/: context_x11.c, vid_glx.c: Minor cleanup to window
	closing on exit.

2000-10-29 07:41  despair

	* source/in_x11.c: Comment out x11_force-view_port. Doing it every
	frame was dropping framerate to 40% of normal on V5, and probably
	any hardware under DRI, as I suspect it's running into DRI/X lock
	contention.

2000-10-29 04:42  taniwha

	* source/gl_rmain.c: make the new -brighten a cvar (ROM) as well so
	it can be set in the config file. Also includes a cvar from my sky
	hacking, but it's harmless :)

2000-10-29 00:13  taniwha

	* source/: vid_mgl.c, vid_wgl.c (release_0_2_99beta4): hopefully
	help Coderjoe with win32 compilation

2000-10-28 20:41  taniwha

	* include/Makefile.am (release_0_2_99beta4): make dist now builds a
	working tarbal

2000-10-28 20:19  taniwha

	* source/gl_sky.c: re-indent

2000-10-28 20:00  taniwha

	* include/Makefile.am: add some missing headers

2000-10-28 19:58  taniwha

	* include/client.h, include/pcx.h, include/tga.h,
	source/Makefile.am, source/gl_screen.c, source/gl_sky.c,
	source/gl_warp.c, source/pcx.c, source/screen.c, source/skin.c,
	source/tga.c: chop up gl_warp into gl_sky, pcx and tga. also break
	out pcx stuff from client.h

2000-10-28 08:02  mercury

	* include/fractalnoise.h, include/glquake.h, include/mathlib.h,
	include/r_dynamic.h, include/render.h, source/Makefile.am,
	source/cl_ents.c, source/cl_tent.c, source/fractalnoise.c,
	source/gl_dyn_fires.c, source/gl_dyn_part.c,
	source/gl_dyn_textures.c, source/gl_part.c, source/gl_rmain.c,
	source/gl_rmisc.c, source/in_x11.c: The big particle rework! Lots
	of changes, more then I can cover quickly.  Things now look,
	different, and probally much better!
	
	Note, SOFTWARE RENDERING IS BROKEN with this commit!

2000-10-28 07:35  deek

	* configure.in, include/win32/version.h: Rev for beta 4

2000-10-28 07:11  deek

	* include/glquake.h, source/cd_linux.c, source/cvar.c,
	source/gl_part.c, source/gl_rmain.c, source/vid_common_gl.c,
	source/vid_glx.c, source/vid_sgl.c, source/vid_wgl.c: Change fires
	to a more visually-appealing red-orange color. Looks *killer* Add
	-brighten arg to GL targets, to replace -gamma but still look nice.
	 "-brighten 2.5" brightens the palette by 2.5 times, to give a
	similar effect to the brightness cvar, but without the dithering
	brightness gives. This is a palette hack, which means it _can't_ be
	a cvar.

2000-10-28 05:08  deek

	* source/vid_sdl.c: Change -sdl to use 320x200 window again

2000-10-28 05:08  taniwha

	* include/context_x11.h, source/context_x11.c, source/in_x11.c: fix
	the screen offset caused by moving the mouse at just the wrong
	moment

2000-10-28 05:05  deek

	* source/vid_glx.c: whitespace, some optimizations

2000-10-27 19:00  taniwha

	* source/snd_alsa_0_6.c: finally works with recent ALSA cvs

2000-10-27 14:38  taniwha

	* source/: .gdbinit, snd_alsa_0_6.c: still fiddling and it still
	doesn't work

2000-10-27 10:17  deek

	* source/: vid.c, vid_common_gl.c: white space

2000-10-27 10:16  deek

	* include/vid.h: Mostly whitespace

2000-10-27 06:18  deek

	* source/.indent.pro: Add types to indent profile

2000-10-27 04:04  taniwha

	* source/vid_3dfxsvga.c: hopefully, this will compile

2000-10-27 01:50  taniwha

	* include/compat.h: use the correct include delimitiers

2000-10-27 00:08  taniwha

	* source/snd_alsa_0_6.c: doesn't work yet (infact, it crashes), but
	I'm sick of mailing it back and forth

2000-10-26 23:45  taniwha

	* source/vid_3dfxsvga.c: hopefully a little closer to compiling

2000-10-26 22:49  taniwha

	* source/Makefile.am: accidently committed this with an
	experimental file

2000-10-26 20:43  deek

	* source/.indent.pro: Bring over indent profile from nuq, matching
	style guide

2000-10-26 20:41  deek

	* CodingStyleGuide.txt: Fix "bug" in style guide.

2000-10-26 20:16  taniwha

	* source/Makefile.am: fix sgl linking

2000-10-26 18:22  deek

	* configure.in: Move the building of -sgl into the block of OpenGL
	targets

2000-10-26 18:13  deek

	* source/gl_screen.c: tweaks

2000-10-26 16:29  taniwha

	* configure.in, source/vid_common_gl.c, source/vid_sdl.c,
	source/vid_sgl.c: glx, sdl and sgl now all compile on my system (at
	work), but sgl doesn't link

2000-10-26 06:48  taniwha

	* source/in_sdl.c: oops, forgot this

2000-10-26 06:08  taniwha

	* include/vid.h, source/Makefile.am, source/vid_3dfxsvga.c,
	source/vid_common_gl.c, source/vid_glx.c, source/vid_sdl.c,
	source/vid_sgl.c: bring in Despair's (Ragnvald Maartmann-Moe IV,
	rmmiv@earthlink.net) clean up of the gl setup code.

2000-10-26 05:07  mercury

	* source/in_x11.c: s/ABS/abs/, abs is standard C, no evil defines.

2000-10-26 03:43  taniwha

	* source/cl_main.c: nukage

2000-10-24 19:32  taniwha

	* source/: cl_main.c, gl_draw.c: cl_main.c:	what was id trying
	to hide? oh well, it's clear now :) gl_draw.c:	     missed a
	value->int_val conversion

2000-10-24 18:10  mercury

	* source/context_x11.c: Cleanup of x11_set_vidmode, with a
	chainsaw.  Other minor cleanups too.

2000-10-24 17:03  mercury

	* include/info.h, source/checksum.c, source/info.c, source/locs.c,
	source/teamplay.c: Misc cleanups.

2000-10-24 14:57  dabb

	* source/: qf-client-sdl.mak, qf-client-sgl.mak: Added joy_null.c
	and pals.

2000-10-24 10:47  lordhavoc

	* source/pmovetst.c: major speedup in PM_RecursiveHullCheck

2000-10-24 02:22  deek

	* source/: gl_screen.c, sw_view.c: sw_view.c: whitespace
	gl_screen.c: Some whitespace, some optimization. Still looking for
	the culprit killing contrast in GL.

2000-10-24 01:43  deek

	* source/sw_view.c: Corrected algorithm, optimized code, and
	reversed the order of brightness/contrast operations... brightness
	is applied first, then contrast. A contrast of 0 is now /always/
	solid medium grey.

2000-10-23 15:29  taniwha

	* source/vid_sdl.c: forgot to remove some code

2000-10-23 15:27  taniwha

	* source/: vid_sdl.c, vid_sgl.c: make vid_sdl.c use the new window
	size code and the vid_fullscreen cvar instead of the -fullscreen
	command line arg (eww:). Also, doc vid_fullscreen in vid_sgl.c

2000-10-23 14:58  taniwha

	* source/: gl_rmisc.c, gl_screen.c: gl_polyblend: RIP

2000-10-23 10:26  deek

	* source/: vid_glx.c, vid_sgl.c, vid_wgl.c: -gamma removal

2000-10-23 09:35  deek

	* source/gl_rmain.c: -gamma parameter is _gone_. Colors are now
	almost exactly what they are in software. If you want to hack the
	colors, use the cvars.

2000-10-22 07:14  taniwha

	* source/: context_x11.c, vid_glx.c, vid_x11.c: fix the misaligned
	fullscreen window once and for all (fingers crossed:)

2000-10-22 01:30  taniwha

	* source/cd_linux.c: fix for linux 2.2.17. Hopfully works for
	earlier kernels still

2000-10-21 21:17  taniwha

	* source/vid_3dfxsvga.c: width and height name issues

2000-10-21 21:14  taniwha

	* source/vid_sgl.c: fix width and height name issues

2000-10-21 21:08  taniwha

	* source/: .gdbinit, cvar.c, menu.c, screen.c, vid_glx.c: cvar.c:  
	    %g is no good :/ menu.c screen.c:	    float -> int cleanup
	for scr_viewsize vid_glx.c:	   remove unused vid_mode cvar

2000-10-21 07:47  taniwha

	* source/cvar.c: change %f to %g in Cvar_SetValue so 1.0 gets
	printed as 1

2000-10-21 07:34  taniwha

	* include/commdef.h, source/cl_cvar.c, source/cl_demo.c,
	source/cl_main.c, source/cl_parse.c, source/cl_slist.c,
	source/console.c, source/context_x11.c, source/menu.c,
	source/pr_cmds.c, source/quakefs.c, source/sbar.c, source/skin.c,
	source/sv_ccmds.c, source/sv_main.c, source/sv_user.c,
	source/vid_glx.c, source/vid_mgl.c, source/vid_sdl.c,
	source/vid_sgl.c, source/vid_wgl.c, source/vid_x11.c: remove va
	from commdef.h and fix the consequences

2000-10-21 07:20  taniwha

	* include/va.h, source/vid.c: clean up the includes ov vid.c and
	bring over va.h from nuq

2000-10-21 07:15  taniwha

	* include/vid.h, source/Makefile.am, source/in_x11.c, source/vid.c,
	source/vid_3dfxsvga.c, source/vid_glx.c, source/vid_sgl.c,
	source/vid_x11.c: create VID_GetWindowSize in vid.c and use it
	elsewhere for window size selection.  in_x11.c just had refs to
	scr_width and scr_height removed.

2000-10-21 05:30  deek

	* include/dga_check.h, source/dga_check.c, source/in_x11.c:
	dga_check.h: DGA and VidMode check functions return qboolean, not
	int. Cleaned up prototypes to not include variable names.
	
	dga_check.c: Fix bug in DGA detection that lead to segfault.
	
	in_x11.c: Better DGA input support for X targets; The -nodga
	parameter is gone, it is now the in_dga Cvar, which is dependant on
	the _windowed_mouse Cvar. in_dga is archived.

2000-10-20 18:03  taniwha

	* source/sv_main.c:  o	rcon now prints (hidden) instead of the
	rcon password
		 * taniwha  drops a 900lb security manual on zoid's head
		 <taniwha> nah, make that kg :)
	 o  fix a potential buffer overflow

2000-10-19 18:07  deek

	* source/vid_wgl.c: Fix the VID_SetCaption () bug here too

2000-10-18 17:06  taniwha

	* source/: locs.c, teamplay.c: locs.c:	handle dos line endings.
	COM_FOpenFile /always/ opens files in binary   mode in Windows (and
	*nix is effectively binary only anyway) and the    \r characters
	being left in the location description strings was	  causing
	%l to print a blank line. Makes for unhappy users :/ teamplay.c:   
	    handle %%. this seams to have been missed.

2000-10-18 10:16  deek

	* include/bothdefs.h, include/render.h, source/cl_sys_unix.c,
	source/cl_sys_win.c, source/d_surf.c, source/vid_ggi.c,
	source/vid_mgl.c, source/vid_sdl.c, source/vid_svgalib.c,
	source/vid_x11.c: One of the biggest things keeping -mem/-heapsize
	numbers up is the video memory in software mode. This is now taken
	care of, the memory is now grabbed using calloc.
	
	On Unix systems and all systems using SDL, the default video memory
	is now 8MB. This should now be enough for almost everybody, unless
	you have some truly huge maps and boatloads of sounds. The minimum
	memory allowable is now down to 4MB, but complex maps and/or models
	can cause the game to quit -- not like this wasn't a problem
	already with the old 5.3MB lower limit, but there it is.

2000-10-17 03:17  taniwha

	* source/: cl_cam.c, cl_ents.c, cl_input.c, cl_main.c, cl_parse.c,
	cl_pred.c, cmd.c, console.c, context_x11.c, cvar.c, d_edge.c,
	d_init.c, draw.c, gl_draw.c, gl_part.c, gl_rlight.c, gl_rmain.c,
	gl_rmisc.c, gl_rsurf.c, gl_screen.c, gl_warp.c, in_win.c, in_x11.c,
	keys.c, menu.c, net_chan.c, pr_cmds.c, r_edge.c, r_main.c,
	r_misc.c, r_view.c, sbar.c, screen.c, skin.c, snd_dma.c, sv_cvar.c,
	sv_main.c, sv_send.c, sv_sys_unix.c, sv_sys_win.c, sv_user.c,
	sys_unix.c, sys_win.c, teamplay.c, vid_ggi.c, vid_mgl.c, vid_sdl.c,
	vid_sgl.c, vid_svgalib.c, vid_wgl.c: the big cvar value -> int_val
	audit. seems to work ok

2000-10-16 20:41  taniwha

	* source/cl_main.c: add some more *cap flags to the definition list
	(those mared with a * are not yet implemented). Also add the p and
	t flags to the *cap string.

2000-10-16 15:34  taniwha

	* source/: cl_cam.c, gl_model_alias.c, gl_model_sprite.c, model.c,
	model_alias.c, msg.c, sizebuf.c, wad.c: include string.h and or
	strings.h

2000-10-16 15:23  taniwha

	* ROADMAP: update some entries

2000-10-16 08:15  tonik

	* source/cl_ents.c: This hopefully fixes the problem with feigning
	spies in TF staying visible when cl_deadbodyfilter is on.

2000-10-16 04:49  taniwha

	* source/: context_x11.c, vid_x11.c: vid_fullscreen cvar cleanup

2000-10-16 03:29  taniwha

	* source/cl_main.c: add some cvar discriptions

2000-10-16 03:27  taniwha

	* tools/cvar_doc.py: better output (includes source file and line)

2000-10-16 03:18  taniwha

	* source/cl_main.c: fix a nasty buffer overflow giving a potential
	remote access to the system via the client. Could be especially
	nasty if the client is running as root and stuffcmds can come from
	anywhere. exploit details:
	
	stuffcmds rcon_password <long password> stuffcmds rcon <long
	command>

2000-10-16 03:12  taniwha

	* source/sv_user.c: fix the paused message swaparoo

2000-10-15 04:31  taniwha

	* source/sv_ccmds.c: Clean up SV_Serverinfo_f a bit where it sets
	the cvar corresponding to the server info key.

2000-10-15 04:26  taniwha

	* include/pmove.h, source/cl_main.c, source/pmove.c: Conditionally
	disable bunny hopping (speed jumping). To disable bunny hopping on
	your server, put `serverinfo no_pogo_stick 1' into your server.cfg.
	It's called no_pogo_stick for two reasons: the effect is called
	"pogo stick" in the source code in a comment from the original id
	source code and also as a minor (and very week:/) obfustication for
	`cheaters' trying to set it in their clients. However, the client
	checks for no_pogo_stick in the server info and forces it on when
	appropriate and having them in disagreement would only make
	prediction a little screwy anyway :). BTW, when enabled this
	actually fixes the original bug that allowed bunny hopping in the
	first place (though you still get a jump grunt when you try to
	bunny hop; minor bug).

2000-10-14 17:05  taniwha

	* source/cl_input.c: whitespace

2000-10-14 07:48  coderjoe

	* source/: qw_client.dsp, qw_server.dsp: add locs.c to the vc6
	projects change the name of the server bin in vc6 to qf-server.exe

2000-10-14 07:11  deek

	* Makefile.am, configure.in, include/win32/version.h: Rev for beta
	3

2000-10-14 07:10  deek

	* source/: cl_main.c, vid_glx.c, vid_mgl.c, vid_sdl.c, vid_sgl.c,
	vid_x11.c: cl_main.c: More VID_SetCaption status messages.  vid_*:
	Make it so that VID_SetCaption can be safely called with the output
	from va()

2000-10-14 00:00  taniwha

	* tools/cvar_doc.py: initial stab at autodocing cvars. seems to
	work ok. Now we get to do a cvar description audit }:>

2000-10-13 06:16  deek

	* source/: vid_sdl.c, vid_sgl.c: vid_sdl.c: Removed some stupid
	includes, some whitespace vid_sgl.c: Added freelook and joystick
	support.

2000-10-13 05:36  deek

	* Makefile.am, include/input.h, source/cl_input.c,
	source/in_svgalib.c, source/in_win.c, source/in_x11.c,
	source/vid_ggi.c, source/vid_sdl.c: Makefile.am: misc. fixes to
	changelog building.  input.h: Use int_val for freelook cl_input.c:
	Use freelook macro instead of in_mlook.state in_svgalib.c: freelook
	support and whitespace in_win.c: whitespace and minor optimization
	in mouse support in_x11.c: freelook support vid_ggi.c: joystick
	support and minor opt in mouse support vid_sdl.c: joystick support,
	freelook support, minor mouse opt, spaces->tabs

2000-10-11 10:34  deek

	* source/snd_oss.c: OSS sound now retries opening /dev/dsp up to 3
	times if it fails the first time, by checking whether the device is
	busy or temporarily unavailable (I haven't seen the latter happen,
	but the former may occur if your window manager is set to make
	noise when a window pops up). Between tries, the client sleep()'s
	for one second (should this be half a second or even faster?).

2000-10-11 09:54  deek

	* source/context_x11.c: Create a window class ICCCM hint, so the
	window manager knows what the name of the program is. It's
	"`basename $0`.PROGRAM".
	
	Also, create a window size ICCCM hint, forcing the window to the
	size it should be -- we don't want it resized, so now the window
	manager ought to get the picture. :)

2000-10-11 09:50  deek

	* source/quakefs.c: Fix bug in -game parsing

2000-10-10 23:35  taniwha

	* source/teamplay.c: skip over / when extracting the map name

2000-10-10 23:19  taniwha

	* source/quakefs.c: silence COM_FOpenFile when the file can't be
	opened unless developer is set.  It is the caller's responsibility
	to report failure.

2000-10-10 23:18  taniwha

	* source/vid_glx.c: remove uneeded (and prblematic) header

2000-10-10 22:00  taniwha

	* source/context_x11.c: bloody bsd headers with bloody #warning
	!lart bsd :)

2000-10-10 21:49  deek

	* source/joy_null.c: Add #include "console.h"

2000-10-10 21:45  deek

	* source/: cd_linux.c, quakefs.c, snd_oss.c: cd_linux.c:
	whitespace.  quakefs.c: -game n[,n ...] support.  snd_oss.c:
	Compilation support for OSS on BSD systems.

2000-10-10 19:57  taniwha

	* source/quakefs.c: port over nuq's modified filesystem init code.
	no longer creates dirs when fs_userpath is ".".

2000-10-07 17:20  dabb

	* source/: qf-client-sdl.mak, qf-client-sgl.mak, qf-client-wgl.mak,
	qf-client-win.mak: Added locs.c.

2000-10-07 10:56  dabb

	* source/sv_ccmds.c: Patch by Nye Liu <nyet>

2000-10-07 10:24  dabb

	* source/locs.c: Added HAVE_CONFIG_H and pals. Compiles under win32
	now.

2000-10-07 07:53  taniwha

	* source/locs.c: fix the misterious crass caused by loading a .loc
	file a second time. This one was very sneeky :)

2000-10-07 04:06  mercury

	* source/: cl_main.c, cl_parse.c, gl_rmain.c, locs.c: More tweaking
	of stuff, fixed a minor bug in the loc stuff, may still have the
	crash causer though.

2000-10-06 23:50  lordhavoc

	* source/gl_screen.c: treat gl_lightmode as an int_val, epsilon
	checks on brightness/contrast

2000-10-06 23:47  taniwha

	* include/Makefile.am: add locs.h

2000-10-06 19:43  mercury

	* source/teamplay.c: Reset died and last recorded locations on new
	map.

2000-10-06 19:33  mercury

	* source/teamplay.c: %s %d and %r, skin, death location, and last
	reported location, respectively.

2000-10-06 18:47  taniwha

	* source/snd_mem.c: fix the description

2000-10-06 18:42  taniwha

	* include/sound.h, source/snd_dma.c, source/snd_mem.c: turns out
	some like interpolated, others don't. snd_interp conrols this. 
	Defaults to on so those used to 11k sampling won't be too suprised.

2000-10-06 16:31  mercury

	* include/locs.h, source/locs.c: Would help if I added locs.h and
	locs.c.

2000-10-06 16:30  mercury

	* include/mathlib.h, include/teamplay.h, source/Makefile.am,
	source/cl_cmd.c, source/cl_input.c, source/cl_main.c,
	source/cl_parse.c, source/teamplay.c: %l %a %A %h, for say and
	say_team, not quite finished yet.

2000-10-06 15:53  taniwha

	* source/snd_mem.c: new sound resampling from nuq. If 16 bit
	internal samples is too much for your system, set loadas8bit.

2000-10-06 07:05  taniwha

	* include/quakeio.h, source/quakeio.c: Add Qgetline for Mercury.
	Safely read in a random lenght line from a file.

2000-10-06 03:28  mercury

	* source/gl_rsurf.c: Reduced the dynamic light range, might still
	need tweaking.

2000-10-05 19:16  taniwha

	* source/snd_alsa_0_5.c: bring this over from nuq (kept forgetting
	to). gives things like -sndspeed

2000-10-05 19:15  taniwha

	* source/sv_sys_unix.c: cleanup some whitespace

2000-10-05 19:14  taniwha

	* source/vid_x11.c: should not be setting x_disp to anything

2000-10-05 16:44  deek

	* .cvsignore, acinclude.m4, bootstrap, configure.in: .cvsignore:
	Add the rest of the source dists.  acinclude.m4: Fix SDL detection
	up some, should be more reliable.  bootstrap: reorder commands. 
	configure.in: Remove CDTYPE_BSD rule.

2000-10-05 16:22  taniwha

	* source/vid_glx.c: destroy the gl context BEFORE destroying the
	window.

2000-10-05 15:28  taniwha

	* source/vid_sgl.c: another rednundant ref to in_dga_mouseaccel
	bites the dust

2000-10-05 15:27  taniwha

	* source/vid_glx.c: remove redundant refs to in_dga_mouseaccel

2000-10-05 15:09  taniwha

	* source/vid_sgl.c: probable fix for pink boxes

2000-10-05 04:40  taniwha

	* source/gl_rsurf.c: make r_wateralpha actually do something :)

2000-10-04 23:34  theoddone33

	* source/: vid_sdl.c, vid_sgl.c: Make SDL/SGL include method jive
	with sdl-config

2000-10-04 22:54  taniwha

	* Makefile.am: forgot zpak :/

2000-10-04 18:12  taniwha

	* ROADMAP: update a couple of entries. Fullbrights are basicly done
	(maybe need to investigate doing sprite models the right way), and
	correct an ESL error.

2000-10-04 16:22  taniwha

	* source/: cl_main.c, sv_main.c: A solution to the problem of when
	to set the extended info keys. This allows for nice large amounts
	of client info to be sent to a QuakeForge server.
	
	sv_main.c:	Append " QF" to the challenge reply. This DOES NOT
	break older clients  because atoi stops parsing at the first
	non-number character but	returns the value of what it
	successfully parsed. If a client does	   choke on this, its libc
	is broken and not to spec.
	
	cl_main.c:	Check for "QF" in the challenge string and if it's
	there, set the	     QF extended info keys before connecting. Also,
	make sure the extended	 info keys are NOT set prior to starting
	the connect process. This is	done is the CL_Disconnect function.

2000-10-04 05:45  taniwha

	* source/: cl_main.c, cl_pred.c, context_x11.c, vid_glx.c,
	vid_mgl.c, vid_sdl.c, vid_sgl.c, vid_wgl.c, vid_x11.c: make
	VID_SetCaption consistent wherever appropriate (ie possibly
	windowed environments). caption is "PROGRAM VERSION[: text]".

2000-10-03 22:39  taniwha

	* source/cl_main.c: bah, I broke connecting to old servers :(
	
	remove *qsg_version and *cap on disconnect set *qsg_version and
	*cap after connection but only if the server presents *qsg_version
	(it will have big enough info buffers if this key exists). Doesn't
	yet send the updated values to the server as there is currently no
	way to do so :(  I started out creating a setfulluserinfo, but ran
	into design/security problems with that approach. What's needed is
	to either find a secure way to update these two star keys (however,
	special casing is ugly) or make them non-star keys (I don't like
	that either: too easy to fiddle with). Another possiblity is to
	force a reconnect after they are set.

2000-10-03 20:15  taniwha

	* source/snd_sdl.c: add SDL sound support. totally untested (other
	than it compiles). Also not yet autoconfiscated.

2000-10-03 15:05  dabb

	* source/qf-client-sdl.mak, source/qf-client-sgl.mak,
	source/qf-client-wgl.mak, source/qf-client-win.mak,
	source/qf-server.mak, README.WIN, include/win32/bc/config.h: Zlib
	support for BC win32.

2000-10-03 07:10  deek

	* include/context_x11.h, source/context_x11.c, source/vid_glx.c,
	source/vid_x11.c: X11 targets have runtime caption setting now.

2000-10-03 03:01  deek

	* Makefile.am: Fix small cosmetic bug in ChangeLog creation

2000-10-03 02:55  deek

	* include/win32/version.h: Rev Win32 config.h for beta 2, my last
	commit revved the Unix builds' version numbers.

2000-10-03 02:49  deek

	* Makefile.am, configure.in: Makefile.am: Make the ChangeLog get
	generated, add static targets for zip and bz2 dists. also, new
	dist-all-local target builds .tar.gz, .tar.bz2, and .zip dists.
	.zip dist does ASCII conversion.

2000-10-02 18:11  taniwha

	* source/.cvsignore: add .vimrc

2000-10-02 17:50  taniwha

	* source/quakefs.c: fix for 40 column output. forgot that 10*4=40
	and \n after 40 chars doesn't do what was wanted.

2000-10-02 17:24  taniwha

	* source/quakefs.c: Pretty print the maplist. MUCH nicer output
	(sorted columns)

2000-10-02 17:22  taniwha

	* source/sv_ccmds.c: add maplist to the list of commands supported
	by the server

2000-10-02 04:24  deek

	* source/: console.c, sv_send.c, sys_unix.c, sys_win.c: Complete
	the qstat fix.

2000-10-02 04:02  deek

	* Makefile.am, source/sv_send.c: Makefile.am: Add a dist-zip target
	for making .zip distros.  sv_send.c: This _should_ be the proper
	fix for qstat.

2000-10-02 03:31  taniwha

	* source/: sv_send.c, sys_unix.c, sys_win.c: disable "Last message
	repeated...". This was causing problems with qstat etc and also
	with other output in general.

2000-10-02 03:08  taniwha

	* source/sv_ccmds.c: white space

2000-10-01 07:56  mercury

	* include/keys.h, include/wtoi.h, source/console.c, source/keys.c,
	source/menu.c (keys_rewrite): Closer and closer, next step is
	restoring some of the code I commented out to get stuff compiling
	with the key stuff ripped out.

2000-09-30 18:15  dabb

	* source/qf-server.mak: Added files - builds again.

2000-09-30 17:58  dabb

	* source/qf-client-sgl.mak: Added files - builds again.

2000-09-30 17:55  dabb

	* source/qf-client-sdl.mak: Added files - builds again.

2000-09-30 17:52  dabb

	* source/qf-client-win.mak: Added files - builds again.

2000-09-30 17:46  dabb

	* README.WIN: Changed for the better - I suppose - still crap.

2000-09-30 09:30  mercury

	* source/: cl_main.c, console.c, keys.c (keys_rewrite): Closer by
	FAR to usuable!!!

2000-09-30 08:56  mercury

	* include/wtoi.h: file wtoi.h was initially added on branch
	keys_rewrite.

2000-09-30 08:56  mercury

	* include/keys.h, include/wtoi.h, source/Makefile.am,
	source/console.c, source/gl_screen.c, source/keys.c, source/menu.c,
	source/wtoi.c (keys_rewrite): New branch! The sledge hammer
	approach to rewriting the key handling, it is so VERY broken right
	now.

2000-09-30 08:56  mercury

	* source/wtoi.c: file wtoi.c was initially added on branch
	keys_rewrite.

2000-09-30 08:01  deek

	* source/gl_rmisc.c: Disable the code that forces gl_texsort off
	when multitexture is active

2000-09-30 07:59  deek

	* source/cvar.c: Whitespace

2000-09-30 05:58  deek

	* source/: gl_screen.c, gl_view.c, sbar.c: gl_screen.c: Whitespace
	sbar.c: Simplify Sbar_ColorForMap() gl_view.c: Remove palette
	shifting code -- we don't do that any more in GL, we alpha blend
	the screen. Bad to do it twice, plus it messes up texture loads.

2000-09-30 05:56  taniwha

	* README.WIN, acconfig.h, configure.in, include/quakeio.h,
	include/win32/vc/config.h, source/quakefs.c, source/quakeio.c:
	%s/HAS_ZLIB/HAVE_ZLIB/g

2000-09-30 04:08  mercury

	* include/glquake.h, include/r_local.h, include/view.h,
	source/cl_main.c, source/cl_sys_sdl.c, source/cl_sys_unix.c,
	source/gl_draw.c, source/gl_rmain.c, source/gl_rmisc.c,
	source/gl_screen.c, source/in_svgalib.c, source/qargs.c,
	source/r_main.c, source/r_misc.c, source/r_surf.c, source/r_view.c,
	source/snd_dma.c, source/vid_3dfxsvga.c, source/vid_glx.c,
	source/vid_mgl.c, source/vid_sgl.c, source/vid_wgl.c: Cvar audit 1,
	all unused cvars are gone, with the exception of software
	rendering, and the server.

2000-09-30 02:46  mercury

	* source/: gl_rlight.c, gl_rmain.c, gl_screen.c, sbar.c, screen.c:
	GL rendering path audit.

2000-09-29 23:36  taniwha

	* include/Makefile.am, source/sw_model_alias.c: more fixes

2000-09-29 22:13  taniwha

	* include/Makefile.am: server now compiles from make dist

2000-09-29 21:59  taniwha

	* include/Makefile.am: missing file from make dist

2000-09-29 20:02  taniwha

	* source/: model_alias.c, model_brush.c: hehe, thou shalt not
	include glquake in non-gl code :)

2000-09-29 19:29  mercury

	* include/console.h, include/keys.h, include/screen.h,
	source/cd_audio.c, source/console.c, source/context_x11.c,
	source/gl_screen.c, source/in_win.c, source/keys.c,
	source/screen.c, source/snd_win.c, source/vid_3dfxsvga.c,
	source/vid_glx.c, source/vid_mgl.c, source/vid_sgl.c,
	source/vid_wgl.c: More cleanup, now working on the rendering line
	as a whole.  Con_SafePrintf is no longer needed, as Con_Printf is
	safe.

2000-09-29 16:19  taniwha

	* tools/zpak: fix error detection

2000-09-28 20:07  taniwha

	* source/quakeio.c: fix a couple of thinkos

2000-09-28 19:52  coderjoe

	* README.WIN, include/win32/vc/config.h, source/qw_client.dsp,
	source/qw_server.dsp, source/r_main.c, source/sv_model.c,
	tools/gas2masm/gas2masm.dsp: added zlib support in the VC projects.
	
	WARNING: re-read readme.win for instructions on getting this
	working on your system, since it depends on zlib being installed on
	your system, similar to the way mgl is done.

2000-09-28 19:48  taniwha

	* source/quakeio.c: fix for win32 zip support

2000-09-28 17:21  taniwha

	* tools/zpak: script to ease the pain of compressing paks. needs
	pak-0.2.2

2000-09-28 15:35  taniwha

	* source/cl_parse.c: change the client side download rename code to
	reject ANY new / in the file name. This means that if maps/foo.bsp
	is requested, maps/foo.bsp/nasty_server will be rejected but
	maps/foo.bsp.gz will be accepted.

2000-09-28 15:22  dabb

	* source/qf-client-wgl.mak: Added gl_model_xx and model_xx files to
	makefile. Compiles and works again.

2000-09-28 15:02  dabb

	* include/win32/bc/config.h: BC compile fixes. inline = __inline

2000-09-28 15:01  dabb

	* source/gl_model_alias.c: BC compile fixes. Globals need externs.

2000-09-28 13:35  taniwha

	* source/sv_user.c: oops, got the sense of the zip flag backwards.
	Sending uncompressed files when compressed is wanted and vv is not
	a good idea.

2000-09-28 08:12  mercury

	* source/: vid_3dfxsvga.c, vid_glx.c, vid_sgl.c, vid_wgl.c: Whoops,
	enable GL_BLEND on start.

2000-09-28 08:05  mercury

	* include/glquake.h, source/gl_rmain.c: Oops, frogot the header. 
	Minor whitespace cleanup in gl_rmain.c

2000-09-28 07:56  mercury

	* source/: gl_part.c, gl_rlight.c, gl_rmain.c, gl_rmisc.c,
	vid_glx.c, vid_sgl.c: More audit cleanups, glShadeModel this time,
	and gl_affinemodels does what it says now, instead of the reverse
	of what it says.

2000-09-28 07:38  mercury

	* source/cl_parse.c: Compile fix from WildCode.

2000-09-28 07:16  mercury

	* source/: gl_draw.c, gl_rmain.c, gl_rmisc.c, gl_rsurf.c: Killed
	the mirror code completely.

2000-09-28 07:09  mercury

	* source/: gl_rsurf.c, vid_sgl.c: Bigger cleanup of glTexEnvf
	calls.

2000-09-28 06:58  mercury

	* source/: gl_draw.c, gl_ngraph.c, gl_part.c, gl_rlight.c,
	gl_rmain.c, gl_rmisc.c, gl_rsurf.c, vid_sgl.c: glTexEnvf audit.

2000-09-28 06:29  mercury

	* configure.in: Whoops, we need at least -O when compiling, because
	we use inline functions.

2000-09-28 06:11  taniwha

	* include/quakefs.h, source/cl_main.c, source/cl_parse.c,
	source/quakefs.c, source/sv_user.c: add support for COMPRESSED
	downloads!!! Of course, both client and server must both support
	this. The client tells the server it can support compressed
	downloads by setting the z flag in the *cap userinfo. If the server
	detects that the client supports compression, and the file to be
	downloaded is compressed (more accurately, has the .gz extension),
	the server sends a special download packet with a size of -2 (-1
	indicates error),, percent of 0, followed by the new name of the
	file (eg maps/foo.bsp.gz for maps/foo.bsp). The client WILL NOT
	accept a new filename that doesn not match the old name for the
	length of the old name. The client also will not accept a new name
	if there are . or .. path components. If the client rejects the new
	name, it prints a warning message and aborts that download.

2000-09-28 06:10  mercury

	* configure.in: Debugging and optimization are now two completely
	sepirate options.

2000-09-28 04:32  mercury

	* configure.in, source/.cvsignore, source/Makefile.am: If we use
	gcc, then we use -pipe, or we use -save-temps.	Added *.i and *.s
	to the clean rule, for above -save-temps.

2000-09-28 00:22  mercury

	* include/glquake.h, source/gl_draw.c, source/gl_ngraph.c,
	source/gl_part.c, source/gl_rlight.c, source/gl_rmain.c,
	source/gl_rsurf.c, source/gl_screen.c, source/gl_warp.c: State
	change cleanup, but saner code!

2000-09-27 19:44  taniwha

	* acconfig.h, configure.in, include/cl_slist.h, include/client.h,
	include/cvar.h, include/keys.h, include/progs.h, include/quakefs.h,
	include/quakeio.h, include/server.h, include/win32/version.h,
	source/cl_demo.c, source/cl_main.c, source/cl_parse.c,
	source/cl_slist.c, source/cl_sys_sdl.c, source/cl_sys_win.c,
	source/cmd.c, source/com.c, source/cvar.c, source/gl_mesh.c,
	source/gl_part.c, source/gl_warp.c, source/keys.c,
	source/pr_cmds.c, source/pr_edict.c, source/quakefs.c,
	source/quakeio.c, source/r_part.c, source/sv_ccmds.c,
	source/sv_main.c, source/sv_send.c, source/sv_sys_win.c,
	source/sv_user.c, source/sys_null.c, source/vid_3dfxsvga.c,
	source/vid_glx.c, source/vid_sgl.c, source/vid_wgl.c: zlib support
	(gzipped pack contents). if you have a probelm with gzgets, you
	have 3 choices: remove /usr/X11R6/lib/libz.a, --diable-zlib, or fix
	configure.  I do intend on fixing it myself.

2000-09-27 17:01  taniwha

	* source/: gl_model_alias.c, sw_model_alias.c: hopefully fix alias
	model loading for multiple skins and/or skin groups

2000-09-26 18:58  taniwha

	* source/snd_alsa_0_6.c: latest alsa 0.6.x support from nuq

2000-09-26 16:15  deek

	* source/gl_rsurf.c: Back out Chris Ison's patch, make another
	change for readability (in this case, 255 << 8 is more readable
	than 255*256, and was the intent anyway)

2000-09-26 14:16  deek

	* configure.in, include/joystick.h, source/Makefile.am,
	source/in_svgalib.c, source/in_x11.c, source/joy_linux.c,
	source/joy_null.c, source/joystick.c: Joystick support generalized,
	autoconfiscated. Systems without joystick support are built with
	joy_null.c. To create a joystick driver for a new system, take a
	look at joystick.h and joy_null.c for the driver interface. I'd
	like to see a Windows driver using this interface, it would
	probably simplify in_win.c greatly.

2000-09-26 09:03  mercury

	* include/glquake.h, include/win32/version.h,
	source/gl_model_alias.c, source/gl_part.c, source/gl_rmain.c,
	source/gl_rsurf.c, source/gl_screen.c, source/gl_warp.c,
	source/joystick.c, source/model.c, source/model_alias.c: Behold,
	the great state audit, and a few other things.	First off, a
	cleanup in alias model rendering.  Then we have R_CullBox, which is
	now a inline function.	Then the big one, the state change cleanup,
	right now GL_BLEND.

2000-09-26 07:53  deek

	* source/gl_rsurf.c: Apply patch from Chris Ison
	<wildcode@users.sourceforge.net> with some changes from me.

2000-09-26 07:30  deek

	* configure.in: Fix typo; test needs -a, not a :)

2000-09-26 03:21  taniwha

	* configure.in, include/joystick.h, source/Makefile.am,
	source/in_svgalib.c, source/in_x11.c, source/joystick.c: David
	Jeffery's linux joystick support ala nuq

2000-09-26 03:17  taniwha

	* include/cvar.h, source/cvar.c: port over int_val from nuq. much
	better for integer cvars

2000-09-25 23:39  coderjoe

	* source/vid_mgl.c: corrected a minor issue.

2000-09-25 06:50  deek

	* source/gl_screen.c: Forgot a couple of )'s in audit.

2000-09-25 06:36  deek

	* source/: cd_linux.c, cd_sdl.c, cl_parse.c, gl_rmain.c,
	gl_rsurf.c, gl_screen.c, in_x11.c, net_chan.c, r_main.c, r_misc.c,
	skin.c, sv_ccmds.c, vid_mgl.c, vid_svgalib.c: Cvar audit; These
	files set cvars improperly, by changing their values without using
	Cvar_SetValue ().

2000-09-25 04:12  deek

	* include/glquake.h, source/gl_draw.c, source/menu.c: glquake.h:
	Comment out <GL/glu.h> -- may be used in the future, but we don't
	use libGLU right now.
	
	gl_draw.c: brightness/contrast are created in r_view.c, I'm a
	little surprised this didn't cause a crash.
	
	menu.c: Use bound() for sliders.

2000-09-25 02:02  taniwha

	* source/sv_user.c: a little ws cleanup

2000-09-25 01:24  taniwha

	* configure.in: target control. --without-clients distables all
	clients, --with-clients enables individual clients (defaults to all
	possible), --with[out]-server controls server creation (deftaults
	to creating the server)

2000-09-24 03:43  taniwha

	* include/client.h, include/context_x11.h, include/dga_check.h,
	include/input.h, source/context_x11.c, source/in_x11.c,
	source/menu.c, source/vid_glx.c, source/vid_x11.c: fix for Bug
	#105221 though it seems repeats were ignored anyway. this was done
	by backporting the glx/x11 changes from nuq

2000-09-24 02:34  taniwha

	* include/model.h, source/.gdbinit, source/gl_model_alias.c,
	source/sw_model_alias.c: fix alias model loading for when the model
	has groups. gdbinit added to ease debugging

2000-09-23 08:06  deek

	* acinclude.m4, configure.in, debian/changelog, debian/control,
	debian/qf-client-3dfx.dirs, debian/qf-client-3dfx.docs,
	debian/qf-client-3dfx.files, debian/qf-client-3dfx.suid,
	debian/qf-client-ggi.dirs, debian/qf-client-ggi.docs,
	debian/qf-client-ggi.files, debian/qf-client-glx.dirs,
	debian/qf-client-glx.docs, debian/qf-client-glx.files,
	debian/qf-client-sdl.dirs, debian/qf-client-sdl.docs,
	debian/qf-client-sdl.files, debian/qf-client-sgl.dirs,
	debian/qf-client-sgl.docs, debian/qf-client-sgl.files,
	debian/qf-client-svga.dirs, debian/qf-client-svga.docs,
	debian/qf-client-svga.files, debian/qf-client-svga.suid,
	debian/qf-client-x11.dirs, debian/qf-client-x11.docs,
	debian/qf-client-x11.files, debian/qf-server.dirs,
	debian/qf-server.docs, debian/qf-server.files,
	debian/quakeforge-common.docs, debian/quakeforge-common.files,
	debian/quakeforge.conf, debian/rules, include/win32/version.h,
	source/Makefile.am: debian/*: Yaay, Debian packages. They're not
	perfect, but they should do the job. -3dfx doesn't get a package
	built right now, there are...obstacles.
	
	acinclude.m4, configure.in, Makefile.am: -sgl is detected
	separately from -sdl now, and HAVE_XMESA is no longer in use.

2000-09-23 01:17  coderjoe

	* source/: qw_client.dsp, qw_server.dsp, sw_model_alias.c: fixed
	the vc6 projects for the model change

2000-09-22 15:38  tonik

	* source/cvar.c: Cvar_SetValue: cvar_t *var_name is confusing,
	renamed it to *var

2000-09-22 15:32  tonik

	* source/cvar.c: 1. Cvar_CvarList_f() prints cvar flags (like Q2/Q3
	do) 2. CVAR_HEAP makes no sense now that ALL cvar are stored in
	heap.  3. No need to allocate memory for cvar descriptions 4. ^=
	CVAR_USER_CREATED ---> &= ~CVAR_USER_CREATED

2000-09-22 15:08  lordhavoc

	* source/gl_draw.c: changed texture update validation to normal CRC

2000-09-22 09:12  mercury

	* source/gl_draw.c: I don't know WHY having the charset loaded as a
	texture after the crosshair makes it look like crap, but it does,
	so it is loaded before the crosshair now, looks MUCH nicer.

2000-09-22 09:08  mercury

	* include/bspfile.h, include/checksum.h, include/d_local.h,
	include/glquake.h, include/model.h, include/server.h,
	include/vid.h, source/cl_main.c, source/cl_parse.c,
	source/d_fill.c, source/d_scan.c, source/draw.c, source/gl_draw.c,
	source/gl_model_alias.c, source/gl_ngraph.c, source/gl_rlight.c,
	source/gl_rmisc.c, source/gl_rsurf.c, source/gl_warp.c,
	source/model.c, source/net_chan.c, source/net_com.c,
	source/pr_exec.c, source/r_aclip.c, source/r_alias.c,
	source/r_draw.c, source/r_light.c, source/r_sky.c, source/r_surf.c,
	source/snd_dma.c, source/sv_init.c, source/sv_main.c,
	source/sv_user.c, source/vid_3dfxsvga.c, source/vid_glx.c,
	source/vid_mgl.c, source/vid_null.c, source/vid_sgl.c,
	source/vid_wgl.c, source/wad.c: First off in gl_draw.c we have some
	nice cleanup code for the upload code.
	
	Then we have the completely purge of treating 'unsigned' as a type,
	it is NOT a type, it is a TYPE MODIFIER!
	
	Under gcc for x86 it happens to try and do something sane, just
	treat it as a unsigned int, but that is EVIL, it is a MODIFIER and
	if ANYONE adds code which uses unsigned as a type in itself I
	/WILL/ harm them!!!

2000-09-21 19:15  deek

	* source/: gl_view.c, r_view.c, sw_view.c: Palette never gets
	changed in GL mode now.

2000-09-21 15:23  taniwha

	* source/in_x11.c: add desti's nodga patch with modifications to
	control the grabbing of kb and mouse input

2000-09-21 06:27  deek

	* source/snd_oss.c: mmap should set PROT_READ|PROT_WRITE, not just
	PROT_WRITE. Takes care of a problem with FreeBSD. Also, check for
	MAP_FAILED instead of (unsigned char *)-1

2000-09-20 23:06  taniwha

	* include/d_iface.h, include/glquake.h, include/model.h,
	source/gl_draw.c, source/gl_model_brush.c, source/gl_rmisc.c,
	source/gl_rsurf.c: gl bmodel fullbrights implemented. I hope. I'll
	find out for sure when I get home.

2000-09-20 22:21  taniwha

	* include/model.h, source/gl_model_brush.c, source/model_brush.c,
	source/sv_model.c, source/sw_model_brush.c: forgot to rename
	Mod_LoadMMNearest to Mod_ProcessTexture

2000-09-20 22:11  taniwha

	* include/model.h, source/Makefile.am, source/cl_model.c,
	source/gl_mesh.c, source/gl_model.c, source/gl_model_alias.c,
	source/gl_model_brush.c, source/gl_model_fullbright.c,
	source/gl_model_sprite.c, source/gl_rmain.c, source/model.c,
	source/model_alias.c, source/model_brush.c, source/model_sprite.c,
	source/sv_model.c, source/sw_model_alias.c,
	source/sw_model_brush.c, source/sw_model_sprite.c: model loading
	reorg ala nuq. once again, gl hasn't been tested (will test when I
	get home tonight). This is in preparation for bmodel fulbrights.

2000-09-20 04:13  deek

	* source/sw_view.c: whitespace (spaces -> tabs)

2000-09-20 04:06  deek

	* include/view.h, source/gl_screen.c, source/menu.c,
	source/r_view.c, source/sw_view.c: gl_screen.c: Minor tweaks,
	contrast gets clamped to 0.1-1 instead of 0.2-1 view.h: Add
	brightness, contrast cvars as extern menu.c: Change brightness
	scroller to use the brightness cvar, add contrast scroller. 
	r_view, sw_view.c: Add brightness/contrast cvars to software, and
	make them work.

2000-09-18 03:07  taniwha

	* configure.in, source/Makefile.am, source/snd_alsa.c,
	source/snd_alsa_0_5.c, source/snd_alsa_0_6.c: ALSA 0.6 support
	added. old snd_alsa.c renamed to snd_alsa_0_5.c

2000-09-11 12:26  lordhavoc

	* source/cmd.c: added back -basedir

2000-09-07 17:31  taniwha

	* source/snd_dma.c: port over a sound init fix from oldtree that
	prevents a crash if sound doesn't init properly

2000-08-31 17:36  mercury

	* source/gl_draw.c: Slight change in the crosshair code, minor
	cleanup really.

2000-08-27 11:05  taniwha

	* source/: gl_model.c, gl_rmain.c: gl_model.c:	sprintf -> snprintf
	gl_rmain.c:	    slight optimisation (thanks, LordHavoc)

2000-08-25 23:24  taniwha

	* source/.cvsignore: add qf-client-sdl and qf-client-sgl to the
	ignore list

2000-08-22 18:54  tonik

	* include/teamplay.h, source/cl_cmd.c, source/cl_parse.c,
	source/teamplay.c: cl_parsesay --- parse $\ (fake); $[, $]; $R $G
	$B $Y (ocrana leds); Note that this cvar is different from QWF's
	cl_parsesay.  cl_nofake --- unhide fake messages from other players

2000-08-22 18:00  tonik

	* source/cl_input.c: Ooops (forgot an #include)

2000-08-22 17:53  tonik

	* include/teamplay.h, source/cl_input.c, source/teamplay.c: Add
	"overloaded" impulse command (e.g. impulse 5 4 1) --- a hack that
	only works correctly in standard deathmatch but may be useful in TF
	too

2000-08-22 10:35  mercury

	* acconfig.h, configure.in: Compile fixes.

2000-08-20 19:47  maddes

	* include/progs.h, source/pr_edict.c, source/sv_phys.c: EndFrame
	function by FrikaC/Maddes

2000-08-20 19:17  maddes

	* source/: cl_input.c, qargs.c, sv_user.c: +USE unbound fix

2000-08-18 21:50  maddes

	* CodingStyleGuide.txt: Added Coding Style Guide

2000-08-17 20:15  maddes

	* source/gl_draw.c: Conwidth/height charset fix by TcT: weird
	charset when you set -conwidth/-conheight to other values than
	screen resolution

2000-08-17 18:28  maddes

	* source/cvar.c: Weird cvar zeros fix

2000-08-17 17:37  maddes

	* source/keys.c: Bound keys not saved in quotes fix, this caused
	problems with a binded semilicon

2000-08-17 16:48  dabb

	* source/net_udp.c: Why SockadrToNetadr(&from,&net_from) twice?
	Removed extra.

2000-08-17 15:44  dabb

	* source/cl_sys_win.c: Add cvar sys_nostdout to WIN32 clients too.
	Note: sets stdout DISABLED (1) by default.

2000-08-17 15:40  dabb

	* source/cl_sys_sdl.c: Allow disabling stdout with sys_nostdout
	with SDL targets too..

2000-08-17 13:38  dabb

	* source/: cl_sys_win.c, sv_sys_win.c, sys_win.c: Fix nostdout bug
	...

2000-08-17 12:44  dabb

	* source/cl_sys_win.c: Removed extra Sys_Printf function (its in
	sys_win.c now)

2000-08-17 12:42  dabb

	* source/sv_send.c: Added "last message repeated xx times" to cut
	down repeated lines from Con_Printf

2000-08-17 12:42  dabb

	* source/sys_unix.c: Added "last message repeated xx times" to cut
	down repeated lines from Sys_Printf.

2000-08-17 12:40  dabb

	* source/sys_win.c: Moved Sys_Printf from sv_sys_win.c.  Added
	graph char translations to Sys_Printf (from sys_unix).	Added "last
	message repeated xx times" to cut down repeat lines from
	Sys_Printf.

2000-08-17 12:36  dabb

	* source/sv_sys_win.c: Moved Sys_Printf to sys_win.c.

2000-08-16 21:43  maddes

	* source/pr_cmds.c: FTOS fix: no leading spaces and keeping maximum
	precision for float values

2000-08-16 20:49  maddes

	* source/sv_phys.c: SV_CheckVelocity() fix (cvar SV_MAXVELOCITY)

2000-08-16 12:29  mercury

	* source/gl_rmain.c: Fix of a bug with fullbright models..

2000-08-16 09:26  mercury

	* include/glquake.h, include/model.h, source/gl_model.c,
	source/gl_rmain.c, source/gl_rmisc.c: FULLBRIGHT SUPPORT FOR
	MODELS!
	
	Yes, this means that your standard grenades, the pipebombs, proxys,
	sents, etc will all have fullbright pixels!
	
	As a added bonus they are toggable with the gl_fb_models cvar! But
	there is more! This comes at a almost unnoticeable cost! Thats
	right! For you get this all for only 2 FPS!
	
	Repeat, thats 2 FPS! PRACTICALLY NOTHING!
	
	So order now! Available from the quakeforge newtree CVS.

2000-08-15 02:41  mercury

	* include/info.h: We need a slightly larger MAX_INFO_STRING,
	boosted to 512.

2000-08-14 13:41  dabb

	* source/sv_main.c: Detect runt client packets quicker.

2000-08-14 13:02  dabb

	* source/sv_main.c: Some fixes to DoS code.

2000-08-14 04:53  mercury

	* include/draw.h, include/glquake.h, include/server.h,
	source/draw.c, source/gl_draw.c, source/sv_main.c: Old draw
	cleanups, frogot I had them around..  Clean up of Dabb's mess, he
	dies.

2000-08-13 14:59  dabb

	* source/sv_main.c: %d -> %f in netdosvalues/netdosexpire

2000-08-13 14:40  dabb

	* source/sv_main.c: Removed testing stuff.

2000-08-13 14:37  dabb

	* source/sv_main.c: Renamed
	dosvalues,dosexpire->netdosvalues,netdosexpire.

2000-08-13 14:34  dabb

	* source/sv_main.c: Basic DoS flood attack protections.  Commands
	added: netdosexpire, netdosvalues (oops, forgot from last ;)

2000-08-13 14:26  dabb

	* source/sv_main.c, include/server.h: Basic DoS flood attack
	protections. Use sv_netdosprotect 1 to turn them on.  (quite
	experimental, these might break something...) Cvars added:
	sv_allow_log, sv_allow_status, sv_allow_ping, sv_netdosprotect
	Commands added: netdosexpire, netdosvalues

2000-08-13 14:21  dabb

	* source/sv_user.c: Fix for pause flood exploit.

2000-08-08 12:47  dabb

	* source/model.c: Quick-fix for server crashing on some maps with
	null names/textures.

2000-08-04 09:47  tonik

	* source/cl_main.c: Fix for ugly 'unknown: #' messages at the end
	of a demo.

2000-08-03 16:21  dabb

	* source/qf-server.mak: Builds now ...

2000-08-03 14:47  dabb

	* source/: qf-client-sdl.mak, qf-client-sgl.mak, qf-client-wgl.mak,
	qf-client-win.mak: Added teamplay.c ...

2000-08-02 23:00  tonik

	* source/: cl_ents.c, cl_main.c, cl_parse.c: cl_deadbodyfilter and
	cl_gibfilter should work now.

2000-08-02 22:55  deek

	* doc/: cvarlist.txt, timestamps.txt: timestamps.txt: A description
	of the format codes that work on both Unix and Windows.

2000-08-02 22:53  deek

	* source/sv_main.c: whitespace.

2000-08-02 22:53  tonik

	* source/qw_client.dsp: Add teamplay.c to project

2000-08-02 22:51  deek

	* source/: qf-server-win.mak, qf-server.mak: Moved
	qf-server-win.mak makefile for Borland to qf-server.mak, made it
	build qf-server.exe instead of qf-server-win.exe If you're running
	it on Windows, it's pretty obviously a Windows program. :)

2000-08-02 22:50  tonik

	* include/teamplay.h, source/teamplay.c: Added cl_deadbodyfilter
	and cl_gibfilter cvars

2000-08-02 22:49  deek

	* include/Makefile.am, source/Makefile.am: Add teamplay.[ch] to
	makefiles, also found some necessary files that would be missed by
	make dist.

2000-08-02 22:40  tonik

	* source/console.c: #if 0'd the code that updates the screen after
	every Con_Printf when disconnected.

2000-08-02 21:09  tonik

	* include/teamplay.h: Intial checkin (just the header)

2000-08-02 15:20  tonik

	* source/teamplay.c: Proxy features should go to this file when
	possible

2000-08-02 15:16  dabb

	* source/sv_send.c: Fixed stupid borland complier error

2000-08-02 15:14  tonik

	* ROADMAP: Added "proxy" features

2000-08-02 07:19  deek

	* ROADMAP: Updated road map.

2000-08-02 07:19  deek

	* configure.in: use -march=pentium and -march=pentiumpro on i586
	and i686 builds. Non-Intel 686's should probably configure with
	target i586-[system triplet].

2000-08-02 07:13  deek

	* source/: sv_main.c, sv_send.c: Enabled time stamped messages for
	server. To turn it on, set sv_timestamps.
	
	To configure how timestamps are formatted, use the sv_timefmt Cvar.
	It's a formatted string, with the following special tokens (taken
	from the strftime() manual page):
	
	       %a     The abbreviated weekday name according to the  cur­
		      rent locale.
	
	       %A     The  full  weekday  name	according  to the current
		      locale.
	
	       %b     The abbreviated month name according to the current
		      locale.
	
	       %B     The  full  month	name  according  to  the  current
		      locale.
	
	       %c     The preferred date and time representation for  the
		      current locale.
	
	       %C     The century number (year/100) as a 2-digit integer.
		      (SU)
	
	       %C     The century number (the year divided by	100   and
		      truncated  to  an integer).
	
	       %d     The  day of the month as a decimal number (range 01
		      to 31).
	
	       %D     Equivalent to  %m/%d/%y.	(Yecch	-  for	Americans
		      only.   Americans  should  note that in other coun­
		      tries %d/%m/%y is rather common. This means that in
		      international  context this format is ambiguous and
		      should not be used.) (SU)
	
	       %e     Like %d, the day of the month as a decimal  number,
		      but a leading zero is replaced by a space. (SU)
	
	       %E     Modifier: use alternative format, see below. (SU)
	
	       %G     The ISO 8601 year with century as a decimal number.
		      The 4-digit year corresponding to the ISO week num­
		      ber  (see  %V).  This has the same format and value
		      as %y, except that if the ISO week  number  belongs
		      to  the  previous  or  next year, that year is used
		      instead. (TZ)
	
	       %g     Like %G, but without century, i.e., with a  2-digit
		      year (00-99). (TZ)
	
	       %h     Equivalent to %b. (SU)
	
	       %H     The  hour as a decimal number using a 24-hour clock
		      (range 00 to 23).
	
	       %I     The hour as a decimal number using a 12-hour  clock
		      (range 01 to 12).
	
	       %j     The  day of the year as a decimal number (range 001
		      to 366).
	
	       %k     The hour (24-hour clock) as a decimal number (range
		      0  to  23);  single digits are preceded by a blank.
		      (See also %H.) (TZ)
	
	       %l     The hour (12-hour clock) as a decimal number (range
		      1  to  12);  single digits are preceded by a blank.
		      (See also %I.) (TZ)
	
	       %m     The month as a decimal number (range 01 to 12).
	
	       %M     The minute as a decimal number (range 00 to 59).
	
	       %n     A newline character. (SU)
	
	       %O     Modifier: use alternative format, see below. (SU)
	
	       %p     Either `AM' or `PM' according  to  the  given  time
		      value, or the corresponding strings for the current
		      locale.  Noon is treated as `pm'	and  midnight  as
		      `am'.
	
	       %P     Like  %p but in lowercase: `am' or `pm' or a corre­
		      sponding string for the current locale. (GNU)
	
	       %r     The time in a.m. or p.m. notation.   In  the  POSIX
		      locale this is equivalent to `%I:%M:%S %p'. (SU)
	
	       %R     The  time  in  24-hour notation (%H:%M). (SU) For a
		      version including the seconds, see %T below.
	
	       %s     The number of seconds since the Epoch, i.e.,  since
		      1970-01-01 00:00:00 UTC. (TZ)
	
	       %S     The second as a decimal number (range 00 to 61).
	
	       %t     A tab character. (SU)
	
	       %T     The time in 24-hour notation (%H:%M:%S). (SU)
	
	       %u     The  day	of  the  week as a decimal, range 1 to 7,
		      Monday being 1.  See also %w. (SU)
	
	       %U     The week number of the current year  as  a  decimal
		      number,  range  00  to  53, starting with the first
		      Sunday as the first day of week 01. See also %V and
		      %W.
	
	       %V     The  ISO	8601:1988 week number of the current year
		      as a decimal number, range 01 to 53, where  week	1
		      is  the  first week that has at least 4 days in the
		      current year, and with Monday as the first  day  of
		      the week. See also %U and %W. (SU)
	
	       %w     The  day	of  the  week as a decimal, range 0 to 6,
		      Sunday being 0.  See also %u.
	
	       %W     The week number of the current year  as  a  decimal
		      number,  range  00  to  53, starting with the first
		      Monday as the first day of week 01.
	
	       %x     The preferred date representation for  the  current
		      locale without the time.
	
	       %X     The  preferred  time representation for the current
		      locale without the date.
	
	       %y     The year as a  decimal  number  without  a  century
		      (range 00 to 99).
	
	       %Y     The year as a decimal number including the century.
	
	       %z     The time-zone as hour offset from GMT.  Required to
		      emit  RFC822-conformant  dates (using "%a, %d %b %Y
		      %H:%M:%S %z"). (GNU)
	
	       %Z     The time zone or name or abbreviation.
	
	       %+     The date and time in date(1) format. (TZ)
	
	       %%     A literal `%' character.
	
	Some of these may not work on some systems.

2000-08-02 01:31  deek

	* source/Makefile.am: Add $(GLX_LIBS) to -sgl _LDADD; temporary.

2000-08-02 01:18  deek

	* source/vid_sgl.c: A few substantive changes, mostly whitespace.
	EVIL!

2000-08-01 21:55  knghtbrd

	* ROADMAP, configure.in, source/cl_tent.c, source/cl_trans.c,
	source/cmd.c, source/vid_sgl.c: Clean up the warnings Tonik didn't

2000-07-31 13:06  tonik

	* source/console.c: Con_Clear_f() will also reset console
	backscroll

2000-07-31 12:57  tonik

	* source/keys.c: bind command will now accept any number of
	parameters, e.g.  bind 5 impulse 5

2000-07-31 12:54  tonik

	* source/: cl_demo.c, cl_ents.c, cl_parse.c, cl_tent.c, cl_trans.c,
	gl_trans.c: Change a bunch of Sys_Error()'s to Host_EndGame()

2000-07-31 10:24  tonik

	* source/cmd.c: New cvar expansion code that works in say/say_team
	commands; Command line chars are treated as unsigned now, so you
	can start a token with a 'high' char (>127).

2000-07-31 09:32  tonik

	* source/cmd.c: Faster Cmd_TokenizeString - no malloc/free, just a
	static buffer.

2000-07-31 07:40  tonik

	* source/cmd.c: Faster Cbuf_InsertText

2000-07-30 10:25  dabb

	* README.WIN: Added instructions how to compile SDL/SGL...

2000-07-30 10:17  dabb

	* source/: vid_sdl.c, vid_sgl.c: Evil hack to get directsound work
	under win32, will be removed when sound_sdl & other stuffs are
	done.

2000-07-30 10:14  dabb

	* source/: qf-client-sdl.mak, qf-client-sgl.mak: SDL makefiles for
	Borland C++ - EXPERIMENTAL

2000-07-30 10:12  dabb

	* source/cl_sys_sdl.c: Common cl_sys_sdl for win32 and *nix,
	replaces cl_sys_win and cl_sys_unix for SDL targets.

2000-07-30 02:54  taniwha

	* include/glquake.h, source/gl_rmain.c, source/gl_rmisc.c,
	source/gl_warp.c: add gl_skymultipass to conroll whether the
	skydome is single or double pass.  Currently defaults to 1
	(multipass, ie old behaviour).

2000-07-28 14:37  tonik

	* source/keys.c: A partion of Key_Console() can be simplified by
	using memmove()

2000-07-27 04:39  taniwha

	* source/: in_x11.c, vid_glx.c: Warp the cursor out of the way for
	3dfx users. Hopefully this does the job.

2000-07-27 03:37  taniwha

	* source/: in_x11.c, vid_glx.c, vid_x11.c: Move the mouse cursor
	hiding code from in_x11 to vid_{x11,glx} so it is guaranteed to be
	done /before/ the glx context is created. Hopefully this fixes
	knghtbrd's ugly cursor problem.

2000-07-24 13:32  tonik

	* source/keys.c: Fix Win32 paste-from-buffer problem by changing
	memcpy() to memmove() (thanks Deek)

2000-07-23 01:55  coderjoe

	* source/qw_server.dsp: added pr_offs.c to the server project's
	files

2000-07-19 17:58  dabb

	* source/vid_sdl.c: Changed alloca -> calloc to fix crash bug. 
	Also added modestate (will be removed).
	
	btw, something to remember about ALLOCA: "If the calling function
	does not contain  any references to local variables in the stack, 
	the stack will not be restored correctly when the function exits, 
	resulting in a program crash. "

2000-07-19 07:25  knghtbrd

	* source/sys_unix.c: who removed the fflush in Sys_Printf?  It's
	back now.

2000-07-17 14:12  lordhavoc

	* source/gl_rsurf.c: Possible fix for ATI multitexture (gl_texsort
	0) wall rendering.

2000-07-17 14:06  lordhavoc

	* source/cl_ents.c: commented out some extend bit reporting code

2000-07-16 21:48  knghtbrd

	* source/vid_sdl.c: Thanks to akawaka, vid_sdl works!
	
	This is far from complete and still does many things oddly by
	"modern" standards in newtree.

2000-07-14 17:16  dabb

	* source/vid_sdl.c: Added VID_SetCaption support and removed
	SDL_INIT_CDROM for now. (thats in cd_sdl.c).

2000-07-14 17:04  dabb

	* source/vid_sgl.c: Added gl_mtex_enum and modestate, also added
	VID_SetCaption support.

2000-07-14 16:10  dabb

	* source/cl_main.c, source/cl_pred.c, include/vid.h: VID_SetCaption
	(title) support.

2000-07-14 16:09  dabb

	* source/: vid_3dfxsvga.c, vid_ggi.c, vid_glx.c, vid_null.c,
	vid_svgalib.c, vid_x11.c: VID_SetCaption (title) stubs - code added
	later.

2000-07-14 16:08  dabb

	* source/: vid_mgl.c, vid_wgl.c: Added VID_SetCaption (title)
	support for little more portability.

2000-07-13 13:27  dabb

	* source/cd_sdl.c: Added SDL_INIT for cd-rom.

2000-07-13 13:22  dabb

	* source/cd_sdl.c: cd_sdl.c from oldtree.

2000-07-13 05:14  deek

	* acinclude.m4: Add AM_PATH_SDL to acinclude.m4

2000-07-11 23:02  deek

	* configure.in: Disabled SDL target detection temporarily.

2000-07-11 14:42  dabb

	* source/vid_sgl.c: Couple of #ifndef WIN32 to get SDL compile
	under Borland.

2000-07-11 07:57  deek

	* source/Makefile.am: [mumble mumble] SDL target fixed, made -ggi
	not build.

2000-07-11 07:51  deek

	* source/: Makefile.am, vid_sdl.c: Normal SDL support. It might
	work. :)

2000-07-11 07:43  deek

	* configure.in: Prelim SDL-GL _target_ support. TEST THIS!

2000-07-11 05:05  deek

	* configure.in, source/Makefile.am, source/vid_glx.c,
	source/vid_sgl.c: SDL support in configure.in... it isn't turned
	into a target yet, but it will be soon.

2000-07-11 00:22  theoddone33

	* source/vid_sgl.c: SDL/GL internals.  Someone will need to update
	the makefiles
	
	CFLAGS = -I/usr/include/SDL LDFLAGS = -lGL -lSDL -lpthread
	
	or have fun playing with SDL's m4 macros and the `sdl-config` stuff

2000-07-10 09:35  dabb

	* source/: qf-client-wgl.mak, qf-client-win.mak: Fixes for Borland
	C++ - all targets should work now without crashes...

2000-07-09 12:43  deek

	* source/: sv_main.c, zone.c: zone.c: Remove unnecessary code --
	zone isn't used anymore, so it shouldn't be allocated on the hunk. 
	sv_main.c: Change default timekick fuzz to 1.5 percent from 1
	percent. Should cut down on people getting kicked for lag.

2000-07-09 09:43  dabb

	* source/vid_wgl.c: 15to8 palette pre-loading for win32 targets
	too...

2000-07-09 05:49  snax

	* source/vid_glx.c: 
	This fixes a bug with nvidia cards that can cause other GL programs
	to run very slowly.  Thanks to rpete for pointing out the problem.

2000-07-08 04:26  snax

	* source/menu.c: 
	Now the cursor will wrap around the server list when you hit the
	bottom or top.	I hope you are happy, stu.

2000-07-06 10:35  dabb

	* source/qf-client-win.mak: Disabled asm file use for borland c++
	software target until conflict issue is resolved. Compiles and
	works now with bc 5.5 too, but slowly.

2000-07-06 09:36  dabb

	* include/glquake.h: Define GL_BGR, GL_BGRA if missing from gl.h.
	(win32 builds have v1.1 gl.h)

2000-07-06 07:04  knghtbrd

	* source/gl_rsurf.c: cosmetic change - FWIW Mercury it's a bug that
	blend needs to be disabled there and the bug's not in our code, so
	don't whack LH too hard.

2000-07-06 03:35  mercury

	* source/: gl_rsurf.c, gl_screen.c: gl_screen.c:  - Cleanup for the
	screenshot code.. (Now requires OpenGL 1.2+)
	
	gl_rsurf.c:  - Oh Mr Havoc, *WHACK*, you needed to disable GL_BLEND
	when you switch    to GL_REPLACE..

2000-07-05 14:31  dabb

	* source/gl_rsurf.c: Borland C++ uses __int64 too.

2000-07-04 09:29  lordhavoc

	* source/: gl_draw.c, gl_part.c, gl_rmain.c, gl_rmisc.c,
	gl_rsurf.c, gl_warp.c: Rewrote multitexture rendering. (faster, no
	fullbright bugs)

2000-07-04 07:04  taniwha

	* source/gl_rsurf.c: speed up R_RenderBrushPoly ever so slightly

2000-07-04 06:59  lordhavoc

	* source/gl_rsurf.c: Fix for the fullbright models.

2000-07-04 04:19  lordhavoc

	* source/gl_rsurf.c: Minor world rendering fixes.

2000-07-04 03:10  lordhavoc

	* source/gl_rmain.c: Fix for dark models bug.

2000-07-04 02:23  lordhavoc

	* source/gl_rsurf.c: Possible world rendering speedup.

2000-07-04 00:52  lordhavoc

	* source/gl_rsurf.c: Very minor world rendering optimization.

2000-07-04 00:49  lordhavoc

	* source/: cl_ents.c, cl_parse.c: Fix for long standing baseline
	bug (OUCH!), should fix invis problems...

2000-07-04 00:44  lordhavoc

	* source/sv_ents.c: Minor cleanup. (purely cosmetic)

2000-07-03 21:56  mercury

	* source/cl_ents.c: FINALLY the end to the invis objects!!

2000-07-03 00:34  lordhavoc

	* source/: cl_ents.c, cl_parse.c, cl_tent.c: This should stomp the
	last of the invisible entity bugs.

2000-07-02 14:14  lordhavoc

	* source/: cl_ents.c, cl_tent.c: Fix for invisible players, etc
	etc.  (QW protocol is nasty)

2000-07-02 13:47  lordhavoc

	* source/gl_rsurf.c: Massive dynamic light rendering speedup.

2000-07-02 06:40  lordhavoc

	* source/gl_rsurf.c: Fix for black static lightmaps. (oops, forgot
	that one too)

2000-07-02 06:13  lordhavoc

	* source/gl_rsurf.c: Fix for black walls. (oops)

2000-07-02 06:00  taniwha

	* source/gl_rsurf.c: fix a warning that msvc doesn't pick up but
	gcc does.

2000-07-02 05:16  lordhavoc

	* source/: gl_draw.c, gl_ngraph.c, gl_part.c, gl_rlight.c,
	gl_rmain.c, gl_rsurf.c, gl_screen.c, gl_warp.c: Brightness controls
	(brightness, contrast) and gl_lightmode cvar.

2000-07-01 21:54  mercury

	* source/gl_rmain.c: Fixed the black/invisible model problems.. 
	This is a bit of a kludge, but it works..

2000-07-01 09:40  taniwha

	* source/gl_warp.c: oh, nothing much, just 1/4 R_DrawSkyLayer's
	us/call :) (I halved the number of steps around the glob in each
	direction). it's now taking 3% of the time on my machine.

2000-07-01 07:52  lordhavoc

	* source/cl_tent.c: Black lightning fix.

2000-07-01 05:54  knghtbrd

	* source/gl_rmain.c: Fixed view entity - its alpha was never
	getting set so a stray dlight or something could (and did in all my
	tests) make viewmodel go away..  That sucked, but it's fixed now.

2000-07-01 04:56  lordhavoc

	* include/protocol.h, include/render.h, source/cl_ents.c,
	source/cl_parse.c, source/pr_offs.c, source/sv_ents.c,
	source/sv_init.c: Fixed up Endy's EXTEND support - everything
	should work now.

2000-06-30 23:15  lordhavoc

	* include/r_local.h: Another include fix for software... (ugh)

2000-06-30 23:10  lordhavoc

	* include/: glquake.h, protocol.h, render.h: Includes for recent
	fixes. (forgot to upload them)

2000-06-30 22:26  lordhavoc

	* source/: gl_rlight.c, gl_rsurf.c, r_light.c, r_main.c, r_surf.c,
	r_view.c: Dynamic lighting fixes. (relative bmodel lighting,
	mainly)

2000-06-30 10:29  lordhavoc

	* source/gl_rmain.c: Fix for minor bug in (unused) transparent
	model rendering.

2000-06-30 10:07  taniwha

	* source/gl_rmain.c: fix a parse error LordHavoc missed

2000-06-30 10:03  lordhavoc

	* source/cl_tent.c: Forgot to commit lightning fix. (oops)

2000-06-30 10:00  taniwha

	* source/gl_warp.c: fix `jumping' sky. I forgot to add `s' to the
	pole tex coords

2000-06-30 09:59  lordhavoc

	* source/: gl_rmain.c, r_view.c: Fix for invisible gun and
	lightning. (cleanup after Endy)

2000-06-30 09:33  lordhavoc

	* source/gl_model.c: Fix for .lit support. (fixes black wall bug,
	oops)

2000-06-30 06:26  lordhavoc

	* source/gl_rmain.c: Fixed Mod_ExtraData crash. (oops)

2000-06-30 05:54  lordhavoc

	* source/: cl_ents.c, pr_edict.c, pr_offs.c, sv_ents.c: Removed
	Endy's broken protocol enhancements.

2000-06-30 05:52  lordhavoc

	* source/r_view.c: Another fix for R_MarkLights crash. (oops again)

2000-06-30 04:35  lordhavoc

	* source/gl_rsurf.c: Fix for immediate R_MarkLights crash. (oops)

2000-06-30 00:55  lordhavoc

	* source/gl_rmisc.c: Fix for TimeRefresh. (oops)

2000-06-30 00:47  lordhavoc

	* source/: gl_rmain.c, gl_rmisc.c, gl_rsurf.c, gl_view.c: GL
	cleanup.  (cleanup after Endy mainly)

2000-06-30 00:03  knghtbrd

	* source/gl_warp.c: And I missed the other one ...

2000-06-30 00:01  knghtbrd

	* source/gl_warp.c: taniwha forgot a ; ...

2000-06-29 23:51  taniwha

	* source/gl_warp.c: took me a while to realise the skydome starts
	at the equator, not a pole.  I hope I got this right

2000-06-29 23:30  mercury

	* include/zone.h, source/cl_slist.c, source/cmd.c, source/cvar.c,
	source/dirent.c, source/qargs.c, source/quakefs.c, source/screen.c:
	Clean up after myself in the Z_* purge..

2000-06-29 23:27  lordhavoc

	* source/gl_rlight.c: Massive dynamic light speedup.

2000-06-29 23:07  knghtbrd

	* ROADMAP: erp, one more..

2000-06-29 23:06  lordhavoc

	* source/gl_part.c: Fix for white particles bug. (cleanup after
	Endy)

2000-06-29 22:18  lordhavoc

	* source/gl_model.c: Fixed .lit file (colored lighting) support.

2000-06-29 22:07  taniwha

	* source/gl_warp.c: we were drawing the sky layer twice (0-360
	horiz, 0-360 vert). Change the vert to 0-180.

2000-06-29 19:25  knghtbrd

	* source/gl_rmain.c: Fix polyblend - This is the (SINGLE) thing
	Endy did that is easy to fix, and the only thing he realized he
	broke.

2000-06-29 14:46  knghtbrd

	* ROADMAP: Well, Endy's changes seriously broke stuff.	Lots of
	stuff.	If you're not pointed the right direction, entities don't
	get drawn correctly (no texture) and the view model doesn't get
	drawn at all.  Blending gets turned off some of the time. so
	particles are drawn wrong.
	
	In other words, Endy's changes fucked stuff up, badly.	Someone get
	the guy a box so he can actually test this stuff, eh?

2000-06-29 14:34  ender

	* ROADMAP: Test THIS :)

2000-06-29 14:32  ender

	* include/protocol.h, source/cl_ents.c, source/gl_rmain.c,
	source/sv_ents.c: More changes, rendering effects like alpha and
	colormod SHOULD work :)

2000-06-29 13:25  knghtbrd

	* ROADMAP: Llama requested a few things..

2000-06-29 09:23  taniwha

	* ROADMAP: update to reflect my gl changes

2000-06-29 09:21  taniwha

	* include/glquake.h, source/gl_part.c, source/gl_rlight.c,
	source/gl_warp.c, source/vid_glx.c: source/vid_glx.c:	     #if 0
	the signal code. wouldn't compile otherwise, but not game to	 
	nuke it just yet include/win32/version.h:	buggered if I know.
	fscking configure/cvs :) include/glquake.h:	    remove size
	declarations from bubble_sintable and bubble_costable
	source/gl_part.c source/gl_rlight.c:  32 segments in a circle now
	instead of 16 and change the pointer	    math to cope
	source/gl_warp.c:  nothing much. just almost double my fps. (hint:
	the above tables)

2000-06-29 05:46  mercury

	* include/client.h, include/sound.h, include/zone.h,
	source/cl_slist.c, source/cmd.c, source/cvar.c, source/gl_draw.c,
	source/gl_mesh.c, source/gl_model.c, source/gl_ngraph.c,
	source/gl_part.c, source/gl_refrag.c, source/gl_rlight.c,
	source/gl_rmisc.c, source/gl_rsurf.c, source/gl_screen.c,
	source/gl_view.c, source/keys.c, source/menu.c, source/quakefs.c,
	source/sv_ccmds.c, source/vid_ggi.c, source/vid_svgalib.c,
	source/zone.c: The end of Z_*!!
	
	This after the Z_* stuff hit my profiling list as a top user..

2000-06-28 23:20  taniwha

	* source/r_part.c: Revamp the software particle rendering loop. 
	Seems to work well.

2000-06-28 23:11  mercury

	* ROADMAP, source/gl_rsurf.c: Fixed the GL water texture problem..

2000-06-28 22:17  taniwha

	* ROADMAP: add a legend

2000-06-28 16:01  knghtbrd

	* ROADMAP: This is the list of stuff to do before we consider QW to
	be done.

2000-06-28 15:37  deek

	* source/r_part.c: Argh...looks like I fucked it up. All fixed.

2000-06-27 06:09  dabb

	* README.WIN: Some BC++ changes.

2000-06-26 19:56  mercury

	* source/gl_rsurf.c: R_RecursiveWorldNode from DP, speed
	improvement..

2000-06-26 17:20  mercury

	* source/: context_x11.c, vid_glx.c: Fixed the signal handling for
	x11 targets, specificly -x11..	(Yes, this required a change in the
	glx target, don't ask)

2000-06-26 12:31  lordhavoc

	* include/compat.h: Fixed min and max redefinition complaint on
	win32.

2000-06-26 12:27  lordhavoc

	* source/: cl_sys_win.c, vid_wgl.c, zone.c: Minor win32 cleanup,
	now compiles in MSVC 4.

2000-06-26 10:38  taniwha

	* source/: vid_glx.c, vid_x11.c: make XRaiseWindow happen
	unconditionally. Should help with qf not always getting focus on
	v3.

2000-06-26 10:09  taniwha

	* source/: gl_rsurf.c, in_x11.c: source/gl_rsurf.c:	removed
	commented out line source/in_x11.c:	re-enable the mouse
	warpage.

2000-06-26 07:47  lordhavoc

	* source/gl_rsurf.c: Fix for bmodel relative lighting in
	R_AddDynamicLights.

2000-06-26 07:42  lordhavoc

	* source/gl_rsurf.c: Readability improvements and minor speedup in
	R_AddDynamicLights.

2000-06-26 03:25  taniwha

	* include/: modelgen.h, spritegn.h, win32/version.h:
	include/modelgen.h include/spritegn.h:	   remove the INCLUDELIBS
	blocks include/win32/version.h:  ws changes. don't know why it's
	there in the first place (or generated	by configure, but too bad)

2000-06-26 02:35  knghtbrd

	* include/progs.h, source/Makefile.am, source/cl_ents.c,
	source/gl_draw.c, source/sv_ents.c: The "Save Endy's Life" commit
	
	Um, %d is not for floats, use %f

2000-06-25 20:53  ender

	* source/: cl_ents.c, gl_rmain.c, pr_offs.c, sv_ents.c: Again,
	patched for colormod and other extend bits.

2000-06-25 13:00  ender

	* configure.in, include/protocol.h, include/render.h,
	include/server.h, include/win32/version.h,
	include/win32/bc/config.h, include/win32/vc/config.h,
	source/cl_ents.c, source/cl_main.c, source/gl_rmain.c,
	source/gl_rsurf.c, source/makefile.win, source/pr_edict.c,
	source/pr_offs.c, source/sv_ents.c, source/sv_main.c: Patched for
	QSG Standard 2 (Extend Protocol).  Unfinished, renderer effects are
	only half implimented at this point.

2000-06-24 22:28  deek

	* configure.in, source/r_part.c: configure.in: Fix typo preventing
	detection of vga.h.  source/r_part.c: Clarity fix.

2000-06-24 08:31  taniwha

	* source/gl_rsurf.c: put MAX_LIGHTMAPS back to 64 as I found the
	bug that was causing them to be exhausted

2000-06-24 08:20  ender

	* source/: makefile.winc, makefile.wingl, makefile.wins: Byebye,
	evil makefiles.

2000-06-24 06:19  taniwha

	* configure.in, source/gl_rsurf.c: source/gl_rsurf.c:	put
	lightmaps back to 256 configure.in:	    give us a
	--enable-profile

2000-06-24 05:57  ender

	* include/win32/vc/config.h, source/makefile.win: Fixing the
	console build enviroment.

2000-06-23 18:36  knghtbrd

	* source/: cl_parse.c, draw.c, gl_draw.c: When you change gamedirs,
	cachepics (such as your conback) will be reloaded in GL..  Please
	test this extensively, I _think_ the tempfile loader is smart
	enough to handle what I'm doing properly.  If it's not, we'll have
	to fix a slight memory leak.

2000-06-23 09:56  dabb

	* source/qf-client-wgl.mak: Removed gl_test.c.

2000-06-23 08:43  knghtbrd

	* include/glquake.h, source/gl_draw.c, source/gl_model.c: It is now
	possible to use 32bpp textures.  It's not currently possible to
	load them.  That comes later.

2000-06-22 13:02  knghtbrd

	* source/: gl_rmain.c, gl_test.c: Removed gl_test.c

2000-06-22 11:56  taniwha

	* source/: gl_screen.c, screen.c: bring knghtbrd's 1000 screenshot
	patch over from oldtree.

2000-06-22 11:15  taniwha

	* source/gl_part.c: seems I keep forgetting to update this :(

2000-06-22 08:02  taniwha

	* include/glquake.h, source/gl_part.c: alpha doesn't do anything
	useful for flames, so remove it.

2000-06-21 16:24  mercury

	* source/: cmd.c, vid_3dfxsvga.c: Small syntax cleanup in cmd.h. 
	Reworking of extension handling in -3dfx..  Support for changing
	the 3dfx dithering mode, if the extension is supported.  (Extension
	is /not/ in upstream mesa yet.)

2000-06-20 15:31  knghtbrd

	* include/glquake.h, source/gl_part.c, source/gl_rmain.c,
	source/gl_rmisc.c: gl_particles added - disable it to make
	particles not happen

2000-06-20 11:04  taniwha

	* source/gl_part.c: fix GL_BLEND issues. servers me right for blind
	code copying :/

2000-06-19 23:12  taniwha

	* source/gl_part.c: make r_firecolor more forgiving for old config
	files. prints a warning if the old second alpha parameter is given,
	but accepts the other args.

2000-06-19 23:02  taniwha

	* source/gl_part.c: oops :/

2000-06-19 22:56  taniwha

	* include/glquake.h, include/render.h, source/cl_ents.c,
	source/gl_part.c, source/r_part.c: gl client now builds again
	(thanks knghtbrd;)

2000-06-19 22:15  taniwha

	* include/client.h, include/glquake.h, source/cl_ents.c,
	source/gl_part.c, source/gl_rmain.c, source/gl_rmisc.c:
	gl_fires/r_firecolor patch. Software client still builds and runs
	correctly, but as I don't have GL at work, I have no idea if gl
	client still works, or if rocket trails work (default to off). This
	is mostly a blind patch taking the code from oldtree to newtree.

2000-06-19 10:14  knghtbrd

	* source/gl_poly.c: file gl_poly.c was initially added on branch
	knghtbrd.

2000-06-19 10:14  knghtbrd

	* bootstrap, include/Makefile.am, include/gl_poly.h,
	include/glquake.h, source/Makefile.am, source/gl_poly.c,
	source/gl_rmisc.c, source/gl_rsurf.c, source/gl_warp.c (knghtbrd):
	Poly list system beginnings - Depth polys are done but currently
	have zero effects.  Will need to do wall poly implementation before
	it matters.

2000-06-19 10:14  knghtbrd

	* include/gl_poly.h: file gl_poly.h was initially added on branch
	knghtbrd.

2000-06-18 14:24  tonik

	* include/server.h, source/pr_cmds.c: Solution for stufftext
	problem

2000-06-18 12:38  tonik

	* source/keys.c: Nothing really important

2000-06-17 23:24  tonik

	* doc/cvarlist.txt, source/keys.c: Swapped the meaning of
	cl_chatmode 1 and cl_chatmode 2 for consistency reasons

2000-06-17 13:53  dabb

	* source/qf-server-win.mak: Borland C++ makefile for win32 server.

2000-06-17 13:30  knghtbrd

	* doc/cvarlist.txt, include/glquake.h, source/gl_rmain.c,
	source/gl_rmisc.c, source/vid_3dfxsvga.c, source/vid_glx.c,
	source/vid_wgl.c: gl_finish - it's done gl_ztrick - here's the hat,
	but no rabbit
	
	considering that a buggy driver can make gl_ztrick into a sort of
	cheat if you can stand the flicker, it's gone.	gl_finish was
	already a zombie Cvar so I just removed its definition.

2000-06-17 12:37  knghtbrd

	* source/gl_rmain.c: Dabb, try this...

2000-06-17 12:27  taniwha

	* include/commdef.h, include/console.h, include/gcc_attr.h,
	include/net.h, include/progs.h, include/quakedef.h,
	include/quakeio.h, include/server.h, include/sys.h,
	source/cl_parse.c, source/vid_x11.c: add format checking to our
	printf style functions and correct the consequences of this.

2000-06-17 11:58  dabb

	* source/: qf-client-wgl.mak, qf-client-win.mak: Makefiles for
	Borland C++.

2000-06-17 11:56  dabb

	* README.WIN: Added instructions to compile under Borland C++.

2000-06-17 10:39  taniwha

	* include/glquake.h, source/draw.c, source/gl_draw.c,
	source/gl_ngraph.c, source/gl_part.c, source/gl_rmain.c,
	source/gl_rmisc.c, source/gl_rsurf.c, source/gl_warp.c,
	source/vid_wgl.c: merge in knghtbrd's work, minus his over-bright
	stuff (it causes textures to not be drawn when multitexture is not
	available (or at least I think that's the condition)). More
	specificly, his altered blend states.

2000-06-16 09:41  taniwha

	* include/glquake.h, include/info.h, include/model.h,
	include/render.h, source/Makefile.am, source/cl_main.c,
	source/gl_draw.c, source/gl_model.c, source/gl_rmisc.c,
	source/gl_rsurf.c, source/gl_warp.c, source/hl_bsp.c,
	source/hl_wad.c, source/makefile.winc, source/makefile.wingl,
	source/makefile.wins, source/model.c, source/qw_client.dsp,
	source/sv_main.c, source/vid_wgl.c: revert Endy's HL changes. Sorry
	endy but what would you rather have: HL support in quakeforge, or
	knghtbrd using your guts for violin strings? :)

2000-06-15 22:38  knghtbrd

	* source/gl_rsurf.c: 64 lightmaps for now, till I improve the poly
	rendering

2000-06-15 12:05  knghtbrd

	* include/glquake.h, source/draw.c, source/gl_part.c,
	source/gl_rmain.c, source/gl_rmisc.c, source/gl_rsurf.c,
	source/gl_warp.c: Those GL drivers with non-accellerated blending
	should have their authors tarred, feathered, stabbed, shot, drawn,
	quartered, and then really hurt.  Such hardware requiring it should
	be incinerated as worthless garbage.
	
	Yes, this means that we now change blending states often again. 
	This may recover much of the lost FPS people were having with
	certain cards and drivers.  Sorry guys, I didn't consider that card
	makers could be such complete idiots.
	
	On the plus side, all major bugs outstanding in the GL renderer
	should be resolved excepting the banding on 3dfx cards.  As soon as
	Mercury gets me the documentation on the gamma ramp extension, I'll
	be using it (hint..) This is your cue to merge my changes into the
	main tree taniwha.
	
	No depth polys yet.  Waterripple added.  Version display while
	downloading removed.  gl_finish sortof removed (cvar needs to be
	pulled still), gl_ztrick is next.  I understand the GL renderer and
	what I plan to do w/ it better now, so I can start pounding away at
	that after I wake up.

2000-06-15 08:56  knghtbrd

	* source/gl_rsurf.c: removed the duplicated water code since I
	removed the water warp.  We can do a better effect later.

2000-06-12 06:14  lsh

	* include/client.h: client.h - add needed define of
	CL_ParseEntityLump()

2000-06-12 06:14  lsh

	* source/: cmd.c, cvar.c, gl_warp.c: cmd.c - use (var =
	Cvar_FindVar(buf)) != 0 instead of (var = Cvar_FindVar(buf)) cvar.c
	- include strings.h for AIX gl_warp.c - remove unneeded
	skytexturenum variable

2000-06-12 02:50  taniwha

	* source/cmd.c: fix a gcc warning. I hope this is what the original
	coder intended (looks like it).

2000-06-12 01:00  knghtbrd

	* include/glquake.h, source/gl_rsurf.c, source/gl_warp.c: Skyboxes
	fixed, blending fixed, cleaned out some of the old sky cruft..

2000-06-11 11:12  knghtbrd

	* include/glquake.h, source/gl_rsurf.c, source/gl_warp.c:
	LordHavoc's skydome/skybox ...
	
	Much better for clearing the screen and stuff, will get used more
	later on.  For now it just makes the sky's edge off in the distance
	and makes the non-skybox sky more of a dome than a box with rounded
	off edges.
	
	Visual bug: drawing everything this way leaves blending off,
	particles end up being solid tris.  All I gotta do is turn blend
	back on, no biggie.
	
	Visual bug: skydome being in the distance creates the same see
	through walls effect that skyboxes have.  Not a problem since I
	know where to fix that.
	
	There's tons of dead code in here still, I'm probably going to move
	the sky stuff into gl_sky.c and clean up LordHavoc's code a bit, I
	can do the skybox at least cheaper than he does.  We'll see about
	the dome.

2000-06-11 08:55  dabb

	* source/vid_wgl.c: fullsbar defaults true now, so changing command
	line option (win32) -fullsbar -> -nofullsbar

2000-06-11 08:10  dabb

	* source/cvar.c: Added extern.

2000-06-11 07:00  knghtbrd

	* include/glquake.h, source/gl_draw.c, source/gl_ngraph.c,
	source/gl_part.c, source/gl_rmain.c, source/gl_rmisc.c,
	source/gl_rsurf.c, source/gl_warp.c: GL_Bind () wanted to be tied
	up and spanked.  Since QuakeForge is a nice, wholesome, family
	project (yeah right), it will not be seen anymore.
	
	But fret not.  If you need a replacement, just use glBindTexture
	the way SGI intended.  In fact, every single GL_Bind (target) call
	was simply replaced with glBindTexture (GL_TEXTURE_2D, target).. 
	Since that's more or less all GL_Bind () did anyway, save a
	function call!

2000-06-11 04:44  ender

	* include/render.h, source/gl_warp.c, source/hl_bsp.c,
	source/hl_wad.c, source/makefile.winc: Sky & warning fixes.

2000-06-11 04:19  coderjoe

	* source/: qw_client.dsp, qw_server.dsp, qw_client.dsp,
	qw_server.dsp: turned on -Werror for VC++

2000-06-11 03:47  tonik

	* source/: cmd.c, cvar.c: stricmp, strnicmp ---> strcasecmp,
	strncasecmp

2000-06-11 02:57  tonik

	* include/cmd.h, source/cmd.c: Add $-expansion code.

2000-06-11 00:35  coderjoe

	* source/vid_wgl.c: correcting a few problems

2000-06-11 00:23  tonik

	* source/: snd_dma.c, snd_mem.c, snd_mix.c: CVAR_FIXME cleanup

2000-06-11 00:05  tonik

	* source/: cmd.c, cvar.c: Make command and cvar completion
	case-insensitive.

2000-06-10 21:49  knghtbrd

	* source/vid_wgl.c: oops

2000-06-10 21:48  knghtbrd

	* include/glquake.h, source/gl_draw.c, source/vid_wgl.c: removing
	the bindtexture extension

2000-06-10 21:48  mercury

	* include/hl.h: Woops, frogot to cvs add this one on the HL fix..

2000-06-10 21:40  mercury

	* include/glquake.h, include/info.h, include/render.h,
	source/gl_model.c, source/gl_rsurf.c, source/gl_warp.c,
	source/hl_bsp.c, source/hl_wad.c, source/model.c: Newtree compiles
	again, no promices that it will work though..
	
	I'm tempted to pull Endy's CVS write abilitys until he promices to
	make sure major changes at least COMPILE before he commits them. 
	(=:]

2000-06-10 16:40  coderjoe

	* source/qw_client.dsp: added hl_wad.c and hl_bsp.c to the gl
	project

2000-06-10 09:40  ender

	* source/: gl_warp.c, hl_bsp.c: Fixed 'skybug'

2000-06-10 03:48  ender

	* source/Makefile.am: Fixed automake makefile for hl_*.c

2000-06-10 03:46  ender

	* source/model.c: Fixed server. Whoot. :)

2000-06-10 03:43  ender

	* source/: cl_main.c, model.c, sv_main.c: Um. Fixed the server so
	it won't bomb loading Half-Life maps.

2000-06-10 03:36  ender

	* include/model.h, source/gl_draw.c, source/gl_model.c,
	source/gl_rmisc.c, source/gl_rsurf.c, source/hl_bsp.c,
	source/hl_wad.c, source/makefile.winc, source/makefile.wingl,
	source/makefile.wins, source/vid_wgl.c: Half-Life BSP support, and
	fixed that idiotic WGL multitexture crash. I don't know and don't
	care if other targets are also screwed this way :)

2000-06-10 02:13  ender

	* README: Testing.

2000-06-10 00:26  tonik

	* source/screen.c: ooops

2000-06-10 00:23  tonik

	* source/: r_misc.c, screen.c, skin.c, sv_ccmds.c, sv_send.c,
	sv_sys_unix.c: CVAR_FIXME cleanup.

2000-06-10 00:12  tonik

	* source/: model.c, pr_cmds.c, r_edge.c, r_main.c, r_surf.c,
	sbar.c, sv_sys_win.c, sys_unix.c, vid_mgl.c: CVAR_FIXME cleanup

2000-06-09 23:37  tonik

	* source/: gl_model.c, gl_rmain.c, gl_warp.c, in_win.c: CVAR_FIXME
	cleanup

2000-06-09 22:28  knghtbrd

	* source/gl_draw.c: Proper cache checking for textures - thanks to
	LordHavoc for the fast and cheap crc (which isn't a real crc, but
	does the job)

2000-06-09 21:36  knghtbrd

	* source/.cvsignore: added -3dfx

2000-06-09 21:34  knghtbrd

	* include/glquake.h, source/gl_draw.c, source/gl_rsurf.c,
	source/vid_3dfxsvga.c, source/vid_glx.c, source/vid_wgl.c: ARB
	multitexture for glx, wgl, and 3dfx targets

2000-06-09 20:15  mercury

	* acconfig.h, configure.in, source/Makefile.am,
	source/vid_3dfxsvga.c: We have -3dfx again, took me a hour or two
	to do it..

2000-06-09 19:22  tonik

	* include/commdef.h, include/quakedef.h, include/server.h,
	source/r_view.c, source/sv_init.c, source/sv_main.c,
	source/sv_phys.c, source/sv_user.c: host_frametime --> sv_frametime
	for server; CVAR_FIXME cleanup.

2000-06-09 19:06  tonik

	* source/sv_user.c: Rename V_CalcRoll to SV_CalcRoll; CVAR_FIXME
	cleanup.

2000-06-09 18:58  tonik

	* source/sv_main.c: Remove the stupid CVAR_NONE & CVAR_USERINFO's;
	CVAR_FIXME cleanup.

2000-06-09 18:47  tonik

	* include/server.h, source/sv_misc.c: Rename client_state_t to
	sv_client_state_t; client_state_t cls ---> client_static_t cls;

2000-06-09 18:27  tonik

	* source/cl_main.c: Remove master_adr; Kill the stupid
	CVAR_SERVERINFO's.

2000-06-07 07:23  deek

	* source/: gl_rmain.c, gl_rsurf.c: Fix inverted lightmap problem.

2000-06-06 11:34  knghtbrd

	* source/gl_rsurf.c: Doh!

2000-06-05 19:51  coderjoe

	* source/qw_client.dsp: remove model.c from the gl builds

2000-06-05 12:22  knghtbrd

	* source/vid_glx.c: GLX now supports EXT_multitexture if you've got
	it, one more step toward real ARB_multitexture.

2000-06-05 01:05  knghtbrd

	* include/draw.h, source/console.c, source/draw.c,
	source/gl_draw.c, source/gl_ngraph.c, source/gl_rmain.c,
	source/gl_screen.c, source/menu.c, source/r_misc.c, source/sbar.c,
	source/screen.c: Draw_Character -> Draw_Character8 Draw_String ->
	Draw_String8 Draw_Alt_String -> Draw_AltString8
	
	You know what this means right?  Draw_*16 is coming soon.  Very
	soon.

2000-06-04 13:53  knghtbrd

	* configure.in, include/glquake.h, source/Makefile.am,
	source/vid_glx.c: Multitexture for GLX, sortof.  It's useless to
	you unless you've got SGIS_multitexture (I assure you, unless
	you're on IRIX, you don't have it!)  Added a Sbar_Changed () to fix
	the sbar overbright for a few people and the very beginnings of
	ARB_multitexture are now in glquake.h

2000-06-04 12:56  deek

	* source/: gl_rmain.c, gl_rsurf.c: Increase the effective radius of
	dynamic lights in GL.

2000-06-04 12:42  dabb

	* source/vid_wgl.c: fullsbardraw defaults to TRUE now. Sbar needs
	to be drawn on each frame. Gotta remove unneeded stuffs lateron...

2000-06-04 11:20  knghtbrd

	* source/gl_rmain.c: removing a glFinish

2000-06-04 10:53  knghtbrd

	* source/: gl_rmain.c, gl_screen.c: May fix Dabb's statusbar
	problem

2000-06-04 09:40  dabb

	* source/qw_client.dsp: Reverse my goofup - I need coffee!-)

2000-06-04 09:30  dabb

	* source/: gl_rmain.c, qw_client.dsp: Added extern to gammatable.
	Table is "stored" in r_view.c

2000-06-04 09:18  dabb

	* source/vid_wgl.c: Someone forgot to define some ints...fixed.

2000-06-04 01:12  knghtbrd

	* source/vid_wgl.c: missed this before

2000-06-03 22:47  knghtbrd

	* source/: gl_rsurf.c, gl_warp.c: non-skybox skies were
	overbrighting, fixed

2000-06-03 22:32  knghtbrd

	* include/glquake.h, source/gl_rsurf.c, source/vid_glx.c,
	source/vid_wgl.c: This adds multitexture for win32 back into the
	game.

2000-06-03 19:56  knghtbrd

	* source/: gl_draw.c, gl_model.c, gl_ngraph.c, gl_part.c,
	gl_rlight.c, gl_rmain.c, gl_rsurf.c, gl_screen.c, gl_view.c,
	gl_warp.c, vid_glx.c, vid_wgl.c: This is a NON-TRIVIAL update which
	took LordHavoc and I about 3 days to make work properly:
	
	Win32 thing..  If you don't free textures explicitly, you can cause
	a problem with nVidia drivers.
	
	Colored lighting is now RGB instead of RGBA.  The alpha is kinda
	pointless on a lightmap and the effect's not all that great.  Plus
	people stuck with 16 bit OpenGL (any other 3dfx people out there?)
	will be quite pleased with the improvement in image quality.  This
	does include LordHavoc's dynamic light optimization code which
	takes most of the pain out of having gl_flashblend off.
	
	All glColor*'s are now half of what they used to be, except where
	they aren't.  If that doesn't make sense, don't worry.	If you see
	one that's only half what you'd expect, don't worry---it probably
	is meant to be like that..  (More below)
	
	glDisable (GL_BLEND) is now a thing of the GL_PAST.  As is
	GL_REPLACE.  Instead, we _always_ use GL_MODULATE and leave
	GL_BLEND turned on.  This seems at first like it might be a
	performance hit, but I swear it's much more expensive to change
	blending modes and texture functions 20-30 times every screen
	frame!
	
	Win32 issue..  Even though we check for multitexture, we currently
	don't use it.  Reason is that I am planning to replace
	SGIS_multitexture with the preferred ARB_multitexture extension
	which is supported in most GL 1.1 implementations and is a
	requirement for GL 1.2 anyway.	I also wanted to get rid of some
	duplicated code.  Since Linux doesn't support multitexture yet, I
	just commented out the code keeping me from compiling to get it to
	work.  Win32 should work without it until it's fixed, which
	shouldn't be long since the differences between SGIS and ARB
	multitextures as far as Quake is concerned is minimal AT BEST.
	
	LordHavoc and I have been working tirelessly (well not quite, we
	both did manage to sleep sometime during this ordeal) to fix the
	lighting in the GL renderers!  It looks DAMNED CLOSE to software's
	lighting now, including the ability to overbright a color.  You've
	gotta see this to know what I'm talking about.	That's why the
	glColor*'s are halved in most places.  The gamma table code and the
	general way it works is LordHavoc's design, but over the course of
	re-implementing it in QF we did come up with a few more small
	optimizations.
	
	A lot of people have noticed that QF's fps count has gone to shit
	lately.  No promises that this undid whatever the problem was. 
	That means there could be a huge optimization lurking somewhere in
	the shadows, waiting for us to fix it for a massive FPS boost. 
	Even if there's not, the code in this commit DOUBLED MY FPS COUNT. 
	Granted I was getting pathetic FPS as it was (around 30, which is
	pathetic even for a Voodoo3 in Linux) but still---60 is a big
	improvement over 30!
	
	Please be sure to "test" this code thuroughly.

2000-06-03 18:56  knghtbrd

	* source/cl_parse.c: a little debugging code for the intermission
	weirdness

2000-06-03 12:15  knghtbrd

	* source/: Makefile.am, gl_model.c: Remember to ./bootstrap with
	this update - doesn't seem to happen for you when you compile..
	
	model.c has been stuffed wholesale into gl_model.c..  It's also no
	longer common source.  Now it's a server and software thing.  This
	is needed so GL model/map code can do things that software loading
	can't and server loading shouldn't.

2000-06-01 03:37  lsh

	* source/: in_x11.c, quakefs.c: in_x11.c - always define
	in_dgamouse, so it can be false when there is no DGA quakefs.c -
	include strings.h for strcasecmp() under AIX

2000-05-31 22:53  adamel

	* configure.in, include/glquake.h: Replaced 40 lines of silly
	shellscript code in configure with a pair of nice and clean #ifdefs
	in glquake.h

2000-05-31 22:51  adamel

	* include/compat.h: If we have stdarg.h and sys/types.h we include
	them here.

2000-05-31 22:51  adamel

	* source/Makefile.am: Added MME sound support.

2000-05-31 22:50  adamel

	* source/in_x11.c: Fix compilation without DGA.

2000-05-31 22:49  adamel

	* source/: draw.c, r_sprite.c: Need <string.h> here.

2000-05-31 22:49  adamel

	* source/snd_dma.c: 64-bit fix

2000-05-31 22:34  adamel

	* configure.in: Check for stdarg.h and sys/types.h List AC_OUTPUT()
	files in sane order.

2000-05-31 18:29  knghtbrd

	* source/gl_rmain.c: erf, not ready for that yet, that's why it was
	commented

2000-05-31 17:46  knghtbrd

	* include/glquake.h, source/gl_rmain.c, source/vid_glx.c,
	source/vid_wgl.c: -gamma for Linux!  No you can't control it from
	the menu, it has to be done on the cmdline at the moment.  Menu
	support later if possible.

2000-05-31 14:16  theoddone33

	* source/cl_main.c: Added maplist command. The function was in, but
	it was never registered.

2000-05-29 13:42  knghtbrd

	* include/cvar.h, source/in_x11.c: Seems to fix the DGA issue. 
	Mouse cursor doesn't get hidden if we're in DGA because the way we
	hide it doesn't mesh with Mesa+Glide.  There's a way to do it
	properly, but it's more trouble than it's worth for now.

2000-05-29 12:45  knghtbrd

	* include/commdef.h, source/qargs.c, source/quakefs.c,
	source/sv_sys_unix.c: some oldtree cruft for rogue/hipnotic removed
	(we'll support them in a very different way than did Id Software
	did later on, it'll be a major improvement, that's for sure..)
	
	fs_basegame Cvar created, defaults to whatever you selected in
	config.h, most likely id1.

2000-05-29 10:16  knghtbrd

	* doc/cvarlist.txt, source/gl_draw.c: New cvars (oldtree console
	effects)       gl_conalpha - 0.6, 1 to disable alpha   gl_conspin -
	0, anything else causes it to spin at that speed   gl_constretch -
	0, 1 to stretch console instead of sliding it

2000-05-29 09:47  tonik

	* doc/cvarlist.txt: Added a couple of descriptions

2000-05-28 13:29  dabb

	* include/win32/bc/config.h: Minor change for some borland defs.

2000-05-28 11:09  knghtbrd

	* source/cvar.c: I feel stupid now, typo fixed

2000-05-28 01:44  deek

	* configure.in, source/Makefile.am: Fix typo in configure.in, add
	cd_audio.c to EXTRA_* for DOS.

2000-05-27 16:40  knghtbrd

	* include/cvar.h, source/cvar.c, source/in_x11.c, source/vid_glx.c:
	New Cvar function: Cvar_SetFlags.  Yes, it's there for
	completeness.
	
	Some minor changes to DGA code I couldn't be bothered to back out
	before I committed.  They don't hurt anything, but they don't
	really improve matters much either.  The mouse cursor still doesn't
	get warped off the screen, but it's no longer bright blue - now
	it's black and white like normal.  I'm rewriting the damned DGA
	code from scratch to Get It Right this time.

2000-05-27 04:33  deek

	* configure.in, include/win32/version.h,
	include/win32/version.h.in: Minor fixes.

2000-05-27 04:19  deek

	* configure.in, include/win32/version.h,
	include/win32/version.h.in, include/win32/bc/config.h,
	include/win32/vc/config.h, source/Makefile.am: Configuration stuff.
	include/win32/version.h is now Autoconfiscated (but still has to be
	in CVS, because Win32 people generally won't be able to rebuild
	it).
	
	configure.in: Cleanups to the DGA, VidMode, and sound detection
	code.  Makefile.am: Cleanups to sound code, to allow 'make dist' to
	work.

2000-05-27 02:34  knghtbrd

	* doc/cvarlist.txt: If you add a cvar, PLEASE update this file If
	you change a cvar, PLEASE update this file If you remove a cvar,
	PLEASE update this file If you see something missing/wrong, PLEASE
	update this file
	
	If you're bored and want to help out the project, updating this
	file is a good way to help without really having to know much about
	coding.
	
	Don't let good documentation go bad, use and update this file
	frequently!
	
	Did I mention you should PLEASE update this file?

2000-05-27 02:31  knghtbrd

	* include/win32/: bc/config.h, vc/config.h: HAS_DGA -> HAVE_DGA
	(undefined in both cases) for win32 win32 global config is now
	.\global.cfg Changed "	      #define" to "#^idefine" for the 3dnow
	stuff..

2000-05-26 17:19  theoddone33

	* source/cl_trans.c: borked GPL header.

2000-05-26 12:32  knghtbrd

	* configure.in, source/Makefile.am, source/in_x11.c: DGA seems to
	work...  Something done recently by someone (loring or bill) caused
	Voodoo3 users to get a black mouse cursor that kept getting warped
	to the center of the screen..  It was rather ugly and hard to play.
	 So I added DGA.  That made the mouse cursor blue and stay where it
	was.  So I moved the XGrabPointer to after the XWarpPointer,
	problem seems to be fixed.  I hope this works for someone other
	than me.  =p

2000-05-26 04:19  knghtbrd

	* source/gl_rsurf.c: Sorry about that, unused vars commented out

2000-05-26 03:55  lsh

	* source/Makefile.am, source/buildnum.c, source/cl_cmd.c,
	source/cl_main.c, source/cl_model.c, source/cl_parse.c,
	source/cl_tent.c, source/cl_trans.c, source/cmd.c, source/com.c,
	source/gl_draw.c, source/gl_rmisc.c, source/gl_warp.c,
	source/info.c, source/keys.c, source/mathlib.c, source/net_chan.c,
	source/net_udp.c, source/pmovetst.c, source/pr_edict.c,
	source/r_main.c, source/snd_mix.c, source/snd_sun.c,
	source/sv_ccmds.c, source/sv_ents.c, source/sv_main.c,
	source/sv_nchan.c, source/sv_sys_unix.c, source/world.c,
	acconfig.h, configure.in: Reapply changes - this time tested w/
	svga under Linux

2000-05-26 03:40  knghtbrd

	* source/gl_rsurf.c: if (0) is evil.  If you're going to comment it
	out, comment it out or use something like #if 0!

2000-05-26 03:40  coderjoe

	* include/win32/vc/config.h: added FS_SHAREPATH and FS_USERPATH

2000-05-25 14:04  dabb

	* include/win32/bc/config.h: Borland fixes, to get it compile

2000-05-25 09:48  taniwha

	* acconfig.h, configure.in, source/Makefile.am, source/buildnum.c,
	source/cl_cmd.c, source/cl_main.c, source/cl_math.S,
	source/cl_model.c, source/cl_parse.c, source/cl_tent.c,
	source/cl_trans.c, source/cmd.c, source/com.c, source/d_copy.S,
	source/d_draw.S, source/d_draw16.S, source/d_parta.S,
	source/d_polysa.S, source/d_scana.S, source/d_spr8.S,
	source/d_varsa.S, source/gl_draw.c, source/gl_rmisc.c,
	source/gl_warp.c, source/info.c, source/keys.c, source/math.S,
	source/mathlib.c, source/net_chan.c, source/net_udp.c,
	source/pmovetst.c, source/pr_edict.c, source/r_aclipa.S,
	source/r_aliasa.S, source/r_drawa.S, source/r_edgea.S,
	source/r_main.c, source/r_varsa.S, source/snd_mix.c,
	source/snd_mixa.S, source/surf16.S, source/surf8.S,
	source/sv_ccmds.c, source/sv_ents.c, source/sv_main.c,
	source/sv_nchan.c, source/sv_sys_unix.c, source/sys_x86.S,
	source/world.c, source/worlda.S: revert lsh's checkins. They broke
	newtree for everybody but him.

2000-05-25 06:23  lsh

	* acconfig.h, configure.in: Changes to build under Solaris, AIX,
	Irix, & Linux.
	
	acconfig.h - USE_INTEL_ASM removed (not needed in .h), added
	stricmp configure.in - added AC_C_BIGENDIAN, got rid of bootstrap
	warning, fixed socklen_t code, fixed asm code, added sun sound
	code, update NET_LIBS properly

2000-05-25 06:14  lsh

	* source/: Makefile.am, buildnum.c, cl_cmd.c, cl_main.c,
	cl_model.c, cl_parse.c, cl_tent.c, cl_trans.c, cmd.c, com.c,
	gl_draw.c, gl_rmisc.c, gl_warp.c, info.c, keys.c, mathlib.c,
	net_chan.c, net_udp.c, pmovetst.c, pr_edict.c, r_main.c, snd_mix.c,
	sv_ccmds.c, sv_ents.c, sv_main.c, sv_nchan.c, sv_sys_unix.c,
	world.c: I got this tree to build under Solaris, AIX, IRIX, &
	Linux.
	
	In order to do so I: * included strings.h and string.h in many
	files so various functions would be defined * Fixed model_t
	collision problem in cl_main.c (Solaris) * com.c - corrected
	WORDS_BIGENDIAN spelling * gl_draw.c - Use HAVE_GL_COLOR_INDEX8_EXT
	to avoid referencing GL_COLOR_INDEX8_EXT when it isn't available *
	net_udp.c - use socklen_t to appease AIX

2000-05-25 06:14  taniwha

	* source/: cl_math.S, d_copy.S, d_draw.S, d_draw16.S, d_parta.S,
	d_polysa.S, d_scana.S, d_spr8.S, d_varsa.S, math.S, r_aclipa.S,
	r_aliasa.S, r_drawa.S, r_edgea.S, r_varsa.S, snd_mixa.S, surf16.S,
	surf8.S, sys_x86.S, worlda.S: move the non configure defines to
	after ifdef USE_INTEL_ASM for non as/ non intel systems

2000-05-25 06:08  lsh

	* include/mathlib.h: Make sure math.h is included before M_PI is
	tested

2000-05-25 05:01  taniwha

	* .cvsignore, configure.in, include/Makefile.am,
	source/Makefile.am, source/cl_sys_unix.c, source/snd_null.c: some
	fixes to make quakeforge build on solaris. not quite done yet as
	the server doesn't get linked with the network libs yet.
	
	.cvsignore: add quakeforge-*.tar.gz (I'm tired of seeing that with
	? :) include/Makefile.am: forgot to add the new x11 related headers
	source/makefile.am: move snd_dma.c from cient sources to snd lib
	and add 	snd_null.c source/cl_sys_unix.c: replace FNDELAY
	with O_NONBLOCK

2000-05-25 04:16  knghtbrd

	* source/: cl_ents.c, cl_parse.c, cl_tent.c, gl_rsurf.c: New cvar:
	gl_colorlights, default 1 for GL_RBGA lightmaps, set to 0 for
	GL_LUMINANCE lightmaps.  This is a CVAR_ROM.

2000-05-25 03:57  snax

	* source/menu.c: 
	Segfault fixed.  Yes, I know I'm stupid ;P

2000-05-25 01:38  theoddone33

	* include/cl_slist.h, source/cl_main.c, source/cl_slist.c,
	source/menu.c: Rename all Server_List_* to SL_* as well as some
	code cleanup. Does not fix segfault

2000-05-25 00:14  theoddone33

	* configure.in: Tell the user whether they're getting a standard or
	debug build

2000-05-24 23:55  knghtbrd

	* include/client.h, source/cl_ents.c, source/cl_tent.c,
	source/gl_rlight.c: Explosions are temporarily PURPLE, deal with
	it.
	
	Made dlight colors RGB as opposed to RGBA, the alpha doesn't make a
	whole lot of sense.

2000-05-24 22:36  deek

	* configure.in, source/cl_main.c, source/cl_slist.c: configure.in:
	clean up final configuration report.  cl_main.c, cl_slist.c: Make
	server listing expand ~

2000-05-24 20:22  deek

	* configure.in: Default changed to making release bins, for people
	who don't read directions. Developers need to use --enable-debug to
	get an unoptimized binary.

2000-05-24 20:03  deek

	* acconfig.h, configure.in, source/quakefs.c: The proper solution
	to fs_sharepath and fs_userpath.

2000-05-24 19:19  coderjoe

	* source/quakefs.c: commit changes for dabb, since he's having
	trouble with sourceforge: win32 requires a call to setmode(), since
	it doesn't seem to do the mode change in fdopen properly.  also
	removed some "z" modes, since someone forgot to when removing the
	Qfile stuffs

2000-05-24 10:44  tonik

	* include/commdef.h, include/qstructs.h, source/cl_sys_unix.c,
	source/cl_sys_win.c, source/sv_sys_win.c: Remove all remaining
	references to cachedir.

2000-05-24 09:42  knghtbrd

	* source/gl_rsurf.c: Skyboxes are now rendered always behind
	everything else.

2000-05-24 09:38  taniwha

	* include/common.h, source/cd_audio.c, source/cd_linux.c,
	source/cd_win.c, source/cl_cmd.c, source/cl_input.c,
	source/cl_model.c, source/cl_parse.c, source/cl_sys_unix.c,
	source/cl_sys_win.c, source/cmd.c, source/common.c,
	source/console.c, source/cvar.c, source/d_surf.c, source/draw.c,
	source/gl_draw.c, source/gl_model.c, source/gl_part.c,
	source/gl_rmisc.c, source/gl_screen.c, source/gl_vidlinux.c,
	source/gl_vidlinux_svga.c, source/gl_vidlinux_x11.c,
	source/in_win.c, source/keys.c, source/model.c, source/pr_edict.c,
	source/r_part.c, source/r_sprite.c, source/screen.c,
	source/snd_dma.c, source/snd_mem.c, source/snd_mix.c,
	source/sv_ccmds.c, source/sv_ents.c, source/sv_sys_unix.c,
	source/sv_sys_win.c, source/sv_user.c, source/vid_ggi.c,
	source/vid_glx.c, source/vid_mgl.c, source/vid_svgalib.c,
	source/vid_wgl.c, source/vid_x11.c, source/zone.c: All Q_ funcs
	obliterated (excpet Q_log2 which isn't used anyway). cat's still
	work :)

2000-05-24 08:50  taniwha

	* source/: cl_math.S, d_copy.S, d_draw.S, d_draw16.S, d_scana.S,
	d_spr8.S, math.S, r_aclipa.S, r_aliasa.S, r_drawa.S, r_edgea.S,
	snd_mixa.S, surf16.S, surf8.S, sys_x86.S, worlda.S: merge all *.S
	files with -r HEAD to ensure most up to date asms

2000-05-24 08:39  taniwha

	* source/: d_parta.S, d_polysa.S: backport * fixes

2000-05-24 07:29  taniwha

	* configure.in, source/Makefile.am: avoid mutually exclusive
	options causing long Makefile.in lines: simplify the logic

2000-05-24 06:52  taniwha

	* configure.in, include/sound.h, source/Makefile.am: alsa sound
	support is alive and kicking

2000-05-24 05:57  taniwha

	* acconfig.h, configure.in, include/win32/bc/config.h,
	include/win32/vc/config.h: FS_.*PATH have been eliminated as
	fs_userpath and fs_sharepath default to . and can be configured by
	${sysconfdir}/quakeforge.conf

2000-05-24 05:47  knghtbrd

	* source/quakefs.c: fs_userpath is now . like it SHOULD be.  Why? 
	Because despite the unix way of doing things, every single person
	who has tried newtree reports it as "broken" because it can't find
	their pak files.
	
	Least surprise.

2000-05-24 05:12  taniwha

	* source/cl_main.c: fixe the "failed to load sky 1" message

2000-05-24 04:45  taniwha

	* source/in_x11.c: fix a core dump on premature exit

2000-05-24 02:32  taniwha

	* include/Makefile.am: fix make dist

2000-05-24 02:07  deek

	* include/client.h, include/d_iface.h, include/d_local.h,
	include/r_local.h, include/r_shared.h, include/screen.h,
	source/cd_audio.c, source/cd_linux.c, source/cd_win.c,
	source/cl_cam.c, source/cl_ents.c, source/cl_input.c,
	source/cl_main.c, source/cl_parse.c, source/cl_sys_unix.c,
	source/com.c, source/console.c, source/d_edge.c, source/d_init.c,
	source/draw.c: Cvar fixups...

2000-05-23 22:43  taniwha

	* source/: cl_demo.c, cl_main.c, cl_parse.c, cl_slist.c, cmd.c,
	com.c, cvar.c, keys.c, pr_cmds.c, quakefs.c, r_part.c, sv_ccmds.c,
	sv_main.c, sv_send.c, sv_user.c: revert back to using f* for file
	io. I hope this fixes the catapult, but I wouldn't be suprised if
	it doesn't.

2000-05-23 21:46  deek

	* include/glquake.h: cvar cleanups.

2000-05-23 21:37  taniwha

	* source/quakefs.c: fix what the previous checkin broke:) thanks
	for the suggestion, Deek.

2000-05-23 21:29  taniwha

	* source/quakefs.c: bah, turns out COM_CreatePath was designed that
	way. my bad :/

2000-05-23 18:05  deek

	* include/glquake2.h: Remove obsolete glquake2.h

2000-05-23 17:05  deek

	* source/: gl_draw.c, gl_mesh.c, gl_ngraph.c, gl_part.c,
	gl_refrag.c, gl_rlight.c, gl_rmain.c, gl_rmisc.c, gl_rsurf.c,
	gl_screen.c, gl_warp.c: GL fixes, partial
	Q{open,close,read,write,getc} -> f*

2000-05-23 17:01  deek

	* source/r_view.c: Cvar fixes.

2000-05-23 16:59  deek

	* source/menu.c: Menu fixes: use Cvar_SetValue() for menu options.

2000-05-23 16:57  deek

	* source/vid_glx.c: s/HAS_/HAVE_/g

2000-05-23 11:29  taniwha

	* source/: cl_main.c, cl_parse.c: re-enable autoexec.cfg running on
	gamedir (defaults to off. need to put set cl_autexec either in
	quakeforge.conf or on the command line)

2000-05-23 09:52  taniwha

	* source/: cl_sys_win.c, sys_null.c, vid_ggi.c: forgot to rename
	some SendKeyEvents functions

2000-05-23 09:15  taniwha

	* source/in_x11.c: remove the aliasing of _windowed_mouse as
	in_grab isn't used as a name in this tree

2000-05-23 08:33  taniwha

	* source/cvar.c: CVAR_ROM now works provide Cvar_SetROM to get past
	it. if this proves unnecessary, nuke it :) provide setrom command:
	sets the CVAR_ROM flag on a cvar

2000-05-23 07:33  taniwha

	* configure.in, source/Makefile.am, source/dga_check.c,
	source/vid_glx.c, source/vid_x11.c: +set_vidfullscreen is 95%
	working for -x11 and -glx. only remaining known problem is mouse
	grabbing.

2000-05-23 07:29  deek

	* source/menu.c, tools/cvs2cl/COPYING, tools/cvs2cl/ChangeLog,
	tools/cvs2cl/README, tools/cvs2cl/TODO, tools/cvs2cl/cvs2cl.pl,
	tools/cvs2cl/mywrap.pl: menu.c: change "help" to "menu_help" to get
	rid of error on startup.  Add cvs2cl to repository.

2000-05-23 06:36  taniwha

	* include/context_x11.h, include/dga_check.h, include/input.h,
	include/sys.h, source/Makefile.am, source/cl_main.c,
	source/console.c, source/context_x11.c, source/dga_check.c,
	source/gl_screen.c, source/in_svgalib.c, source/in_x11.c,
	source/screen.c, source/vid_glx.c, source/vid_svgalib.c,
	source/vid_x11.c: bring across the VID and IN modules for svga, x11
	and glx from OT.

2000-05-23 06:10  coderjoe

	* include/: Makefile.am, win32/version.h, win32/bc/config.h,
	win32/vc/config.h: added include/win32/version.h for the
	non-automake win32 builds will have a common place to get the
	version number.  also commented out the section of
	include/win32/?c/config.h that defined the versions and replaced
	with an include statement

2000-05-23 01:44  taniwha

	* source/: cl_main.c, quakefs.c, sv_ccmds.c: fix some problems with
	directories being created in the wrong places or not at all (caused
	by fs_userpath not being used when it should)

2000-05-22 23:43  taniwha

	* source/sv_ccmds.c: remove redundant gamedir stuff

2000-05-22 21:32  knghtbrd

	* source/: cl_main.c, quakeio.c, sv_main.c: fix the +gamedir
	problem and fix my QFile removal

2000-05-22 21:16  knghtbrd

	* include/cl_slist.h, include/client.h, include/cvar.h,
	include/keys.h, include/quakefs.h, include/quakeio.h,
	include/server.h, source/cl_main.c, source/cl_parse.c,
	source/cl_slist.c, source/cmd.c, source/com.c, source/cvar.c,
	source/gl_mesh.c, source/gl_part.c, source/gl_warp.c,
	source/keys.c, source/menu.c, source/quakefs.c, source/quakeio.c,
	source/r_part.c, source/sv_ccmds.c, source/sv_main.c,
	source/vid_glx.c: Before I can fix the (MANY!) problems with
	newtree, I have to fix the little problem of mixed QFile and FILE. 
	Since we're not using ZLib in this tree, QFile makes no real sense.
	 That didn't fix the real problem I am having though.

2000-05-22 19:34  knghtbrd

	* CHECKLIST: The Check-in checklist is kinda pointless now, it's
	checked in already!

2000-05-22 13:29  tonik

	* source/keys.c: Here it is. No more lockups :)  Please don't kill
	me

2000-05-22 12:43  taniwha

	* source/cl_parse.c: forgot to bring these fixes over from OT

2000-05-22 12:10  deek

	* configure.in, source/vid_ggi.c: Change version number back to
	0.1.99pre2 for public test cycle, fix bug in -ggi

2000-05-22 09:24  tonik

	* source/console.c, source/keys.c, include/console.h: Console
	editing stuff

2000-05-22 08:49  deek

	* include/mathlib.h: Fix conflict

2000-05-22 08:48  knghtbrd

	* Makefile.am: remove servers.txt from EXTRA_DIST

2000-05-22 08:44  taniwha

	* include/: mathlib.h, menu.h, model.h, modelgen.h, msg.h, net.h,
	pmove.h, pr_comp.h, progdefs.h, progs.h, protocol.h, quakeasm.h,
	quakedef.h, r_local.h, r_shared.h, render.h, resource.h, sbar.h,
	screen.h, server.h, sizebuf.h, sound.h, spritegn.h, sys.h, vid.h,
	view.h, wad.h, winquake.h, world.h, zone.h: white space cleanup for
	last checkin

2000-05-22 08:41  deek

	* include/mathlib.h: missed an extra comment

2000-05-22 08:40  deek

	* include/: adivtab.h, anorm_dots.h, anorms.h, asm_draw.h,
	asm_i386.h, block16.h, block8.h, bothdefs.h, bspfile.h, buildnum.h,
	cdaudio.h, checksum.h, cl_slist.h, client.h, cmd.h, commdef.h,
	compat.h, console.h, crc.h, cvar.h, d_iface.h, d_ifacea.h,
	d_local.h, draw.h, gl_warp_sin.h, glquake.h, glquake2.h, in_win.h,
	info.h, input.h, keys.h, link.h, mathlib.h: Fix comments

2000-05-22 08:32  taniwha

	* source/cl_input.c: fix a compile error

2000-05-22 08:26  taniwha

	* include/: mathlib.h, menu.h, model.h, modelgen.h, msg.h, net.h,
	pmove.h, pr_comp.h, progdefs.h, progs.h, protocol.h, quakeasm.h,
	quakedef.h, quakeio.h, r_local.h, r_shared.h, render.h, resource.h,
	sbar.h, screen.h, server.h, sizebuf.h, sound.h, spritegn.h, sys.h,
	vid.h, view.h, wad.h, winquake.h, world.h, zone.h: header (C) block
	touch ups

2000-05-22 08:15  tonik

	* include/win32/vc/config.h: Add #define HAVE_FNMATCH_H

2000-05-22 08:02  knghtbrd

	* doc/Makefile.am: Added to Makefile.am

2000-05-22 08:02  knghtbrd

	* doc/template.h: added template

2000-05-22 07:59  tonik

	* source/: vid_mgl.c, vid_wgl.c: Added K_CAPSLOCK and KP_* keys
	support for windows targets

2000-05-22 07:49  knghtbrd

	* source/cl_model.c: oops

2000-05-22 07:46  knghtbrd

	* source/: r_aclip.c, r_aclipa.S, r_alias.c, r_aliasa.S, r_drawa.S,
	r_edgea.S, r_surf.c, r_vars.c, r_view.c, sbar.c, screen.c,
	sizebuf.c, snd_dma.c, snd_mem.c, snd_mix.c, snd_mixa.S, surf16.S,
	sv_misc.c, sv_model.c, sv_move.c, sv_nchan.c, sv_user.c, sw_view.c,
	sys_null.c, sys_win.c, sys_x86.S, va.c, vid_ggi.c, vid_mgl.c,
	vid_null.c, vid_wgl.c, world.c, worlda.S: pretty much finishes
	source/*

2000-05-22 07:32  deek

	* include/Makefile.am, source/Makefile.am: Makefile updates for
	win32 targets

2000-05-22 07:20  tonik

	* include/client.h, source/cl_input.c, source/vid_mgl.c,
	source/vid_wgl.c: CL_ClearStates now generates key up event for
	each key that is down.	CVAR_FIXME cleanup.

2000-05-22 07:10  knghtbrd

	* source/: math.S, mathlib.c, model.c, nonintel.c, pr_edict.c,
	quakefs.c: *sigh*

2000-05-22 07:07  tward

	* include/win32/vc/config.h, source/fnmatch.c, source/quakefs.c:
	removed a silly #else case on an ifdef

2000-05-22 07:03  tonik

	* source/cl_pred.c: Client jump prediction fix; CVAR_FIXME cleanup.

2000-05-22 06:58  knghtbrd

	* source/: d_copy.S, d_draw.S, d_draw16.S, d_fill.c, d_init.c,
	d_modech.c, d_part.c, d_parta.S, d_polysa.S, d_polyse.c, d_scan.c,
	d_scana.S, d_spr8.S, d_sprite.c, d_surf.c, d_vars.c, d_zpoint.c,
	dirent.c, draw.c, fnmatch.c, gl_mesh.c, gl_model.c, gl_ngraph.c,
	gl_rlight.c, gl_rmain.c, gl_rmisc.c, gl_rsurf.c, gl_screen.c,
	gl_trans.c, gl_view.c, gl_warp.c, in_null.c, in_win.c, link.c: GPL
	thingy

2000-05-22 06:46  knghtbrd

	* source/: buildnum.c, checksum.c, cl_cam.c, cl_cmd.c, cl_ents.c,
	cl_input.c, cl_main.c, cl_math.S, cl_misc.c, cl_model.c,
	cl_parse.c, cl_slist.c, cl_sys_win.c, cl_tent.c, cl_trans.c, cmd.c,
	com.c: C done

2000-05-22 06:37  deek

	* Makefile.am, source/Makefile.am: win32 fixes.

2000-05-22 06:36  tward

	* source/qw_client.dsp: removed gl_test.c from the client vc
	project...

2000-05-22 05:51  deek

	* CHECKLIST, configure.in, source/cvar.c: Updated checklist,
	configure.in (0.2.0), cvar.c

2000-05-22 05:47  taniwha

	* source/: cvar.c, net_udp.c, snd_dma.c, sv_sys_unix.c, vid_ggi.c,
	vid_glx.c, vid_svgalib.c, vid_x11.c: fixes for
	__attribute__((format)) (I'll commit that /after/ release) and
	freelook

2000-05-22 05:00  tonik

	* source/cl_parse.c: Execution of autoexec.cfg on gamedir change is
	temporarily disabled

2000-05-22 04:54  tonik

	* source/cl_ents.c: Add prediction for current player's effects

2000-05-22 04:47  tward

	* include/win32/vc/config.h: updated VERSION to 0.2.0 for the
	release

2000-05-22 04:43  tonik

	* source/vid_mgl.c: Replace "WinQuake" window header with PROGRAM
	(---> "QuakeForge")

2000-05-22 04:19  tonik

	* source/sv_sys_win.c: sys_sleep is 8 by default now; CVAR_FIXME
	cleanup

2000-05-22 03:41  deek

	* source/: d_parta.S, d_polysa.S: Make gas shut up about indirect
	jumps without *

2000-05-22 03:37  tonik

	* include/win32/vc/config.h: #define _POSIX_

2000-05-22 03:27  deek

	* source/: cvar.c, gl_vidlinux.c, gl_vidlinux_svga.c,
	gl_vidlinux_x11.c, r_view.c, surf8.S: gl_vidlinux: DIE DIE DIE!
	cvar.c: use va() for Cvar_SetValue r_view.c: cvar cleanups sirf8.S:
	whitespace

2000-05-22 03:15  tonik

	* include/client.h, include/input.h, source/cl_input.c,
	source/cl_main.c, source/gl_vidlinux.c, source/gl_vidlinux_svga.c,
	source/gl_vidlinux_x11.c, source/in_win.c, source/vid_ggi.c,
	source/vid_glx.c, source/vid_svgalib.c, source/vid_x11.c: freelook
	cvar support

2000-05-22 01:37  tonik

	* include/quakefs.h, source/cl_main.c, source/cl_slist.c: quakefs.h
	now defines fs_userpath and fs_sharepath

2000-05-22 01:05  tonik

	* source/vid_wgl.c: Add #include "draw.h"; CVAR_FIXME cleanup.

2000-05-22 00:52  tonik

	* source/: qw_client.dsp, qw_server.dsp: Project files update due
	to common.c split

2000-05-21 23:07  tonik

	* source/checksum.c: Include string.h/strings.h to avoid memcpy()
	warning

2000-05-21 23:01  deek

	* include/compat.h, source/Makefile.am, source/menu.c: Misc. fixes.
	bound() is now defined, make dist works properly it seems, missed a
	basepath/userpath, and fixed up the menu.

2000-05-21 22:59  tonik

	* include/win32/vc/dirent.h: _POSIX_ is undefined temporary when
	io.h is included. Ugly, but it works

2000-05-21 22:53  taniwha

	* include/Makefile.am: break up the honking huge line :)

2000-05-21 22:39  taniwha

	* include/Makefile.am, source/Makefile.am, source/sv_main.c:
	build.[ch] -> buildnum.[ch] related fixes

2000-05-21 22:13  tonik

	* include/build.h, source/build.c, source/cl_main.c: build.c is
	buildnum.c now

2000-05-21 22:07  tonik

	* source/buildnum.c: build.c must die.	 build_number counts from
	22.12.99 now

2000-05-21 22:06  tonik

	* include/buildnum.h: build.h must die

2000-05-21 21:41  adamel

	* include/anorms.h: Fix ifdef around pragma.

2000-05-21 21:41  adamel

	* source/r_view.c: Made gamma CVAR_ARCHIVE.

2000-05-21 21:39  adamel

	* source/: cl_main.c, cl_slist.c: Changed basepath -> userpath

2000-05-21 21:16  tonik

	* source/dirent.c: MSVC doesn't have this file

2000-05-21 20:42  tonik

	* include/win32/vc/config.h: Add some #defines

2000-05-21 20:33  tonik

	* include/anorms.h: Disable MSVC warnings

2000-05-21 20:30  tonik

	* include/win32/vc/dirent.h: MSVC doesn't have dirent.h

2000-05-21 20:28  deek

	* include/cvar.h, source/cl_main.c, source/quakefs.c:
	s/fs_basedir/fs_userdir/g

2000-05-21 20:28  tonik

	* source/buildnum.c: build.c must die

2000-05-21 20:14  snax

	* include/cl_slist.h, source/cl_main.c, source/cl_slist.c,
	source/menu.c: 
	The server address book now uses a linked list.  I had some issues
	merging this with some of taniwha's changes, so it may not be
	perfect.  Please test it.

2000-05-21 20:10  adamel

	* source/quakefs.c: Updated old QuakeForge cruft to newtree style.
	Include win32/fnmatch.h if we don't have fnmatch.h

2000-05-21 20:00  adamel

	* source/Makefile.am: Added fnmatch.c to Win32 system files.

2000-05-21 19:59  adamel

	* source/: sv_init.c, sys_unix.c, sys_win.c: Moved svs definition
	to sys_win/unix.c as both the client and server need it.

2000-05-21 19:37  adamel

	* source/: fnmatch.c, in_win.c, keys.c, snd_mix.c, va.c, vid_mgl.c:
	Fixed includes.

2000-05-21 18:40  adamel

	* source/: cd_win.c, cl_sys_win.c, snd_win.c, sv_sys_win.c: Fixed
	includes.

2000-05-21 18:36  adamel

	* include/qtypes.h: Arm byte typedef with ifndef _DEF_BYTE_. 
	Include compat.h

2000-05-21 18:30  adamel

	* configure.in: Check for fnmatch.h

2000-05-21 12:51  dab

	* source/: d_polyse.c, mathlib.c: Headerfile addons for win32

2000-05-21 12:50  dab

	* source/sv_sys_win.c: Q_atoi -> atoi + headerfile addons.

2000-05-21 12:40  dab

	* source/vid_mgl.c: Removing extra line - uh

2000-05-21 12:39  dab

	* source/: vid_mgl.c, vid_wgl.c: Fixing missing headers for win32 
	- this one caused nasty crash :-)

2000-05-21 11:48  dab

	* source/vid_wgl.c: Header fixups for win32

2000-05-21 11:32  dab

	* include/winquake.h: Header fixups for win32

2000-05-21 11:31  dab

	* source/fnmatch.c: Needed by win32 targets

2000-05-21 11:29  dab

	* include/win32/bc/config.h: Config changes for bc win32

2000-05-21 11:29  dab

	* include/win32/fnmatch.h: Header addons for win32

2000-05-21 11:28  dab

	* source/: cd_win.c, cl_pred.c, cl_sys_win.c, in_win.c, snd_win.c,
	sys_win.c, vid_mgl.c: Header file addons & Q_atoi -> atoi changes
	for WIN32

2000-05-21 10:21  taniwha

	* source/: cl_main.c, sv_main.c: fix a segfault cause by cmd line
	parsing

2000-05-21 10:08  taniwha

	* source/: cl_main.c, quakefs.c, sv_main.c: command line now
	overrides what's in the config file

2000-05-21 09:59  dab

	* source/vid_mgl.c: Fixups for new header stuff.

2000-05-21 09:58  taniwha

	* source/Makefile.am: fix make dist

2000-05-21 09:49  taniwha

	* include/cmd.h, source/cl_main.c, source/cmd.c, source/sv_main.c:
	command line and config file parsing ala OT

2000-05-21 09:48  knghtbrd

	* include/Makefile.am: Fix make dist I hope

2000-05-21 09:36  knghtbrd

	* source/: sv_main.c, vid_ggi.c: fix GGI

2000-05-21 08:24  taniwha

	* include/bothdefs.h, include/bspfile.h, include/cdaudio.h,
	include/cl_slist.h, include/client.h, include/cmd.h,
	include/commdef.h, include/common.h, include/console.h,
	include/crc.h, include/cvar.h, include/d_iface.h,
	include/d_local.h, include/glquake.h, include/in_win.h,
	include/keys.h, include/mathlib.h, include/model.h, include/net.h,
	include/pmove.h, include/pr_comp.h, include/progs.h,
	include/protocol.h, include/quakedef.h, include/qwsvdef.h,
	include/r_local.h, include/r_shared.h, include/render.h,
	include/screen.h, include/server.h, include/sound.h, include/vid.h,
	include/wad.h, include/winquake.h, include/world.h,
	source/Makefile.am, source/cd_linux.c, source/cl_cam.c,
	source/cl_cmd.c, source/cl_cvar.c, source/cl_demo.c,
	source/cl_ents.c, source/cl_input.c, source/cl_main.c,
	source/cl_model.c, source/cl_parse.c, source/cl_pred.c,
	source/cl_slist.c, source/cl_sys_unix.c, source/cl_tent.c,
	source/cl_trans.c, source/cmd.c, source/common.c, source/console.c,
	source/crc.c, source/cvar.c, source/d_fill.c, source/d_init.c,
	source/d_surf.c, source/draw.c, source/gl_draw.c, source/gl_mesh.c,
	source/gl_model.c, source/gl_ngraph.c, source/gl_part.c,
	source/gl_refrag.c, source/gl_rlight.c, source/gl_rmain.c,
	source/gl_rmisc.c, source/gl_rsurf.c, source/gl_screen.c,
	source/gl_trans.c, source/gl_view.c, source/gl_warp.c,
	source/keys.c, source/mathlib.c, source/menu.c, source/model.c,
	source/net_chan.c, source/net_udp.c, source/pmove.c,
	source/pmovetst.c, source/pr_cmds.c, source/pr_edict.c,
	source/pr_exec.c, source/r_alias.c, source/r_bsp.c,
	source/r_edge.c, source/r_efrag.c, source/r_main.c,
	source/r_misc.c, source/r_part.c, source/r_sprite.c,
	source/r_view.c, source/sbar.c, source/screen.c, source/skin.c,
	source/snd_dma.c, source/snd_mem.c, source/snd_mix.c,
	source/snd_oss.c, source/sv_ccmds.c, source/sv_cvar.c,
	source/sv_ents.c, source/sv_init.c, source/sv_main.c,
	source/sv_misc.c, source/sv_model.c, source/sv_move.c,
	source/sv_nchan.c, source/sv_phys.c, source/sv_send.c,
	source/sv_sys_unix.c, source/sv_user.c, source/sys_unix.c,
	source/vid_glx.c, source/vid_svgalib.c, source/vid_x11.c,
	source/wad.c, source/world.c, source/zone.c: port in some
	improvements from OT (namely fs_basepath, etc, though commandline
	parsing isn't finished yet) split up the headerfiles and such.
	common.[ch] and qwsvdef.h no longer exist. More work still needs to
	be done (esp for windows) but this should be a major improvement.

2000-05-21 08:18  knghtbrd

	* source/gl_draw.c: Need GL_MODULATE for Draw_AlphaPic under
	Mesa...

2000-05-21 07:19  taniwha

	* source/: cl_sys_unix.c, sv_sys_unix.c, sys_unix.c: is_server
	being true for the clients doesn't help make the protocol work :)
	That's why the client couldn't connect to the server: it was using
	the server's version of the protocol.

2000-05-21 02:00  deek

	* configure.in: blah.

2000-05-21 00:15  adamel

	* configure.in, source/Makefile.am: Added sound and CD
	configuration.	Compile system, sound and CD drivers into libraries
	which we link against.	Now Mingw32 compilation works.

2000-05-21 00:08  adamel

	* source/: cd_win.c, snd_dma.c, snd_mix.c, snd_win.c: Fixed mingw32
	warnings.

2000-05-20 23:35  adamel

	* acinclude.m4: Added acinclude.m4 with AC_HAVE_STRUCT_FIELD()
	macro.

2000-05-20 22:33  adamel

	* source/in_win.c: Mingw32 seems to need INITGUID defined.

2000-05-20 22:13  adamel

	* source/: cl_main.c, cl_sys_unix.c, cl_sys_win.c, sv_main.c: Move
	Sys_Init after Cvar_Init.

2000-05-20 10:30  dab

	* source/menu.c: sprintf -> snprintf

2000-05-20 10:27  dab

	* source/: cl_sys_unix.c, gl_warp.c, keys.c: sprintf -> snprintf,
	vsprintf -> vsnprintf

2000-05-20 09:42  taniwha

	* include/qargs.h, include/qdefs.h, include/qendian.h,
	include/qstructs.h, include/qtypes.h, include/quakefs.h,
	include/quakeio.h, include/build.h, include/checksum.h,
	include/info.h, include/link.h, include/msg.h, include/sizebuf.h,
	source/build.c, source/checksum.c, source/com.c, source/info.c,
	source/link.c, source/msg.c, source/qargs.c, source/qendian.c,
	source/quakefs.c, source/quakeio.c, source/sizebuf.c, source/va.c:
	port in q* from OT, and split of other things in prep for removing
	common.*
	
	The use of these files isn't being committed just yet.

2000-05-20 08:31  dab

	* source/vid_mgl.c: sprintf -> snprintf

2000-05-20 08:23  dab

	* source/vid_wgl.c: sprintf -> snprintf

2000-05-20 08:07  dab

	* include/win32/bc/config.h: Added HAVE_MGRAPH_H

2000-05-20 05:59  ender

	* include/server.h, source/sv_phys.c: Movetype_ppush stuff, take 1

2000-05-20 05:35  knghtbrd

	* include/uint32.h, source/sv_phys.c, source/world.c: SOLID_BSP fix
	(I hope)

2000-05-20 04:48  ender

	* source/: makefile.winc, makefile.wingl, makefile.wins, zone.c: My
	stuff. :P

2000-05-20 03:27  adamel

	* configure.in, source/Makefile.am: Added MGL target.

2000-05-20 03:26  adamel

	* include/common.h: Arm byte typedef with #ifndef _DEF_BYTE_

2000-05-20 03:25  adamel

	* source/in_win.c: Fixed warnings.

2000-05-20 03:24  adamel

	* source/: vid_mgl.c, vid_win.c: Moved vid_win.c -> vid_mgl.c, and
	fix lots of warnings.

2000-05-20 02:00  adamel

	* source/: Makefile.am, cl_sys_unix.c, sv_sys_unix.c, sys_linux.c,
	sys_unix.c: Moved sys_unix.c and sys_linux.c into sys_linux.c,
	cl_sys_unix.c and sv_sys_unix.c.

2000-05-20 01:47  adamel

	* source/net_udp.c: Fix warning in MSVC++.

2000-05-20 01:15  adamel

	* source/Makefile.am: Fixed up system driver selection.  Made
	qf-server compile with Mingw32.

2000-05-20 01:10  adamel

	* configure.in: Check for for connect in -lwsock32 Replaced
	{target} with {host}.  Fixed up system driver selection.

2000-05-20 01:00  adamel

	* source/sv_sys_win.c: Fix waring about unused var.

2000-05-20 01:00  adamel

	* source/sys_linux.c: Removed some unused stuff.

2000-05-20 00:11  adamel

	* configure.in: Support EXEEXT properly.

2000-05-20 00:04  adamel

	* source/: makefile.winc, makefile.wingl, makefile.wins, net_udp.c,
	net_wins.c, qw_client.dsp, qw_server.dsp: Merged net_wins.c with
	net_udp.c.

2000-05-19 23:51  adamel

	* include/quakedef.h, include/qwsvdef.h, include/winquake.h,
	source/mathlib.c, source/sv_send.c: Don't use the Win32 pragmas
	with gcc.

2000-05-19 23:32  adamel

